kodi (2:15.2~git20151019.1039-final-0dist) dist; urgency=high

  [Matthias Kortstiege]
   * [guilib] enable onfocus/onunfocus actions for base containers

  [Rainer Hochecker]
   * remove dependency from Unrar lib to GUIWindowManager

  [ronie]
   * drop tvtunes support

  [Matthias Kortstiege]
   * [texture] redact username/password when texture loading fails

  [Thomas Amland]
   * [addons] dont redirect to download dir on update all. already shows progress

  [Thomas Amland]
   * [addons] remove unused methods and database column for blacklisting

  [Thomas Amland]
   * [addons] refactor GetAllOutdatedAddons

  [Thomas Amland]
   * [addons] dont hide available updates for blacklisted addons

  [Thomas Amland]
   * [addons] add caching of blacklisted addons via addon manager

  [Sascha Kuehndel (InuSasha)]
   * [guilib] add override onclick to dynamic content lists

  [Chris "koying" Browet]
   * FIX: [droid] use context resolution when recreating window

  [Rainer Hochecker]
   * OSX: remove ifdef from platform agnostic code

  [Matthias Kortstiege]
   * [eventserver] logging once when starting is enough

  [Matthias Kortstiege]
   * [webserver] logging once about starting/stopping is enough

  [Kai Sommerfeld]
   * [PVR] Activate PVR windows only if PVR is enabled

  [Kolja Lampe]
   * Fix tests after removal of atv2 See: #8181

  [Leonidas Kosmidis]
   * Save last eglConfig to m_eglConfig and reuse it wherever is possible

  [Kolja Lampe]
   * [music] Aligned music userrating frontend to the new way we do it in the video library

  [Kolja Lampe]
   * [confluence] Add user rating item to list and add a button for setting the user rating of this item

  [Kolja Lampe]
   * [video] Enable editing of userrating from the frontend via increase/decrease and update video info and listings accordingly

  [Stefan Saraev]
   * [Confluence] on left/right fixup after #8222

  [Kai Sommerfeld]
   * [PVR] Fix search window init regression

  [Garrett Brown]
   * [win32] Fix VS project after #8212

  [Matthias Kortstiege]
   * [guilib] add ability to visualize controls hitrects

  [Garrett Brown]
   * [addonlib] Fixed: labelenum setting should be a string instead of int

  [Garrett Brown]
   * [dllLoader] Fix segfault if high-order word is zero

  [Garrett Brown]
   * [vfs] Fix crash when entering zip:// URLs with unknown zip file size

  [Garrett Brown]
   * [guilib] Notify parent control when focus is lost due to mouse event

  [Garrett Brown]
   * [addons] Build library path in CAddon instead of CAddonDll

  [Garrett Brown]
   * [binary addons] Allow overriding install paths

  [Garrett Brown]
   * [addons] Move resource cleanup to parent class

  [Garrett Brown]
   * [python] Fix listing of protocol root

  [Garrett Brown]
   * [cleanup] Move string alias to outer block

  [Garrett Brown]
   * [cleanup] Move local variable to the stack in PluginDirectory.cpp

  [Garrett Brown]
   * [utils] Add missing const null check to CVariant move assignment operator

  [Kai Sommerfeld]
   * [Confluence] Add 'Events' to Home screen's 'System' submenu.

  [Kai Sommerfeld]
   * [pvr] context menu changes: remove 'Add to favourites' for timers and EPG events

  [Chris "koying" Browet]
   * FIX: [droid;amc] fix WMV3/VC1

  [Sam Stenvall]
   * [pvr] fix playback of recordings when an exact duplicate exists. This happens if one for some reason records a show twice, stopping in between (which creates two separate recordings)

  [Chris "Koying" Browet]
   * ADD: [droid] VP9 + decouple VC1/WMV

  [montellese]
   * [win32][binary addons] bootstrap-addons.bat: fix typo in NULL instead of NUL

  [montellese]
   * [binary addons] fix handling of PACKAGE_DIR argument

  [montellese]
   * [binary addons] fix typo in log message

  [Sean Kelly]
   * Minor cleanup to match naming convention in video database

  [Cole Johnson]
   * Show BluRay media flag for `brrip`

  [Kolja Lampe]
   * Make sortorder descending default for lastPlayed

  [Kolja Lampe]
   * Removed label2 and show value that is sorted by or fall back to duration. Add lastPlayed sortorder for music

  [fritsch]
   * FFmpeg: Bump to 2.8.1-Jarvis-alpha4-HEVC

  [DaveTBlake]
   * Tidy up CAlbum creator use of albumartist

  [Kai Sommerfeld]
   * [pvr] context menu changes: use 'Record'/'Stop recording' in a consistent way

  [Kai Sommerfeld]
   * [pvr] context menu changes: 'Add timer' => 'Record', 'Add custom timer' => 'Add timer'

  [Anton Fedchin]
   * [d3d11] Fixed segfault if device was lost. Also this adds trying to restore device if it was lost.

  [DaveTBlake]
   * Use GetArtistString() methods to replace Join/m_musicItemSeparator approach in various places.

  [Arne Morten Kvarving]
   * changed: enable ffmpeg tag reader for dsf files

  [Arne Morten Kvarving]
   * added: use FFmpeg tag loader for .mka files

  [Arne Morten Kvarving]
   * added: FFmpeg based tag loader

  [xhaggi]
   * [gui] fix missing path param in CGUIDialog::Open() after 447ec5b

  [DaveTBlake]
   * Remove artist vector from song

  [Arne Morten Kvarving]
   * changed: move ffmpeg read buffer definition so it is reusable

  [un1versal]
   * [Readme] Useful links, add bug tracker link

  [Michał Kępień]
   * Strip trailing newlines from URLs in NFO files for cURL 7.40+ compatibility

  [Montellese]
   * CGUIDialogSelect: clear the view control before it is saved in CGUIWindow::OnDeinitWindow() to be able to properly reset the scroll and offset positions

  [Montellese]
   * CGUIListContainer: also reset the list's offset and not just the cursor on GUI_MSG_LABEL_RESET

  [Montellese]
   * CGUIDialogSelect: fix focusing the first selected item when opening the dialog

  [Kai Sommerfeld]
   * [pvr] Fix errors after switching from using backend channel numbers to using kodi channel numbers and vica versa

  [Montellese]
   * CGUIWindowVideoBase: clear the cached source listing when removing a video source

  [Montellese]
   * CGUIWindowMusicBase: clear the cached source listing when removing a music source

  [Matthias Kortstiege]
   * [input] fix baidu method signatures of overriden virtual methods

  [Montellese]
   * CGUIDialog: forward overridden method calls to CGUIDialogBoxBase instead of CGUIDialog

  [Sascha Kuehndel (InuSasha)]
   * [gitignore] rename xbmc -> kodi

  [Matthias Kortstiege]
   * [guilib] scrollbar not reading custom hitrect specified

  [Kolja Lampe]
   * Align video and music sort types on file listings to each other

  [Montellese]
   * remove "Settings" context menu button from music and pictures views

  [Pär Björklund]
   * Added init/uninit for coding tables to avoid having the baidu thread running all the time

  [da-anda]
   * [Confluence] add stereoscopic depths

  [Kolja Lampe]
   * [json] Added seasonid to episode returns

  [Kolja Lampe]
   * Add idSeason to episode table

  [Thomas Amland]
   * [python] fix memory leak in multiselect

  [ace20022]
   * [guilib][gif] Make animated gifs loadable for any kind of textures, e.g., posters.

  [ace20022]
   * [coverity] Unsigned compared against 0 (CID ids 1325653 - 1325663)

  [Alwin Esch]
   * [depends] update cmake to 3.3.2

  [popcornmix]
   * [screensaver] Avoid getting stuck in dim state when skin is reloaded

  [HitcherUK]
   * Lets skins use a light font weight through the use of either the style tag in Fonts.xml <style>lighten</style> or via the info label <label>[LIGHT]$INFO[ListItem.Label][/LIGHT]</label>

  [da-anda]
   * [Confluence] use include for common window header

  [S. Davilla]
   * [ios] - removed, atv2 support. time to make way for something new. hint, hint :) - backport from mrmc fork

  [Memphiz]
   * [airplay] - fixed broken "stop" for stopping picture streaming via airplay

  [Memphiz]
   * [airplay] - make ios8 compatibility mode the new default and don't use a setting for it

  [Memphiz]
   * [settings] - make the ios8 compatibility setting a "enable airplay video and pictures support" setting

  [Memphiz]
   * [airplay] - evaluate the new "enable airplay video and pictures" setting - this allows the ios9 users to restore at least music streaming capabilities (by disabling video/pictures support)

  [Memphiz]
   * [depends/shairplay] - updated libshairplay to the current master which supports ios9 clients (also bumped on win32)

  [Thomas Amland]
   * fix typo in log message

  [Thomas Amland]
   * [addons] close info dialog on install, not when opening the update dialog

  [Thomas Amland]
   * [addons] fix and move the rollback feature into the new update dialog

  [Matthias Kortstiege]
   * [input] fix ios build after 7aeff92

  [Matthias Kortstiege]
   * [input] xcode sync for InputCodingTableKorean

  [Matthias Kortstiege]
   * [input] add InputCodingTableKorean.cpp to Makefile

  [universal]
   * [cleanup][cdio] cosmetics

  [universal]
   * [cleanup][DetectDVDType] cosmetics

  [uNiversaI]
   * [cleanup][DetectDVDType] remove xbox udfx related

  [uNiversaI]
   * [cleanup][libcdio] remove xbox udfx related

  [Matthias Kortstiege]
   * [input] fix onnext in dialog numeric after bab2486

  [Matthias Kortstiege]
   * [cleanup] silent reorder compiler warning in InputCodingTableBaiduPY.h

  [Matthias Kortstiege]
   * [cleanup] remove DOS line endings in InputCodingTableBaiduPY.h

  [xconverge]
   * Minor cleanup for readability.

  [ace20022]
   * [coverity] CID#1312062 Unintentional integer overflow.

  [ace20022]
   * [coverity] CID#1316334 class member foo is not initialized in this constructor nor in any functions that it calls.

  [ace20022]
   * [coverity] CID#1288653 case VIDEOPLAYER_TITLE was not reachable for pvr channels.

  [ace20022]
   * [coverity] CID#1272227 Remove logically dead code.

  [ace20022]
   * [coverity] CID#1213839 Remove logically dead code.

  [Rainer Hochecker]
   * VideoPlayer: trust SAR of mkv container

  [Matthias Kortstiege]
   * [guilib] add justify alignment for grouplist controls

  [Martijn Kaijser]
   * bump to 16.0alpha4

  [Martijn Kaijser]
   * [python] removed long deprecated xbmcgui.lock() and xbmcgui.unlock()

  [Matthias Kortstiege]
   * [videothumbloader] skip thumb extraction for bluray items

  [Kai Sommerfeld]
   * [EPG][PVR] Guide Window: On selection of an EPG gap, switch to associated channel.

  [Kai Sommerfeld]
   * [EPG] EPG Grid Container: Fill grid with trailing gap epg tags.

  [Kai Sommerfeld]
   * [EPG][PVR] Guide Window: Show channels without EPG data.

  [NedScott]
   * Improve virtual keyboard layout for English

  [Matthias Kortstiege]
   * [guilib] only consider visible controls within grouplists for Container.Position

  [NedScott]
   * Improve description of sets strings

  [NedScott]
   * Addiitonal long-press modifications

  [Kib]
   * [Android-x86] move symbols to the workspace

  [Kib]
   * [Android] move symbols to the workspace

  [Matthias Kortstiege]
   * [cleanup] get rid of unused function warnings from eventlevel

  [montellese]
   * video library: move "Choose art" context button for seasons into "Manage..."

  [montellese]
   * video library: add functionality to set custom names for tvshow seasons

  [Matthias Kortstiege]
   * [cleanup] cast user ratings to int in sortutils

  [da-anda]
   * [guilib] parse <depth> tag for constants

  [Kai Sommerfeld]
   * [PVR] Search window: Fixed OnPrepareFileItems only to search if requested to do so and not just a simple window refresh is ongoing.

  [Kai Sommerfeld]
   * [PVR] Timers: Relax handling of read-only timers a bit.

  [Kai Sommerfeld]
   * [PVR] Search window: Fix "Find similar program" for timers to prefer EPG tag title over timer title.

  [Matthias Kortstiege]
   * [cleanup] fix signed/unsigned compiler warning

  [Matthias Kortstiege]
   * [cleanup] remove unused variable isExecutable

  [Matthias Kortstiege]
   * [cleanup] silent override warnings on newer gcc version

  [Kai Sommerfeld]
   * [PVR] Don't ask user for confirmtion when creating a timer. "Do you really want to record this?" => Nonsense

  [Kai Sommerfeld]
   * [PVR] Cleanup: Rename CGUIWindowPVRBase::StartRecordFile() => CGUIWindowPVRBase::AddTimer() to reflect what it actually does.

  [fritsch]
   * AESinkPULSE: Replace Delay method with self calculated method

  [Rainer Hochecker]
   * dvdplayer: fix non DVB subs after 5c0d694fa769f311bc5e14dec04c260267a56b79

  [Matthias Kortstiege]
   * [guilib] simplify dirty region marking for fadelabels (fixes #16277)

  [Kai Sommerfeld]
   * Revert "[pvr] changed: also use CACHESTATE_PVR in dvdplayer when playing a recording that's still running"

  [Martijn Kaijser]
   * [win32] add screensaver add-ons to installer

  [Thomas Amland]
   * run repository update jobs in low pausable mode

  [Anton Fedchin]
   * [dxva] Re-factor: get rid of unneeded reference to decoder texture. Properly destroying resources during creating decoders views if something goes wrong.

  [Anton Fedchin]
   * [WinVideoFilter] Lower feature level for test shader. This fixes segfault in video drivers which support only FL9.1/9.2.

  [Anton Fedchin]
   * [dxva] Fix DXVA renderer color range.

  [Floris Bos]
   * LinuxInputDevice: add support for multi-touch devices

  [DaveTBlake]
   * Add missing MusicInfoTag values when set from artist, album and song. Had not been previously updated to allow for artist credits, so while artist vector being set the description and MBIDs not all being done.

  [Pär Björklund]
   * Fix c/p error on dialogs and renamed singleFiles variable in videolibrary as it was somewhat confusingly named compared to the dialog options

  [Kai Sommerfeld]
   * [network] CNetWork::IsAvailable: Remove parameter 'wait', because there is no implementation behind.

  [h.udo]
   * [gitignore] Add library.kodi.audioengine makefile

  [ace20022]
   * [fix][gui] Fix multi images in grouplists/layouts. This fixes a regression introduced with cb2dd229ce5b6f479f9a6ebd51998831554d2ae2 .

  [Peter Bauer]
   * Subtract readahead when seeking (SEEK_CUR) outside of buffer area

  [Peter Bauer]
   * Use ID3v2Tag loader results

  [LS80]
   * Fixed missing Python traceback caused by an invalid format string. Fixes #16274.

  [Achim Turan]
   * [library.kodi.audioengine] Fixing clumsy error mesage

  [Thomas Amland]
   * [addons] fix uninstalling of non-repository addons

  [Achim Turan]
   * [library.kodi.audioengine] [FIX CID 1324647] Fixing Null-checking "cb"

  [Sam Stenvall]
   * [pvr] fix invalid memory access when a PVR window is accessed before any clients have finished loading. Also introduce an event which gets triggered when an update is actually needed.

  [xhaggi]
   * [cleanup] get rid of unused window allow overlay code

  [Thomas Amland]
   * [addons] fix zip install after 61121d731

  [Thomas Amland]
   * [addons] fix bad error handling (returns int)

  [Thomas Amland]
   * log time of previous repository update to make it easier to detect database problems in the future

  [Thomas Amland]
   * [addons] fix repo last checked time not updating if not previously added

  [S. Davilla]
   * bump gas to https://git.libav.org/?p=gas-preprocessor.git;a=commit;h=5ab764742626598cb462bc86e2d04ac8001e05d7

  [S. Davilla]
   * docs, document what we are doing in depends

  [S. Davilla]
   * fixed, c++11 compiler warning

  [S. Davilla]
   * fixed, all our thread should be named

  [S. Davilla]
   * fixed, massive memory leak in DirectoryNode and some cosmetic cleanup. Basically CDirectoryNode::ParseURL creates a bunch of nodes then orphans them when browsing by file. Also StringUtils::Split can return a leading empty string for '/Users/Shared/Movies', and we add another one to path, which creates two root nodes. use StringUtils::Tokenize which does what we want. Side note: StringUtils::Split needs a refactor, iMaxStrings is size_t and the default value is zero and the very 1st thing it does is pre-decrement it which wraps it around to a very big number, sure, sure :)

  [S. Davilla]
   * fixed, memory leaks using VDA (both of them)

  [S. Davilla]
   * fixed, memory leak. Note to self, these routines attach but do not detach under 10.9.5

  [S. Davilla]
   * fixed, memory leaks in SMBFile, three tiny ones left to find.

  [S. Davilla]
   * fixed, clearerr return void

  [sportica]
   * Add Korean keyboard

  [ronie]
   * [Confluence] hardcode icon path for extended weather info

  [MilhouseVH]
   * [musicdb] Fix LIMIT IN which is not MySQL compatible - GetTop100AlbumSongs

  [MilhouseVH]
   * [musicdb] Fix LIMIT IN which is not MySQL compatible - GetRecentlyPlayedAlbumSongs

  [Martijn Kaijser]
   * fix c/p error in 3174a4f90c07d94c2075875af76c0414f5879b1f

  [fritsch]
   * WinSystemX11: D3DPRESENTFLAG_WIDESCREEN is not used anywhere

  [fritsch]
   * XRandR: Identify interlaced modes

  [anaconda]
   * [jsonrpc] Add "plot" property to VL.GetMovieSet/GetMovieSetDetails.

  [anaconda]
   * [videodb][infomanager] Add support for overview (plot) in movie sets.

  [fritsch]
   * Fix position outside of video for text based subs

  [Pär Björklund]
   * Add missing include of <utility>

  [Memphiz]
   * [touch] - fixed inertial scrolling - regression introduced in 987cacfd318cf12e27bbdf791952a3b090274a9a

  [Pär Björklund]
   * Return ENOENT for empty path according to specs

  [Pär Björklund]
   * Remove .c_str() when calling exec and query as they take a const std::string&

  [Kai Sommerfeld]
   * [PVR][EPG] PVR API 4.0.0 Followup: Fixed signed/unsigned mismatch leftovers

  [Thomas Amland]
   * [addons] add missing implementations of IsInUse

  [Thomas Amland]
   * [addons] add missing implementations of SetDefault

  [Thomas Amland]
   * [addons] allow skins etc. to be activated via info dialog

  [ronie]
   * [Re-Touched] latest updates for Jarvis

  [Chris "Koying" Browet]
   * FIX: proper casting of file time TZ adjustment

  [Kolja Lampe]
   * Check if charsetSetting is null before trying to get data from it. If it is use the default value.

  [metaron]
   * [PVR] implement Timer Type EPG Series Restrict Flag

  [metaron]
   * [PVR] API add Timer Type EPG Series Restrict Flag

  [metaron]
   * [PVR] [EPG] Database version 11 (add iFlags)

  [metaron]
   * [PVR] API Add EPG Flags

  [metaron]
   * [PVR] bump API version to 4.1.0

  [ronie]
   * [Confluence] cleanup

  [Pär Björklund]
   * Clean up dialognumeric a bit and get rid of the void*

  [fritsch]
   * AdjustRefreshrate: Don't switch to bogus AVR introduced modes

  [Mike Frysinger]
   * TexturePacker: use $PKG_CONFIG

  [Garrett Brown]
   * Fix c/p error in CVariant

  [Matthias Kortstiege]
   * [xcode] sync project file

  [Pär Björklund]
   * Reworked AutPtrHandle to make it a generic scopeguard

  [Anton Fedchin]
   * [cores] RenderManager::GetStats - now returns queue and discard separately. DVDPlayerVideo - ignore discard stats for dropping frame on rewind.

  [Anton Fedchin]
   * [cores] WinRenderer: fixed usage of processor size even if no hw decoder is used

  [JoethePartylion]
   * Fix empty VideoPlayer.Plot when playing recorded TV

  [fritsch]
   * DVDCodecUtils: Change to SWS_BILINEAR from SWS_FAST_BILINEAR (fix quality and segfault)

  [ronie]
   * [Confluence] add close button to numeric dialog - fixes #16244

  [Memphiz]
   * [cosmetics] - fixed typos

  [Memphiz]
   * [ios] - fix mapping of 3 finger taps

  [montellese]
   * movie sets: add new setting to control whether to show single movie sets as sets or not

  [montellese]
   * GroupUtils: add additional overloads for more control over the result

  [montellese]
   * GroupUtils: remove unused GroupAndSort()

  [BigNoid]
   * [guilib] reduce duplicate code

  [BigNoid]
   * [guilib] Add container.listitemid.infolabel

  [fritsch]
   * AdjustRefreshrate: Switch to higher resolution depending on source dims

  [Achim Turan]
   * [library.kodi.audioengine] Adapt project files

  [Achim Turan]
   * [library.kodi.audioengine] ActiveAE extension to allow binary addon calls

  [Achim Turan]
   * [library.kodi.audioengine] Binary addon callback implementations

  [Achim Turan]
   * [library.kodi.audioengine] Basic binary addon AudioEngine implementation

  [DaveTBlake]
   * Fix repeated setting of playcount and compilation values (added in #8012)

  [Kolja Lampe]
   * [video] Don't save scraper settings if we exit out and not select the "ok" button

  [anaconda]
   * [video] Fix content type for special://videoplaylists

  [Chris "Koying" Browet]
   * FIX: [droid;storage] check readability last

  [Pär Björklund]
   * Revert this message sorting as it broke some stuff and was a dumb thing to do

  [Ryan Gribble]
   * Update gitignore for bootstrapped addons definition files

  [montellese]
   * jsonrpc: fix Addons.SetAddonEnabled() for invalid addonid values

  [Kai Sommerfeld]
   * [Confluence] Removed media/flagging/audio/0.png (no longer used).

  [Kai Sommerfeld]
   * [guiinfo] (VIDEOPLAYER

  [Pär Björklund]
   * Don't parse the action in EventServer, Builtins want it unmodified

  [ace20022]
   * [gif] Handle the disposal method DISPOSE_BACKGROUND like the majority of browsers and image viewers. The former implementation was written in compliance with the specification.

  [ace20022]
   * [gif][cosmetics] Fix typos.

  [ace20022]
   * [gif] Fix possible access violation while reading from the color palette.

  [ace20022]
   * [gif] Skip frames with no color map (neither global nor local).

  [Thomas Amland]
   * [addons] change the update functionality to show a list of available versions to allow updating, downgrading and changing which repository to install from

  [Thomas Amland]
   * [addons] allow blacklisting without version (ie all version)

  [Thomas Amland]
   * [addons] fix realoading of downgraded addons

  [Thomas Amland]
   * [addons] add repository support for multiple versions of addons

  [Thomas Amland]
   * [addons] remove GetRepoForAddon and explicitly get the repo with the highest version

  [Thomas Amland]
   * [addons] refactror. move repository selection as high up in the api as possible

  [Thomas Amland]
   * [addons] add database support for multiple versions of addons

  [Memphiz]
   * [ios] - allow full codesign in after build phase for all identities if set

  [Memphiz]
   * [iOS] - disable Bitcode - it needs a deployment target of at least ios6

  [Memphiz]
   * [osx/cmake-native] - give a hint about our used native SDK - cmake might pick a wrong/non existing sdk (f.e. when running on 10.10 and having xcode7 with SDK 10.11 - it picks 10.10 which is non existent) for some reason (and bails out because it doesn't find curl for example) - simply use the latest sdk given by xcrun for native tools

  [amet]
   * [depends] - add zlib to libssh depends

  [amet]
   * [osx/ios/depends] - allow OSX SDK 10.11 and iOS 9 SDK

  [S. Davilla]
   * [ios/osx] - move those explicit dylib references from the xcode project to the xcconfig files (this leaves out the extension and fixes linking so that it now also finds tbd files)

  [S. Davilla]
   * [depends/libssh] - fixed typo (-fnostack-protector vs. -fno-stack-protector) - newest clang errors out on invalid params. Also nuke those libssh_threads dylibs too, not needed due to static linking

  [S. Davilla]
   * [osx/depends/samba] - changed, proper dylib version is name.number.dylib, not name.dylib.number. Just mv the number and do install_name_tool fixups

  [S. Davilla]
   * [osx/cmake-native] - patch cmake to also find tbd libraries on osx (this is the new dylib format in SDKs - some sort of text stubs)

  [evilhamster]
   * [music] Removed refresh on artist/album info when the artist/album has not been scraped.

  [Memphiz]
   * [osx] - add xcode7 support to osx readme

  [Memphiz]
   * [ios] - add xcode7 support to ios readme

  [Martijn Kaijser]
   * bump GUI ABI version to Kodi version 15 as minimum

  [Alwin Esch]
   * [pvr] remove not needed StringUtils::ToLower on RDS text line

  [Kai Sommerfeld]
   * [PVR] Get rid of magic numbers; use constant PVR_TIMER_NO_EPG_UID instead. Solve related signed/unsigned problems.

  [Kai Sommerfeld]
   * [PVR] Addon API: Changed type of PVR_TIMER.iEpgUid to unsigned int. Introduce constant PVR_TIMER_NO_EPG_UID.

  [Kai Sommerfeld]
   * [PVR] Get rid of magic numbers; use constant PVR_TIMER_NO_CLIENT_INDEX instead. Solve related signed/unsigned problems.

  [Kai Sommerfeld]
   * [PVR] Addon API: Introduce constant PVR_TIMER_NO_CLIENT_INDEX.

  [Kai Sommerfeld]
   * [PVR] Replace senseless functionality to keep timers scheduled by a repeating timer when deleting the repeating timer by the option to delete the repeating timer that scheduled a timer about to delete, if exists.

  [Kai Sommerfeld]
   * [PVR] Addon API: Remove parameter bDeleteScheduled from function DeleteTimer.

  [Kai Sommerfeld]
   * [PVR] Bump PVR addon API to 4.0.0

  [Matthias Kortstiege]
   * [strings] remove obsolete strings after #8011

  [montellese]
   * upnp: add support for user ratings

  [montellese]
   * platinum: add patch for f606fe4ca1f15a55411e45f528bcdb8f184d5a0c

  [montellese]
   * platinum: add xbmc:userrating for user ratings

  [montellese]
   * upnp: add support for countries

  [montellese]
   * platinum: add patch for d75e736

  [montellese]
   * platinum: add xbmc:country for countries

  [Stefan Saraev]
   * sqlite3: dont apply map_populate patch on android

  [Memphiz]
   * [ios] - add missing gesture swipe handlers for 2 and 3 finger swipes (fixes non mappable multi finger swipe gestures)

  [ace20022]
   * [fix][subs] Fix MicroDVD Subtitles after da80dbea8505ce655c728c012c05874db40bea09. The first 1024 bytes of the file were lost.

  [Alwin Esch]
   * [adsp] fix wrong TMSG_SETAUDIODSPSTATE id

  [Alwin Esch]
   * [adsp] add use of ACTIVE_AE_DSP_SYNC_ACTIVATE on ...PostMsg(TMSG_SETAUDIODSPSTATE...

  [montellese]
   * videodb: allow calling SetDetailsForSeason() for "All seasons"

  [Arne Morten Kvarving]
   * settings: default to visualization.spectrum, not visualization.glspectrum

  [Thomas Amland]
   * CGUIDialogSelect: cleanup Add/SetItems. pass const reference

  [Thomas Amland]
   * remove zip operation log spam

  [Pär Björklund]
   * Some cleanup, makes it easier to change format string

  [Alwin Esch]
   * Update .gitignore to ignore new Makefile's

  [ace20022]
   * [fix][udf] Free allocated memory in the destructor.

  [fritsch]
   * ffmpeg: Bump to 2.8.0-Jarvis-alpha3-HEVC

  [Alwin Esch]
   * [adsp] fix wrong used settings parameter

  [Alwin Esch]
   * [adsp] remove wrong description line

  [Alwin Esch]
   * [pvr] improve for loops in CPVRRadioRDSInfoTag

  [Alwin Esch]
   * [pvr] remove '- ' on radiotext info lists (News...), does not match text style

  [Alwin Esch]
   * [confluence] add missing 'Radio text info list' control id

  [Alwin Esch]
   * [pvr] improve RDS player and remove compiler warning

  [Alwin Esch]
   * [pvr] fix wrong value in RDS_ALBUM_TRACKNUMBER return

  [Alwin Esch]
   * [pvr] Sort included files alphabetical

  [Alwin Esch]
   * [adsp] improve for loops in CActiveAEDSPProcess, CActiveAEDSPAddonand and CActiveAEDSPDatabase

  [Alwin Esch]
   * [adsp] fix wrong error dialog text and usage of them

  [Alwin Esch]
   * [adsp] improve for loops in CActiveAEDSP

  [Alwin Esch]
   * [adsp] fix disabled add-on folder name check

  [Alwin Esch]
   * [adsp] remove wrong TMSG_SETAUDIODSPSTATE call

  [Rainer Hochecker]
   * builtins: adapt xcode project

  [Pär Björklund]
   * Fixed VS project files and a new nitpicks

  [Arne Morten Kvarving]
   * builtins: clean up includes and namespaces

  [Arne Morten Kvarving]
   * changed: get rid of old builtin command map

  [Arne Morten Kvarving]
   * move android related builtins to separate file

  [Arne Morten Kvarving]
   * move application related builtins to separate file

  [Arne Morten Kvarving]
   * move optical related builtins to separate file

  [Arne Morten Kvarving]
   * move player related builtins to separate file

  [Arne Morten Kvarving]
   * move picture related builtins to separate file

  [Arne Morten Kvarving]
   * move pvr related builtins to separate file

  [Arne Morten Kvarving]
   * move gui container related builtins to separate file

  [Arne Morten Kvarving]
   * move weather related builtins to separate file

  [Arne Morten Kvarving]
   * move CEC builtins to separate file

  [Arne Morten Kvarving]
   * move gui control builtins to separate file

  [Arne Morten Kvarving]
   * move gui builtins to separate file

  [Arne Morten Kvarving]
   * move profile related builtins to separate file

  [Arne Morten Kvarving]
   * move system builtins to separate file

  [Arne Morten Kvarving]
   * move skin builtins to separate file

  [Arne Morten Kvarving]
   * move addon builtins to separate file

  [Arne Morten Kvarving]
   * move library builtins to separate file

  [Arne Morten Kvarving]
   * add command provider hooks in CBuiltins

  [Arne Morten Kvarving]
   * changed: make CBuiltins a singleton

  [Arne Morten Kvarving]
   * relocate builtins to a subfolder

  [anaconda]
   * [application] Hide credentials for folder locations in debug logs.

  [montellese]
   * CGUIWindowMusicNav: get rid of the empty database control

  [Pär Björklund]
   * Fix formatting I messed up

  [Stanislav Vlasic]
   * AML: EGLNativeTypeAmlAndroid: Implement 480cvbs/i/p and 576cvbs/i/p modes

  [fritsch]
   * AESinkPULSE: Emulate periodSize as ALSA to stop fragmentation

  [Thomas Amland]
   * addon installer: remove referer code

  [ace20022]
   * [lang/settings] Separate StreamLanguagesFiller into AudioStreamLanguagesFiller, SubtitleStreamLanguagesFiller and SubtitleDownloadlanguagesFiller because of special entries.

  [montellese]
   * CFileItem: copy album artwork in SetFromAlbum()

  [montellese]
   * CMusicInfoTag: copy some missing information in SetArtist/SetAlbum/SetSong() (fixes #16232)

  [ace20022]
   * [lang] Remove Close Caption (cc) from the ISO_639_1 and ISO_3166_1 lists.

  [montellese]
   * CMusicInfoTag: use setters instead of direct member access

  [ronie]
   * [confluence] unify music library and files view

  [Arne Morten Kvarving]
   * fixed: don't execute extra fluff if listing failed

  [Arne Morten Kvarving]
   * add file node to default music library layout

  [Arne Morten Kvarving]
   * bye bye GUIWindowMusicSongs

  [Arne Morten Kvarving]
   * changed: integrate custom ::Update code from songs in to Nav

  [Arne Morten Kvarving]
   * changed: fold rename/delete for files into nav window

  [Arne Morten Kvarving]
   * changed: move handling of CDDB context button to base window

  [Arne Morten Kvarving]
   * changed: move handling of rip cd track context button to base window

  [Arne Morten Kvarving]
   * changed: add music scanning context button handling to base/nav window

  [Arne Morten Kvarving]
   * changed: add handling of sources context menu to nav/base window

  [Arne Morten Kvarving]
   * changed: move OnPrepareFileItems to music base class

  [Arne Morten Kvarving]
   * changed: move getdirectory code from music songs to music base

  [Arne Morten Kvarving]
   * changed: move handling of ACTION_SCAN_ITEM to music base class

  [Arne Morten Kvarving]
   * changed: move handling of CONTROL_BTNREC to music base class

  [Arne Morten Kvarving]
   * changed: move handling of CONTROL_BTNSCAN to base window

  [Arne Morten Kvarving]
   * changed: move CONTROL_BTNPLAYLISTS into music base window

  [Arne Morten Kvarving]
   * changed: move handling of GUI_MSG_DIRECTORY_SCANNED to base class

  [Arne Morten Kvarving]
   * changed: fold music song window ::PlayItem into base (and nav) class

  [Arne Morten Kvarving]
   * changed: remove implementation of OnRemoveSource to music base class

  [Arne Morten Kvarving]
   * changed: move the implementation of IBackgroundInfoLoader to music base class

  [Arne Morten Kvarving]
   * changed: move scanning related functions to music base window

  [Arne Morten Kvarving]
   * changed: move audio cd rip button handling to base music window

  [Arne Morten Kvarving]
   * added: quickpath support for files to music nav window

  [Arne Morten Kvarving]
   * changed: move GUI_MSG_NOTIFY_ALL+GUI_MSG_REMOVED_MEDIA handling to base window

  [montellese]
   * CGUIViewStateMusicSmartPlaylist: fix default sorting of songs over UPnP (fixes #16192)

  [Pär Björklund]
   * Remove auto_aptr as std::unique_ptr handles this just fine by specifying [] in the template type

  [Matthias Kortstiege]
   * [osx/ios] xcode sync for PR7800

  [Pär Björklund]
   * Add the ability to open dialogyesno by sending a threadmessage.

  [Kai Sommerfeld]
   * [Confluence] Home screen: Make system.date label wider

  [S. Davilla]
   * cleanup, no one uses the functions, drop a nuke

  [S. Davilla]
   * fixed compiler warnings, do not over-ride SDL defines with our own junk

  [S. Davilla]
   * cleansing, SDL what ?

  [S. Davilla]
   * removed, LockFree. Also not used since water made to wine

  [S. Davilla]
   * [ios] - only change scheduler on ios, not osx

  [S. Davilla]
   * fixed, memory leak. and rm results, no one cares

  [S. Davilla]
   * fixed, packedBuffer is an array, use the proper delete

  [S. Davilla]
   * [soloader] - remove debugoutput in global dtor again - those can cause crashes on exit.

  [S. Davilla]
   * removed, mediainfo has been going forever, why is this here ?

  [S. Davilla]
   * removed, DARWIN_NATIVE_ARCH does not exist and has not since Texturepacker was moved to depends

  [S. Davilla]
   * fixed, we do not own png object so do not manually release it

  [S. Davilla]
   * fixed, hidden collision with CSettingString:copy

  [S. Davilla]
   * fixed, NULL is not equal to zero, thank you

  [S. Davilla]
   * removed, SDL native. This should have been removed long ago when TexturePacker was nutered of SDL

  [S. Davilla]
   * fixed, signed/unsigned compiler warning by casting

  [ace20022]
   * [GUITexture] Fix animation delay "calculation".

  [ace20022]
   * [GUITexture] Make texture animations more accurate.

  [ace20022]
   * [TextureManager] Use new gif implementation and remove now obsolete AnimatedGif class.

  [ace20022]
   * [gif] Add proper gif implementation using giflib 4/5.

  [Kolja Lampe]
   * Ignore .vs folder in visual studio project Ignore removed visualization addons

  [fritsch]
   * ffmpeg: Disable videotoolbox on OSX

  [t4-ravenbird]
   * fix use of progress-dialog lines

  [fritsch]
   * FFmpeg: Bump to 2.8.0-Jarvis-alpha3

  [fritsch]
   * VAAPI: Use HEVC acceleration (ffmpeg 2.8+)

  [fritsch]
   * VDPAU: Use HEVC_MAIN GPU decoding (ffmpeg 2.8+) v2: Always use 16 ReFrames

  [montellese]
   * CImageResource: adjust IsAllowed() to also accept directory paths to be able browse directories for multiimage controls

  [Kolja Lampe]
   * [music] Make sure the node type is correct

  [Razzeee]
   * [cleanup] Removed unused declaration that crept in somehow

  [ace20022]
   * [depends] Add giflib.

  [wsnipex]
   * [depends] fix dcadec makefile to allow manual install

  [fritsch]
   * dcadec: Remove wrong AC_CHECK_LIB

  [fritsch]
   * DCADEC: Display real stream information - don't hide what we know

  [montellese]
   * [win32] TexturePacker: bump version to 1.0.4

  [Alwin Esch]
   * [pvr] Radio RDS - Add related parts to skin

  [Alwin Esch]
   * [pvr] Radio RDS - Add in legacy interface

  [Alwin Esch]
   * [pvr] Radio RDS - Add handling code

  [Alwin Esch]
   * [pvr] Radio RDS - Add related settings

  [Alwin Esch]
   * [pvr] Radio RDS - Add related strings

  [Alwin Esch]
   * [pvr] Radio RDS - Add related skin strings

  [AlwinEsch]
   * [pvr] Radio RDS - Add related gui images

  [Thomas Amland]
   * [addons] kill force parameter. logically dead code

  [Thomas Amland]
   * [addons] remove 'update' parameter. always called with true if addon is installed

  [Thomas Amland]
   * remove unused method

  [Thomas Amland]
   * [addons] dont attempt to install dependency if it's just disabled

  [Kolja Lampe]
   * [cleanup][music] Removed unneeded lines from SaveViewStates

  [popcornmix]
   * [DVDDemuxFFmpeg] Ignore extradata for unknown stream types

  [universal]
   * [readme] part 3 - fix comments.

  [Razzeee]
   * [musiclibrary] Made top albums sortable by play count

  [universal]
   * [readmes] Final revision

  [S. Davilla]
   * fixed, convertBaseToScreen is depreciated

  [S. Davilla]
   * fixed, c++11 compiler warnings

  [S. Davilla]
   * fixed, XBMCDelegate warnings

  [S. Davilla]
   * fixed GCRY_THREAD_OPTION_PTHREAD_IMPL is depricated, check for it

  [S. Davilla]
   * fixed linker warnings about PIC/PIE

  [Matthias Kortstiege]
   * [settings] remove rotate pictures using EXIF information setting

  [Matthias Kortstiege]
   * [settings] remove show EXIF picture information setting

  [universal]
   * [readme] typos and cleanup including whitespaces.

  [Kolja Lampe]
   * Corrected label order for songs when ordering by dateadded See https://github.com/xbmc/xbmc/pull/7884#discussion-diff-38898752

  [montellese]
   * [win32] TexturePacker: fix/cleanup include directories definition

  [montellese]
   * TexturePacker: properly write the path into the header followed by zeroes instead of garbage

  [Kolja Lampe]
   * Disable CPU temp test on windows

  [montellese]
   * settings: fix method signatures of overridden virtual methods

  [montellese]
   * CWakeOnAccess: replace OnSettingsSaved() with OnSettingChanged()

  [montellese]
   * CWinSystemX11: don't derive from unused ISettingCallback

  [popcornmix]
   * [visualisation] Don't restrict the sample buffer to 256 samples

  [popcornmix]
   * [mmalcodec] Use settings constants

  [popcornmix]
   * [omxplayer] Flush EOS from queue to avoid it turning up after a seek

  [Thomas Amland]
   * remove file operation log spam

  [evilhamster]
   * [music] Added a desc field for (album)artists to Song and Album, the field is used to keep the information from the tags for display purposes.

  [ace20022]
   * [guilib] The output buffer of IImage::Decode should be a const pointer rather than a pointer to a const value.

  [MilhouseVH]
   * [mysql]Add support for hyphenated database names when copying databases

  [Alwin Esch]
   * [depends] remove libmp3lame

  [S. Davilla]
   * fixed, AEDelayStatus is a struct, not a class

  [Kai Sommerfeld]
   * [PVR] Use custom setting list formatter for displaying days of week values.

  [Kai Sommerfeld]
   * [settings] CGUIControlListSetting: Add possibility to supply a custom formatter for label2.

  [Martijn Kaijser]
   * fix language strings after 0997117a659a09e7b1c5bcb110f3526ea16698be

  [Roman]
   * Fix: Disable unneeded flip of characters for hebrew/arabic languages

  [montellese]
   * [win32] provide bootstrap-addons.bat to execute binary addons bootstrapping

  [montellese]
   * [binary addons] replace all addons with a binary addons definition repository

  [montellese]
   * [binary addons] automatically bootstrap all default repositories and addons if no addon definitions are available

  [montellese]
   * [binary addons] provide a bootstrap buildsystem to download addon definitions

  [montellese]
   * [binary addons] add ADDONS_DEFINITION_DIR to be able to specify the directory containing the definitions for the addons to be built

  [montellese]
   * jsonrpc: fix CID 1273979

  [montellese]
   * jsonrpc: fix CIDs 1228813, 1228816, 1228817, 1228818, 1228823 and 1228824

  [montellese]
   * jsonrpc: fix CIDs 1194413, 1194414, 1194415, 1194416, 1213841 and 1213842

  [montellese]
   * JSONServiceDescription: fix CID 719179 and 719180

  [Kai Sommerfeld]
   * [Confluence]]PVR] Re-add channel icons before timer title (was accidentally removed with #7630)

  [NedScott]
   * Fix "menu" button for Android and linux.

  [Thomas Amland]
   * remove unused context menu id

  [Thomas Amland]
   * [addons] move LastUpdated from installer to repository updater

  [Matthias Kortstiege]
   * [osx/ios] xcode sync for repository updater

  [Thomas Amland]
   * add context menu for updating a single addon repository

  [Thomas Amland]
   * [addons] improve error handling in repository navigation

  [Thomas Amland]
   * [addons] fix repository install hooks

  [Thomas Amland]
   * [addons] rework repository updating

  [Arne Morten Kvarving]
   * copy config.site with friends to in-addon-tree autoconf dirs

  [wsnipex]
   * [depends] binary-addons: add X11

  [wsnipex]
   * [depends] binary addons: add CMAKE_LD_FLAGS to cmake toolchain file

  [wsnipex]
   * [depends] binary addons: add GLEW to addon depends on linux

  [wsnipex]
   * [cmake] pass DEPENDS_PATH to addons

  [montellese]
   * [win32] update build scripts to handle visualization addons

  [wsnipex]
   * remove visualizations fishbmc, goom, milkdrop, projectm, spectrum, vortex and waveform from tree

  [wsnipex]
   * remove rsxs from tree

  [wsnipex]
   * [binary addons] add visualizations fishbmc, goom, milkdrop, milkdrop2, projectm, spectrum, vortex and waveform

  [wsnipex]
   * [binary addons] add screensavers.rsxs

  [Arne Morten Kvarving]
   * added: special setting __addonpath__ to libXBMC_addon::GetSettings()

  [Matthias Kortstiege]
   * [confluence] remove obsolete windows from visible condition

  [MilhouseVH]
   * [videodatabase] Fix database version after #7561

  [Razzeee]
   * Fix fileutils test that failed on windows

  [Matthias Kortstiege]
   * [videodatabase] fix typo

  [ace20022]
   * Bump minimum libbluray version to 0.7.0 in configure.ac. Update README.linux.

  [montellese]
   * jsonrpc: fix Audio.Details.Base definition after 59cead53175c51e25d5d73b25e95cbf8d2d309e2

  [montellese]
   * CXbtFile: add include for hidden dependency (thanks notspiff)

  [h.udo]
   * [gui] drop video/music overlay dialogs leftover part II

  [ronie]
   * [Confluence] cosmetics after PR7857

  [Thomas Amland]
   * [addons] move installing for updates to addon installer

  [Razzee]
   * Added SORT_METHOD_VIDEO_USER_RATING to legacy code

  [Razzee]
   * tests: Added unit tests for user ratings (videodb)

  [Razzee]
   * Added user rating to json rpc for movie, tvshow, episode and musicvideo (get/set)

  [Razzee]
   * Added user rating to setInfo on ListItem

  [Razzee]
   * Added user rating to videoplayer and listitem for skinners Added label formatter for user rating Added IncreaseRating / DecreaseRating for video user ratings Added sorting option for user rating and show it in tvshows, episode and movie views

  [montellese]
   * jsonrpc: fix handling of default sort method "none"

  [Razzee]
   * Added user rating to musicvideo, movie, episode and tvshow databases Made user rating it scrapable

  [Matthias Kortstiege]
   * [videoinfodialog] cleanup obsolete and dupe code

  [Matthias Kortstiege]
   * [keymap] let ctrl+shift+r toggle dirty region visualization

  [Matthias Kortstiege]
   * [builtins] adds ToggleDirtyRegionVisualization builtin

  [h.udo]
   * [gui] drop video/music overlay dialogs leftover

  [xhaggi]
   * [input] fix long press fallback handling after #7846

  [Pär Björklund]
   * Added prebuilt libdcadec from same source as linux version

  [popcornmix]
   * [ffmpeg] Add support for libdcadec

  [Matthias Kortstiege]
   * [video] retrieve season poster via the thumbloader

  [ronie]
   * typo

  [BigNoid]
   * [guilib] Add randomize tag for fadelabels

  [Matthias Kortstiege]
   * [infomanager] add Container.Row/Column info label for panels

  [Matthias Kortstiege]
   * [peripherals] nuke PeripheralManager

  [Matthias Kortstiege]
   * [peripherals] use the actual device name for settings dialog header

  [Matthias Kortstiege]
   * [peripherals] pass peripheral device properties to settings dialog

  [Matthias Kortstiege]
   * [peripherals] use select dialog for listing devices

  [phil65]
   * [guilib] nuke VisualisationPresetList.xml

  [DaveTBlake]
   * Fix so that "Various artists" is displayed in the artists list just as it is when displaying artists for a specific genre.

  [Martijn Kaijser]
   * set version to 16.0a3

  [popcornmix]
   * [peripherals] Move initialisation after language init to fix notifications

  [montellese]
   * CVideoLibraryProgressJob: don't force the progress dialog/bar open in DoWork()

  [montellese]
   * CVideoLibraryRefreshingJob: always close the progress dialog after scraping

  [Matthias Kortstiege]
   * [infomanager] add Container.Content info label

  [ace20022]
   * [bluray][depends] Adapt libbluray makefile to libbluray 0.8.1 and add a patch for android (setmntent not defined).

  [ace20022]
   * [bluray] Add Abort implementation.

  [ace20022]
   * [bluray] Initialize m_angle.

  [ace20022]
   * [bluray] Fix bluray player language settings.

  [ace20022]
   * [bluray] Set persistent and cache directory.

  [ace20022]
   * [bluray] Set BLURAY_PLAYER_SETTING_PARENTAL and BLURAY_PLAYER_SETTING_PLAYER_PROFILE to recommended values.

  [ace20022]
   * [bluray] Use the region locale (country code) form the settings instead of hardcoded "us".

  [ace20022]
   * [bluray][settings] Add a Blu-ray region setting and use it.

  [ace20022]
   * [bluray] Move player setup to an own method and refactor it.

  [ace20022]
   * [bluray] Add PLAYMARK event.

  [ace20022]
   * [curl][udf] The separator between the image path and the file path (inside the image) must be '/'.

  [ace20022]
   * [win32][bluray] Update libbluray to version 0.8.1.

  [Pär Björklund]
   * Fix: Change parameter to CPVRChannelPtr

  [montellese]
   * CVideoLibraryRefreshingJob: ditch m_showDialogs in favor of CProgressJob::DoModal/IsModal()

  [metaron]
   * [PVR] search window add play recording to context menu

  [metaron]
   * [PVR] Fix crash in PVR search window context menu

  [Ben Avison]
   * Pre-populate the mmap'ed database file in SQLite.

  [Matthias Kortstiege]
   * [guilib] fix button label2 not updated after emptying

  [metaron]
   * [PVR][Confluence] Add EPG to search results window

  [arnova]
   * fixed: Enable retry without range set for e.g. broken HDHomerun servers (fixes #14204)

  [Ben Avison]
   * Enable SQLite to use mmap for file access.

  [janbar]
   * [PVR] Don't show 'will record' in EPG for inactive schedule

  [Matthias Kortstiege]
   * [videodb] add genre to episode_view

  [Matthias Kortstiege]
   * [video] add listitem audio/subtitle properties from streamdetails

  [Matthias Kortstiege]
   * [goom] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [dllloader] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [cdrip] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [epg] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [linux] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [dvdplayer] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [peripherals] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [dialogs] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [audioengine] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [input] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [interfaces] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [audiodsp] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [pictures] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [network] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [dbwrappers] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [listproviders] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [videoshaders] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [guilib] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [addons] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [utils] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [music] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [filesystems] use std:: instead of using namespace std

  [montellese]
   * CApplication: improve skin reloading in case theme/color/font is not default

  [Stefan Saraev]
   * [keymap] improve 'menu' keymaps

  [Stefan Saraev]
   * [input] added KEY_MENU to linux input

  [Matthias Kortstiege]
   * [video] fix missing container.art for movie sets

  [Matthias Kortstiege]
   * [video] fix title prompting in case the search returned no results

  [Anton Fedchin]
   * [GraphicContext] Use stereo strength setting instead of fixed value.

  [Anton Fedchin]
   * [language.en_gb] Added strings for stereo strength setting.

  [Anton Fedchin]
   * [windows] GUIWindowTestPattern: Don't adjust white and black levels for DirectX, they will be adjusted in shader.

  [Anton Fedchin]
   * [guilib] GUIFontTTF: Don't adjust color range for DirectX, it will be adjusted in shader.

  [Anton Fedchin]
   * [guilib] GUITextureD3D: Don't adjust color range, it will be adjusted in shader.

  [Anton Fedchin]
   * [guilib] GUIShaderDX: Added color adjustment to shaders for correct displaying limited color range.

  [Anton Fedchin]
   * [settings] Added new setting 'GUI Stereo Effect Strength'.

  [Anton Fedchin]
   * [guilib] GUIWindow: added new <depth> tag which define on how window will be "in front" or "in back" in stereo mode.

  [Anton Fedchin]
   * [guilib] ControlFactory: added new <depth> tag which define on how control will be "in front" or "in back" in stereo mode.

  [Anton Fedchin]
   * [guilib] CGUIControl: added parameter for stereo correction factor.

  [Anton Fedchin]
   * [GraphicsContext] Added methods SetStereoFactor/RestoreStereoFactor for stereo corrections.

  [Anton Fedchin]
   * [RenderSystem] SetCameraPosition: Added stereo correction factor parameter (default 0).

  [ace20022]
   * [ae] Fix copy-paste-error.

  [Stefan Saraev]
   * [cleanup] dont search for ogg/vorbis/vorbisenc shared libs

  [Chris Browet]
   * FIX: [amlegl] additional display modes

  [Chris "koying" Browet]
   * FIX: [amlegl] do not require RW on /sys/.../mode

  [Pär Björklund]
   * Fixed broken switch statement and moved it to it's own method to cut down on similar future issues. Added logging for unhandled values.

  [ace20022]
   * [Util] Make use of generalized ScanForExternalSubtitles(...) methods.

  [hudokkow]
   * [groovy] Move groovy to tools/codegenerator/

  [anaconda]
   * [videodb] Never clean empty TV shows if the path still exists.

  [Matus Kral]
   * [CEC] change bool setting "pause playback on changing source" into tristate option with possible settings: 1. do nothing (as was before) 2. pause playback (as was before) 3. stop video, keep playing audio

  [ace20022]
   * [Util] Generalize external subtitle retrieval method(s). This adds the following protected methods.

  [Martijn Kaijser]
   * [pydocs] cosmetics

  [hudokkow]
   * [groovy] Update to 2.4.4

  [Matthias Kortstiege]
   * [music] fix missing lyrics from tag when playing from musicdb url (fixes #16216)

  [Mike Frysinger]
   * kodi.sh: use portable printf

  [Tobias Markus]
   * Fix coverity #1312063 and #1312064: Pass big parameter by reference instead of value

  [montellese]
   * [win32] fix minimum required CMake version for generator expressions

  [arnova]
   * changed: When matching articles, ignore their case

  [montellese]
   * CDirectoryProvider: support "sortby" and "sortorder" attributes

  [montellese]
   * [binary addons] fix android by using TARGET_LINKER_FILE_NAME instead of TARGET_FILE_NAME

  [Pär Björklund]
   * CancelAlarmclock didn't understand silent as a parameter and with the addition of event logging it started displaying a toast

  [montellese]
   * SmartPlaylist: use the new SortUtils helper methods

  [montellese]
   * JSON-RPC: use the new SortUtils helper methods

  [montellese]
   * SortUtils: add methods to translate sort methods/orders from/to string

  [Alex Deryskyba]
   * [aml] Enable true 1920x1080 output without upscaling on Amlogic-based devices.

  [Matthias Kortstiege]
   * [infomanager] add System.HasHiddenInput info bool

  [wsnipex]
   * [binary addons] Allow regex patterns in ADDONS_TO_BUILD

  [Matthias Kortstiege]
   * [dialog] use DialogOK as basis for the gamepad dialog

  [Matthias Kortstiege]
   * [video] nuke GUIDialogFileStacking

  [Matthias Kortstiege]
   * [video] use select dialog for play stacked part selection

  [Pierre Bureau]
   * [CONTAINERART] Fix Container.Art property for artist directories

  [ace20022]
   * Avoid access violations when a lib couldn't be loaded.

  [Rainer Hochecker]
   * dvdplayer: set default screen region for dvb subs

  [metaron]
   * [PVR] Timer Setting Dialog: only supported anytime

  [metaron]
   * [PVR] Timer settings dialog: Start/End display fix

  [Achim Turan]
   * [ActiveAE] Added new interface method GetCurrentSinkFormat(...)

  [Achim Turan]
   * [AEUtils] Added copy operator to AEAudioFormat

  [Matthias Kortstiege]
   * [settings] ensure year string is at the end in clean datetime regexp

  [Chris "Koying" Browet]
   * Revert "[aml] - fix draining message queue"

  [Matthias Kortstiege]
   * [confluence] disable vis preset button in case there are no presets available

  [Matthias Kortstiege]
   * [infomanager] add Visualisation.HasPresets info bool

  [Thomas Amland]
   * [gui] fix CGUIDialogSelect::GetSelectedItem not returning the selected item

  [Anton Fedchin]
   * [dx11] CProcessorHD: Get rig of unneeded std::map.

  [Anton Fedchin]
   * [dxva] CProcessorHD::Convert - Optimize method with sse2 instructions.

  [Anton Fedchin]
   * [dx11] Moved CDVDCodecUtils::CopyDXVA2Picture to WinRenderer and optimize copying a DXVA texture to YUV buffer with sse4.

  [ronie]
   * [Re-Touched] update

  [ronie]
   * [Confluence] remove dead code

  [Matthias Kortstiege]
   * [grouplist] factor out control on screen detection code

  [Thomas Amland]
   * [lang] sort special values for preferred subtitle/audio language on top

  [Matthias Kortstiege]
   * [guilib] add Container(id).Position for grouplist controls

  [Matthias Kortstiege]
   * [guilib] move infolabel functions to GUIControlGrouList

  [metaron]
   * [PVR] Implement: Recording scraper support / UI

  [metaron]
   * [PVR] Doc Only: Doxy syntax correction

  [metaron]
   * [PVR] Doc Only: iLifetime list purpose

  [Ryan Gribble]
   * [PVR] Implement: Add menu visibility controls

  [metaron]
   * [PVR] API: Add menu visibility controls for timers

  [Ryan Gribble]
   * [PVR] Implement: MaxRecordings list

  [metaron]
   * [PVR] API: Add maxRecordings

  [metaron]
   * [PVR] API: Add Recording scraper support

  [metaron]
   * [PVR] Implement: Add boolean control of Any Time

  [metaron]
   * [PVR] API: Add boolean control of Any Time

  [metaron]
   * [PVR] API 3.0.0 Version Bump

  [evilhamster]
   * Updated addsong to check for iTrack aswell when checking for duplicates.

  [montellese]
   * CLangInfo: properly set the time format when setting/changing regions

  [Matthias Kortstiege]
   * [musiclibrary] add SortByArtistThenYear

  [Thomas Amland]
   * [lang] fix inconsistent naming of norwegian languages

  [uNiversaI]
   * [readme] fix crossguid install PREFIX

  [uNiversaI]
   * [crossguid] all: also check for installed location

  [Kolja Lampe]
   * Hide image when showing tracks

  [xhaggi]
   * [gui] drop video/music overlay dialogs

  [Tobias Markus]
   * Various cppcheck performance fixes

  [ronie]
   * [Confluence] cleanup

  [ronie]
   * [Re-Touched] update

  [Thomas Amland]
   * [addons] fix foreign filter after 'no' was changed to 'nb_NO'

  [Thomas Amland]
   * [lang] fix fallback after 'no' was changed to 'nb_NO'

  [Matthias Kortstiege]
   * [recentlyadded] fix empty LatestAlbum.Artist (closes #16200)

  [Matthias Kortstiege]
   * [recentlyadded] fix empty LatestAlbum.Artist (closes #16200)

  [Matthias Kortstiege]
   * [guilib] fix double memory free in panel container

  [ronie]
   * [Confluence] cosmetics

  [Rainer Hochecker]
   * [cmake] set CORE_SYSTEM_NAME on osx correctly

  [xhaggi]
   * [input] fix stack overflow in HasLongpressMapping

  [ronie]
   * [Confluence] fix watched flag in media info 3 view

  [xhaggi]
   * [cleanup] unify method name used for singleton pattern

  [Thomas Amland]
   * [addonbrowser] dont set content to "addons" for category listings and other menus

  [Thomas Amland]
   * [codegenerator] return None for null pointer, not empty vector

  [Thomas Amland]
   * [python] add multiselect dialog

  [Thomas Amland]
   * [gui] change CGUIDialogSelect::GetSelectedItems to return indices

  [Matthias Kortstiege]
   * [guilib] fix fadelabel always marked dirty

  [ronie]
   * [Confluence] numpad redesign

  [Anton Fedchin]
   * [guilib] GUIFontTTFDX: Fixed rendering of rotated text.

  [metaron]
   * [PVR] Timer settings dialog: Pre/post bugfix

  [ronie]
   * [Confluence] fix highlight on numpad buttons

  [ronie]
   * [Confluence] replace <angle> tag with animation

  [uNiversaI]
   * [readme] add uuid-dev / crossguid to dependencies

  [popcornmix]
   * [mmalrenderer] Use half rate deinterlace when playing video in background

  [popcornmix]
   * [mmalcodec] Tidy up debug logging for decode

  [popcornmix]
   * [omxplayer] Tidy up setting of timestamp flags

  [popcornmix]
   * [omxhelper] Ignore embedded coverart image when looking for supported video streams

  [popcornmix]
   * [omxplayer] Set audio properties for passthrough

  [popcornmix]
   * [omxplayer] Support per refresh rate display latency settings

  [popcornmix]
   * [omxplayer] Allow automatic switching back to omxplayer after it has been disabled

  [Kolja Lampe]
   * Added dateAdded to album and artist json-rpc

  [Kolja Lampe]
   * Call SetArtist with the artist object instead of the artist name

  [Kolja Lampe]
   * Added max dateAdded to artist and album

  [Anton Fedchin]
   * [guilib] TextureDX: fix texture updates. Now there is a possibility to update texture if it was created with default usage.

  [MilhouseVH]
   * [mysql] Fix incomprehensible error message

  [Pär Björklund]
   * Updated taglib that fixes a crash when playing flac files

  [popcornmix]
   * [mmaldecodec] Increase queue limit to 1 second to avoid stalls

  [popcornmix]
   * [mmalcodec] Use both dts and pts for determining amount of queued data

  [popcornmix]
   * [mmalcodec] Don't set initial unknown timestamps to zero

  [popcornmix]
   * [mmalcodec] Enable interpolate timestamps

  [popcornmix]
   * [mmalcodec] Populate the framerate of video decoder

  [popcornmix]
   * [rbp] Ignore pts value when m_hints.ptsinvalid set

  [Martijn Kaijser]
   * [gui] change some appearence settings from spinner to list

  [montellese]
   * CApplication: reloading the skin when changing themes must be done asynchronously (broken by 9e9396b073ba973b2847896a11244a9f37ecbaff)

  [taxigps]
   * fixed: setlocale issue other than windows

  [montellese]
   * addons: simplify and document logic for broken add-on handling

  [montellese]
   * events: only log incompatible/broken add-ons that are installed

  [montellese]
   * CAddonInstaller: fix CheckDependencies() after 71b96140956936dfd366554e8806bed1b15d81f1

  [montellese]
   * fix CUtil::GetSkinThemes() to also handle xbt:// VFS paths

  [Martijn Kaijser]
   * [add-ons] sync with repo

  [Martijn Kaijser]
   * [cosmetic] fix incorrect string id start point

  [Chris "Koying" Browet]
   * FIX: [droid] handle audio headsets

  [Thomas Amland]
   * [addonbrowser] refactor

  [Thomas Amland]
   * [addonbrowser] add 'look and feel' category

  [Matthias Kortstiege]
   * [videodatabase] fix 'replace file names with library titles' for folders containing a single series

  [montellese]
   * [win32] update pre-built TexturePacker.exe dependency

  [montellese]
   * [win32] fix missing include path to winres.h

  [montellese]
   * texturepacker: fix texturepacker not writing any frames

  [montellese]
   * texturepacker: derive CXBTFWriter from CXBTFBase instead of abusing CXBTFReader

  [montellese]
   * guilib: split CXBTFBase out of CXBTFReader

  [phil65]
   * [Confluence] - fix WindowOpen animation for Eventlog

  [montellese]
   * jsonrpc: add VideoLibrary.RefreshMovie/TVShow/Episode/MusicVideo

  [ronie]
   * [Confluence] epggrid - remove onback, menu key can now be used to focus the sidemenu

  [ronie]
   * [Confluence] add menucontrol to eventlog window

  [montellese]
   * CFileItem: fix GetBaseMoviePath() for folder-level sources

  [montellese]
   * cosmetic: use else if instead of if in CVideoInfoScanner

  [montellese]
   * video library: use CVideoLibraryQueue::RefreshItemModal

  [montellese]
   * CVideoLibraryQueue: add RefreshItem and RefreshItemModal

  [montellese]
   * refactor video item refreshing into CVideoLibraryRefreshingJob

  [MilhouseVH]
   * [mysql] Fix formatting arg that leads to segfault #2

  [MilhouseVH]
   * [mysql] Fix formatting arg that leads to segfault

  [montellese]
   * filesystem: make events:// available even if there's no network interface available

  [montellese]
   * filesystem: make resource:// available even if there's no network interface available

  [montellese]
   * filesystem: make bluray:// available even if there's no network interface available

  [montellese]
   * filesystem: make pipe:// available even if there's no network interface available

  [Frank Razenberg]
   * [keymap] undo workaround for volume adjustment issue

  [Frank Razenberg]
   * [action] Disregard sign of volume adjustment actions to match seeking behavior

  [uNiversaI]
   * [confluence] update bookmark OSD icon

  [xhaggi]
   * [cleanup] removes unused actions

  [Pär Björklund]
   * [xbmc][win32] Fixes side flyout appearing when using touch

  [xhaggi]
   * [settings] rename eventlog setting ids based on the convention

  [xhaggi]
   * [setting] hunt missing setting id constants

  [xhaggi]
   * [keymap] adjust keymaps to support the menu action

  [xhaggi]
   * [confluence] adds new menucontrol tag in related xml's

  [h.udo]
   * [json] Bump API

  [Arne Morten Kvarving]
   * [json] added: announce after audio library export

  [Arne Morten Kvarving]
   * [json] added: announce after video library export

  [Matthias Kortstiege]
   * [textbox] remove duplicate code

  [Matthias Kortstiege]
   * [infomanager] add Container(id).HasNext / HasPrevious for textbox controls

  [montellese]
   * events: fix showing event log from settings

  [montellese]
   * settings: use constants for event log settings

  [montellese]
   * CBaseTexture: support loading a (static) texture from an XBT file (and from resource addons)

  [montellese]
   * CImageResource: override CResource::GetFullPath() to forward paths to Textures.xbt if present

  [montellese]
   * CResource: add overridable GetFullPath()

  [montellese]
   * filesystem: add CXbtManager, CXbtDirectory and CXBtFile to implement xbt://

  [montellese]
   * filesystem: add Directorize helper function and use it in CZipDirectory::GetDirectory()

  [montellese]
   * add CXBTFFile::GetPackedSize()/GetUnpackedSize()

  [montellese]
   * refactor CXBTFFrame, CXBTFFile and CXBTFReader and get rid of CXBTF

  [Matthias Kortstiege]
   * [infomanager] add Container(id).CurrentItem / NumItems for grouplists

  [h.udo]
   * [Util.cpp] sap stream was dropped by mistake during HDhomerun cleanup

  [Stefan Saraev]
   * [binary addons] make sure CORE_SYSTEM_NAME is set

  [h.udo]
   * [pvr.dvbviewer] Point to master again now https://github.com/xbmc/xbmc/pull/7570 is in

  [hudokkow]
   * [Binary Add-ons] Point audio encoders/decoders to master instead of SHA

  [Anton Fedchin]
   * [GUIFontTTFDX] Optimized: don't change rendering state if there is nothing to render.

  [wsnipex]
   * [binary addons] fix addon.xml generation if addon.xml.in contains semicolons

  [Memphiz]
   * [Database/Import] - present the user with removable and network shares aswell when importing a database - same as the export database dialog provides

  [montellese]
   * [confluence] add EventLog.xml

  [Matthias Kortstiege]
   * [osx/ios] xcode sync

  [montellese]
   * [win32] update VS project files

  [montellese]
   * events: add and integrate CGUIWindowEventLog

  [montellese]
   * label formatter: add %d for date and time

  [montellese]
   * info manager: add ListItem.DateTime info label

  [montellese]
   * events: add events for files/directories that couldn't be scraped

  [montellese]
   * events: add events for addon installation/update/uninstallation/enabling/disabling/breaking

  [montellese]
   * addons: add FullType() to IAddon and a specialization to CPluginSource

  [montellese]
   * CAddonInstaller: add the possibility to retrieve the information about which addon dependency failed

  [montellese]
   * cosmetics in CGUIWindowAddonBrowser

  [montellese]
   * addon browser: only try to remove addons from the listing if GetDirectory() succeeded

  [montellese]
   * events: add some general events

  [montellese]
   * events: add specific IEvent implementations

  [montellese]
   * filesystem: add support for events://

  [montellese]
   * add event log infrastructure

  [montellese]
   * fix StringUtils::CreateUUID() by using crossguid

  [montellese]
   * [win32] integrate crossguid as a static library

  [montellese]
   * [depends] integrate crossguid as a static library

  [Anton Fedchin]
   * [GUIFontTTF] Fixed rounding X coordinate of a char if it has negative value.

  [Pär Björklund]
   * Fix endless loop during shutdown.

  [Matthias Kortstiege]
   * [infomanager] add System.HasModalDialog info bool

  [Memphiz]
   * Revert "[osx/XBMCHelper] - compile XBMCHelper as 64bit"

  [montellese]
   * [depends] integrate building libuuid for Linux/RBPi

  [xhaggi]
   * [gui] new action ACTION_MENU to focus menucontrol

  [Kai Sommerfeld]
   * [EPG] Fix: Respect view mode changes of EPG window when controlling number of epg data updates.

  [montellese]
   * cmake: automatically set the proper platform specific library in the addon.xml

  [montellese]
   * addons: support library_freebsd, library_rbpi, library_ios and library_windows in addon.xml

  [montellese]
   * [binary addons] bump platform and kodi-platform

  [h.udo]
   * [pvr.dvbviewer] Change back to SHA or it will continue to fail

  [ronie]
   * fix Window.IsMedia infobool

  [Kai Sommerfeld]
   * [PVR] Fix timer type compat code. Solves a crash with MediaPortal addon.

  [Kai Sommerfeld]
   * [PVR] Fix usage of PVR_TIMER_STATE_NEW.

  [Kai Sommerfeld]
   * [PVR] API docs: Changed description of PVR_TIMER_STATE_NEW to be more accurate.

  [Ryan Gribble]
   * CPVRChannel::SetEpgId() should flag the record as changed (and only be set if it isnt already)

  [arnova]
   * fixed: Watched overlay would not display if item was also (still) resumable (fixes #15766)

  [Thomas Amland]
   * change ui sound system to addons only

  [mapfau]
   * [epg] avoid PVR thread to persist epg tables directly (sync issue with epg thread)

  [Martijn Kaijser]
   * [pydocs] sortMethod list is already at the bottom of the page

  [fritsch]
   * [python] Add setContentLookup method

  [Chris "Koying" Browet]
   * squashme: after review longpress

  [Chris "koying" Browet]
   * ADD: [keyboard] allow to map long key presses

  [Thomas Amland]
   * [gui] fix confirm state not reset in CGUIDialogSelect

  [Martijn Kaijser]
   * [pydocs] cosmetics

  [Martijn Kaijser]
   * [pydocs] update sortMethods documentation

  [Memphiz]
   * [SectionLoader] - remove logging in D'Tor

  [xhaggi]
   * [confluence] merge guide/recording info dialogs into one DialogPVRInfo

  [xhaggi]
   * [pvr] use same skin XML for guide/recording info dialog

  [hudokkow]
   * [gitignore] Add libdvdcss artifact

  [Anton Fedchin]
   * [dx11] Don't cull a texture which is shown with reverse side.

  [taxigps]
   * fixed: can't set locale in right language and region

  [xhaggi]
   * [epg] trigger epgs create after we started the epg container

  [Kai Sommerfeld]
   * [PVR] 'Confim channel switch' only for up/down, not ch+/-

  [Memphiz]
   * [ios] - fix linkage for VTB framework for ios < 6 - fixes vtb on ios 5.x runtime

  [ace20022]
   * [coverity] Result is not floating-point. This commit deals with CID numbers: 1238561 1238569 1238573 1238592 1238593

  [taxigps]
   * [keyboard] support codingtable input and add Chinese BaiduPY/BasePY layouts

  [metaron]
   * [PVR] Conflence: Add EpisodeName to MyPVRChannels

  [xhaggi]
   * [gui] use a global enum to specify the default render orders

  [Martijn Kaijser]
   * [win32] remove old DirectX var from installer

  [ronie]
   * [pydocs] don't tell people to use os.getcwd()

  [xhaggi]
   * [settings] use setting id constants

  [Anton Fedchin]
   * [application] Moved call to PVRManager::SetWakeupCommand in PowerManager::OnSleep for execute it when a actual suspend/hibernate occurs.

  [ace20022]
   * [coverity] Add additional check to prevent an only theoretical out-of-bounds read from a buffer (CID #1248215) in StringUtils::​SizeToString(long).

  [xhaggi]
   * [settings] specifies constants for every setting id

  [enen92]
   * [pydocs] proper type and examples on Listitem.setInfo (cast and castandrole)

  [Kai Sommerfeld]
   * [PVR] Confirm channel switch when flipping through channel information in fullscreen.

  [Martijn Kaijser]
   * [pydocs] must use lowercase dictionary keys

  [Rainer Hochecker]
   * renderer: apply logic for overlapping only to guitext subs - fix wrong positions for DVB subs

  [Rainer Hochecker]
   * dvdplayer: ffmpeg subtitle codec does not know video size, drop guessing -> renderer knows

  [enen92]
   * [pydocs] Listitem addStreamInfo example (must use lowercase dictionary keys)

  [Anton Fedchin]
   * [PowerManager] Show dialog busy only when processing OnSleep.

  [Anton Fedchin]
   * [win32] Move call to SetSuspendState/InitiateShutdown out from main thread.

  [Kolja Lampe]
   * Fixed wrong variable names due to copy and paste

  [Martijn Kaijser]
   * [pydocs] fix wrong example

  [Matthias Kortstiege]
   * [infomanager] add Container.HasParent info bool

  [xhaggi]
   * [pvr] protect pvr windows against illegal gui messages if manager is not started

  [xhaggi]
   * [confluence] fix missing id for progressbar in progress dialog

  [Matthias Kortstiege]
   * [guilib] fix possible crash due to accessing non-existing layout

  [Matthias Kortstiege]
   * [guilib] make mouse wheel only move slider controls in case the actual slider is focused

  [Matthias Kortstiege]
   * [guilib] make mouse wheel only scroll spin controls in case the actual spinners are focused

  [xhaggi]
   * [gui] fix crash at destruction of CGUIWindowSplash

  [arnova]
   * changed: Rename cache: to forward: as that's what it really is

  [Memphiz]
   * [ios] - fix broken native keyboard on ios 5.1.1 devices (incompatiblity with ios8 sdk and old deployment target)

  [Martijn Kaijser]
   * sync scrapers with repo

  [ace20022]
   * [dvdplayer][subs] Add "forced only" to the preferred language list. Only forced subtitles matching the audio language are considered relevant.

  [ace20022]
   * [dvdplayer][subs] Add "none" to the preferred language list. It will disable any kind of available subtitles.

  [h.udo]
   * [pvr] Point add-ons to master instead of SHA

  [xhaggi]
   * [pvr][fix] limit numeric dialog to fullscreen/visualisation window (fixes #16167)

  [xhaggi]
   * [pvr] also register channel osd as observer for epg container

  [xhaggi]
   * [pvr] show progress dialog in pvr windows and wait until manager has be started

  [xhaggi]
   * [pvr] get rid of startup window handling in PVR manager

  [fritsch]
   * FFmpeg: Bump to 2.7.2-Jarvis-alpha1

  [Ryan Gribble]
   * While working on MaxRecordings, found bug where default RecordingGroup selection wasnt being populated on new timer

  [Matthias Kortstiege]
   * [guilib] update label color for sliderex controls

  [Thomas Amland]
   * [python] remove unnecessary copying

  [Thomas Amland]
   * [python] deprecate thumb/icon methods and args in favour of setArt

  [Thomas Amland]
   * [python] add icon support for setArt

  [Thomas Amland]
   * [python] add docs for ListItem constructor

  [phil65]
   * [CONFLUENCE] - fix wrong navigation in SmartPlaylistEditor.xml

  [Matthias Kortstiege]
   * [splash] centerCrop android splash

  [xhaggi]
   * [splash] updated splash - thanks da-anda

  [Matthias Kortstiege]
   * [guilib] only set label/label2 in case it changed

  [Matthias Kortstiege]
   * [guilib] use label2 to display the radiobutton value instead of a texture

  [xhaggi]
   * [pvr] limit invalidation of list items to once per 2 seconds for PVR windows

  [montellese]
   * cmake: rename "darwin" to "osx" in CORE_SYSTEM_NAME

  [montellese]
   * move logic to load platform specific addon library name into CAddonMgr::GetPlatformLibraryName()

  [montellese]
   * CAddonMgr: make GetExtValue() const

  [montellese]
   * cosmetic: fix indentation

  [Matthias Kortstiege]
   * [gitignore] don't clean Makefile in xbmc/main/posix/

  [wsnipex]
   * [cmake] resolve addon git branches/tags to hash

  [Thomas Amland]
   * [python] add 'mediatype' info label and remove implicit sets

  [montellese]
   * [binary addons] make addon source tarball caching option by introducing the ADDON_TARBALL_CACHING option

  [Martijn Kaijser]
   * bump to 16.0a2

  [montellese]
   * CProgressJob: cosmetics

  [montellese]
   * CProgressJob: don't set m_progressDialog to nullptr in MarkFinished() (partially reverts 658b0a21ed4a7443d6670fc6180d8dc2e9b2ca47

  [montellese]
   * CProgressJob: use MarkFinished() instead of manually calling CProgressDialog::Close()

  [xhaggi]
   * [gui][fix] progress dialog's canceled is never reset

  [Rainer Hochecker]
   * dvdplayer: drop work-around for very fast ff, obsolete after flushing render buffers correctly after seek

  [xhaggi]
   * [epg] start epg container asynchronously

  [Matthias Kortstiege]
   * [guilib] label2 colors need to be updated as well

  [Craig Andrews]
   * [rsxs] Use stdbool.h from GCC 5.2.0

  [ace20022]
   * [dsp] Fix CID#1312065 Uninitialized scalar variable.

  [Matthias Kortstiege]
   * [guilib] fix textbox textcolor not properly set

  [LS80]
   * [keymap] change 'mytv' remote mapping to open the TV Shows node

  [xhaggi]
   * [pvr] fix missing epg observable message handling in pvr windows

  [arnova]
   * changed: Prefer openssl over gnutls for libcurl for Linux and Ubuntu as it is more reliable

  [montellese]
   * [binary addons] bump audioencoder.flac/lame/wav to fix packaging

  [montellese]
   * [win32] support "package" option in make-addons.bat

  [montellese]
   * [binary addons] introduce PACKAGE_DIR variable to be able to specify where packaged addon archives should be copied to

  [Matthias Kortstiege]
   * [guilib] revert fix label overlap in radiobutton control

  [Matthias Kortstiege]
   * [guilib] fix hitrect for auto-width buttons

  [xhaggi]
   * [gui] fix resizing GUI during initialization

  [xhaggi]
   * [splash] get rid of obsolete message rendering

  [xhaggi]
   * [splash] make CSplash singleton

  [xhaggi]
   * [splash] get rid of obsolete thread stuff from CSplash

  [xhaggi]
   * [splash] get rid of hard-coded resolution

  [Matthias Kortstiege]
   * [application] remove unsused splash thread message

  [Matthias Kortstiege]
   * [splash] introduce splash also as regular window

  [Kai Sommerfeld]
   * [EPG] Jump to 'now' on init of EPG timeline view

  [Rainer Hochecker]
   * dvdplayer - consider clock not last frame on screen when going rewind

  [montellese]
   * [binary addons] add package-addons target to package all built addons

  [montellese]
   * cmake: fix addon packaging and installation

  [Memphiz]
   * [jenkins] - ensure that only the path workspace/addons is excluded from the clean - before it excluded workspace/xbmc/addons aswell which left the stale addons.a file around

  [Memphiz]
   * [buildsys/Make] - remove main.a from the list of DIRECTORY_ARCHIVES for preventing duplicate linkage when compiling unit tests

  [phil65]
   * [Confluence] - make use of new parametrized includes for wather part

  [uNiversaI]
   * fix trac 16159 Yes (single) / Separate is doing reverse

  [Anton Fedchin]
   * [dxva] Fixed: don't use DXVADDI_Intel_ModeH264_E decoder if source requires more than 11 references.

  [Anton Fedchin]
   * [dxva] Fixed: missed Intel Clear Video workaround after dx11 upgrade.

  [Memphiz]
   * [osx/ios/atv2] - synced xcode project

  [Thomas Amland]
   * [contextmenu] sort items in internal menus by name

  [Thomas Amland]
   * [contextmenu] use vector instead of map since we're mostly using linear search

  [Thomas Amland]
   * [contextmenu] rename m_iCurrentContextId to m_nextButtonId

  [Thomas Amland]
   * [contextmenu] rename Execute to OnClick

  [Thomas Amland]
   * [addons] rename ContextItemAddon to ContextMenuAddon

  [Thomas Amland]
   * [contextmenu] add support for sub-menus and multiple items

  [xhaggi]
   * [pvr] fix missing return in CGUIWindowPVRBase::OnBack (fixes #16150)

  [Matthias Kortstiege]
   * [dialog] fix indentation

  [montellese]
   * tests: fix TestDatabaseUtils.GetField_MediaTypeSong

  [montellese]
   * DatabaseUtils: songview.dateAdded can also be used in SELECT

  [Rainer Hochecker]
   * dvdplayer: fix waiting time for buffer when ff

  [Rainer Hochecker]
   * renderer: reset timestamp of current frame on flush

  [Rainer Hochecker]
   * dvdplayer: improve rw

  [Memphiz]
   * [osx] - reimplement Cocoa_GetVolumeNameFromMountPoint with a more current version - should fix strange crashes on some system with mounted HDDs

  [Rainer Hochecker]
   * dvdplayer - drop deferred release of hw decoder, not need after running hw decoders single threaded

  [Pär Björklund]
   * Fixes a crash when trying do delete a file in filemanager

  [Matthias Kortstiege]
   * [guilib] auto-width button needs resizing on label change

  [Matthias Kortstiege]
   * [guilib] wrapmultline for toggle button controls

  [Kai Sommerfeld]
   * [Confluence][PVR] Added EPG info area to PVR timer window.

  [Kai Sommerfeld]
   * [guiinfo] Added LISTITEM_EPG_EVENT_TITLE, extended LISTITEM_HAS_EPG to recognize timer info tags containing an epg info tag.

  [Kai Sommerfeld]
   * [guiinfo] remove DOS line ends introduced by 74262ffdc1d55b9d9991e2a47762b4f075930952

  [LS80]
   * Changed the mapping for the mceusb LiveTV button from 'mytv' to 'livetv'.

  [LS80]
   * Changed the mapping for the KEY_TUNER button from 'mytv' to 'livetv'. KEY_TV still maps to 'mytv'.

  [Rainer Hochecker]
   * dvdplayer - dispose ffmpeg hw decoder prior to opening a new one

  [Rainer Hochecker]
   * [aml] - fix draining message queue

  [ronie]
   * [Re-Touched] some updates for jarvis

  [ronie]
   * [Confluence] no

  [Kai Sommerfeld]
   * [guiinfo] Fixed PVR_STRINGS_END value in GUIInfoLabels.h

  [Sam Stenvall]
   * [dvdplayer] remove unused methods from DVDVideoCodec

  [Sam Stenvall]
   * [dvdplayer] do not access m_pVideoCodec from dvdplayer thread

  [Rainer Hochecker]
   * dvdplayer: drop speed adjust when buffer is full - with timeshift and server side buffering this case is normal

  [montellese]
   * [binary addons] turn PACKAGE_ZIP into a proper cmake option

  [montellese]
   * cmake: unify output of build messages by using message(STATUS ...)

  [Matthias Kortstiege]
   * [gitignore] don't clean Makefile in xbmc/messaging/

  [Martijn Kaijser]
   * [adsp] disable binary add-on until they build on all platforms

  [Memphiz]
   * [PosixClog] - ensure that file decriptor for logfile is NULL'ed in the d'tor to minimize issues when static/global object destruction order results in CLog accesses past destruction of the CLog instance

  [Kai Sommerfeld]
   * [PVR] gui info: Fix 'PVR.IsTimeshift' (PVR_IS_TIMESHIFTING)

  [metaron]
   * [PVR] Timer settings dialog: Add weekday for dates

  [metaron]
   * [PVR] Timer settings dialog: rename SetDateFromInt

  [metaron]
   * [PVR] Timer settings dialog: support unlisted date

  [metaron]
   * [PVR] Timer settings dialog: Start/end in the past

  [Martijn Kaijser]
   * add 16.x Jarvis repo

  [ace20022]
   * [gui] Use correct overload in the ShowAndGetInput hierarchy.

  [ace20022]
   * [gui] Initialize bool parameter before use (CID# 1311638).

  [Kai Sommerfeld]
   * [PVR] Fix gui info time format for timeshift buffer start, buffer end, playing time.

  [Rainer Hochecker]
   * [pvr] fix holding lock while querying backend

  [uNiversaI]
   * [Strings] Audio DSP string fixes

  [ace20022]
   * [subs] Use ISO 639-1 and addon languages for the "Languages to download subtitles for" setting.

  [ace20022]
   * [lang] Add installed languages to the list of possible stream languages.

  [Memphiz]
   * [ios/codesign] - if ldid was found - apply it to the kodi binary for fake signing it - this fixes runtime error on ios5.1 devices

  [Memphiz]
   * [ios/depends] - add ldid fake sign package to native depends

  [montellese]
   * settings: refactor handling of integer/string spinners/lists and add support for minimum/step/maximum in CGUIControlListSetting

  [montellese]
   * settings: add support for minimum/step/maximum in CSettingControlList

  [a11599]
   * [dx11] Fix AMD deinterlacing

  [Memphiz]
   * [osx/XBMCHelper] - compile XBMCHelper as 64bit

  [Kai Sommerfeld]
   * [PVR] bump addon pvr.hts

  [montellese]
   * settings: use range based for loop in CGUIControlBaseSetting and derived classes

  [Rainer Hochecker]
   * [pvr] fix stuttering indruduced by 9c3adb5a9f390ad73c52469ed79de297dad68d80

  [xhaggi]
   * [video] use action listener pattern for CPlayerController

  [uNiversaI]
   * [typos] fix typos RegisterReceveiver -> RegisterReceiver

  [Anton Fedchin]
   * [dx11] CD3DEffect::SetTexture - restored a missed expression.

  [Anton Fedchin]
   * [dx11] RenderSystemDX: Notify all about our resurrection after device re-creation also. This fixes issue with fonts after transition from window to full screen on another adapter.

  [Anton Fedchin]
   * [dx11] RenderSystemDX: Switch swap chain to windowed mode before destroying device. This fixes a possible crash into ID3D11DeviceContext::Flush if swap chain still in full screen mode.

  [uNiversaI]
   * [cosmetic] cleanup ident / alignment, spaces & boilerplate

  [Anton Fedchin]
   * [dx11] CD3DTexture::SaveTexture - fixed an amount of memory to save compressed (DX1/3/5) texture.

  [xhaggi]
   * [video] make CPlayerController singleton

  [Memphiz]
   * [ios/packaging] - ensure that the deb package has ios5.1 as minimum ios version

  [montellese]
   * [win32] fix VS 2013 solution

  [Rainer Hochecker]
   * dvdplayer: fix clockspeed adjust for non-resampling modes

  [xhaggi]
   * [guilib] fix modality handling of dialog slider (fixes #16140)

  [Pär Björklund]
   * Fix GUIInfoManager that got messed up with dsp merge

  [arnova]
   * changed: For memory file cache there's no point creating a bigger cache than filesize

  [uNiversaI]
   * Fix audio offset Dialog has no title

  [Martijn Kaijser]
   * [pvr] bump addons after 800a634e6a20345dc0fb28212720a5e972709812

  [Martijn Kaijser]
   * [adsp] set fixed git SHA for ADSP add-ons

  [Martijn Kaijser]
   * [win32] Use actuall add-on names instead of chopped addon-id in Windows installer;

  [Martijn Kaijser]
   * remove duplicate ;;

  [Martijn Kaijser]
   * [win32] Add ADSP option to Windows installer

  [Martijn Kaijser]
   * use CVariant for strings in dialogs

  [montellese]
   * [win32] cmake: no need to check for install permissions (avoid creating unneeded directories)

  [Rainer Hochecker]
   * dvdplayer: flush renderbuffers when flushing video player

  [wsnipex]
   * [linux] fix crashlog generation

  [Rainer Hochecker]
   * [pvr] - expose timeshift info to GUI

  [Kai Sommerfeld]
   * [EPG] Changed some CGUIEPGGridContainer member data types to get rid of some silly down casts.

  [Achim Turan]
   * [adsp] Added AudioDSP-System bypass functionality

  [Kai Sommerfeld]
   * [EPG] Refactored CGUIEPGGridContainer grid data update code.

  [xhaggi]
   * [guilib] fix hint text not shown in keyboard dialog

  [montellese]
   * [resource.images.weathericons.default] fix addon.xml missing import of kodi.resource (thanks uNiversaI)

  [AchimTuran]
   * [adsp] Add CApplicationMessenger receiver functionality to CActiveAEDSP

  [AchimTuran]
   * [CApplicationMessenger] Move RegisterReceiver(...) from CApplication::Initialize(...) to CApplication::Create(...), which connects CApplicationMessenger receivers earlier

  [AchimTuran]
   * [add-ons] adapt libXBMC_addon helper class dlfcn-win32 include path

  [AlwinEsch]
   * [adsp] Add CMake addon build environment

  [AlwinEsch]
   * [adsp] Add dsp processing setting dialog selection to music and pvr channels context menu

  [AlwinEsch]
   * [adsp] Add send of ffmpeg info data to dsp addon

  [AlwinEsch]
   * [adsp] Add dsp processing setting dialog selection to player dialog

  [AlwinEsch]
   * [adsp] Add adsp mode processing chain settings dialog

  [AlwinEsch]
   * [adsp] Add audio dsp information to CGUIInfoManager

  [AlwinEsch]
   * [adsp] Add gui sound playback with selectable channel position on dsp addon callbacks

  [AlwinEsch]
   * [adsp] Add adsp addon callback helper library

  [AlwinEsch]
   * [adsp] Add basic audio dsp addon handling structure

  [AlwinEsch]
   * [adsp] Add dsp related strings

  [AlwinEsch]
   * [adsp] Add CAEChannelInfo CAEUtil::GetAEChannelLayout(uint64_t layout)

  [AlwinEsch]
   * [adsp] Add audio dsp addon header and function defination files

  [AlwinEsch]
   * [adsp] Add dsp related gui images

  [popcornmix]
   * [dllloader] Fix logging of dlls without absolute path

  [Martijn Kaijser]
   * set BICUBIC as default picture scaling algorithme

  [Rainer Hochecker]
   * dvdplayer: fix mimetype after 89538103d60f64106f8ad998427c7286a3766244

  [metaron]
   * [PVR] Ignore article & folders when sorting Timers

  [xhaggi]
   * [guilib] fix first letter remains visible in keyboard dialog

  [h.udo]
   * [pvr] Bump add-ons for alpha1

  [ronie]
   * [Confluence] disabled textures + version bump

  [ronie]
   * rename weather icon type

  [janbar]
   * [PVR Addons] Fix XbmcStreamProperties::GetStreamData

  [xhaggi]
   * [guilib] fix cursor not always shown in keyboard dialog (fixes #16134)

  [uNiversaI]
   * [confluence] uppercase icon name and allow separate icons

  [Pär Björklund]
   * Fixed progress bar not showing for library scanning and probably a few other dialog issues

  [bryanbrazil]
   * [python] add disabled textures for radio buttons and spin controls

  [bryanbrazil]
   * [guilib] add disabled textures for radio buttons and spin controls

  [uNiversaI]
   * [confluence] fix overlapping mutebug on musicvisualization and OSD

  [Pär Björklund]
   * Fixed jsonrpc playback that hadn't survived the rework, closes #16129

  [Pär Björklund]
   * Fix for nullptr deref check that was wrong

  [Pär Björklund]
   * Fix indentation that I broke

  [Kai Sommerfeld]
   * [EPG] Reduce lagging of EPG window during EPG data grid updates.

  [Kai Sommerfeld]
   * [EPG] Fix EPG grid container control concurrency issue (making it threadsafe for that particular case).

  [Kai Sommerfeld]
   * [EPG] Use key 'remote 0' to jump to 'now' in EPG window.

  [Kai Sommerfeld]
   * [EPG] Fix EPG window view port jumping to 'now' on every EPG data grid update.

  [Matthias Kortstiege]
   * [cosmetic] use %"PRIuS instead of %zu

  [Matthias Kortstiege]
   * [pvrguiinfo] silence compiler warning

  [Matthias Kortstiege]
   * [pvrtimer] m_iTypeId is unsigned int

  [Matthias Kortstiege]
   * [pvrtimer] remove unused variable

  [Matthias Kortstiege]
   * [epginfotag] initialize members in the order they were declared

  [Matthias Kortstiege]
   * [databases] silent UpdateFileDateAdded compile warnings

  [Memphiz]
   * Revert "dummy commit"

  [montellese]
   * don't mess with the long and short date formats defined in langinfo.xml

  [janbar]
   * [PVR] fix timer deletion

  [Martijn Kaijser]
   * exclude resource:// from texture caching as these are always local addons

  [Pär Björklund]
   * dummy commit

  [Pär Björklund]
   * Clean up ApplicationMessenger

  [ronie]
   * [Re-Touched] update

  [Pär Björklund]
   * Reworked initialization for win32

  [xhaggi]
   * [gui] fix modality type of skin custom dialogs

  [Anton Fedchin]
   * [dx11] Fixed creating device on GPU whose driver not supports DX11 video API.

  [montellese]
   * fix musicvideo artist artwork not being loaded from the musicdb (fixes #16120)

  [montellese]
   * [win32] add system/ssleay32.dll to .gitignore

  [montellese]
   * cosmetics: remove some trailing whitespaces

  [montellese]
   * CHttpRangeUtils: don't build multipart-boundary related methods if webserver is disabled

  [montellese]
   * [Makefile.in] integrate python/legacy archives into the general list

  [montellese]
   * [Makefile.in] only build xbmc/interfaces/legacy/wsgi/legacy-wsgi.a if webserver is enabled

  [montellese]
   * [configure.ac] only generate xbmc/network/httprequesthandler/python/Makefile if webserver is enabled

  [Kai Sommerfeld]
   * [EPG] Fix init and update of EPG window.

  [hudokkow]
   * [std cleanup] xbmc/playlists/

  [hudokkow]
   * [std cleanup] xbmc/profiles/

  [hudokkow]
   * [std cleanup] xbmc/settings/

  [hudokkow]
   * [std cleanup] xbmc/storage/

  [hudokkow]
   * [std cleanup] xbmc/video/

  [hudokkow]
   * [std cleanup] xbmc/view/

  [hudokkow]
   * [std cleanup] xbmc/win32/

  [hudokkow]
   * [std cleanup] xbmc/windowing/

  [hudokkow]
   * [std cleanup] xbmc/windows/

  [hudokkow]
   * [std cleanup] xbmc/

  [uNiversaI]
   * [baserenderer] make ViewModeStretch16x9Nonlin fall in range

  [Ryan Gribble]
   * [pvr] Show ParentItem ".." label when displaying children of repeating timers (whilst honoring the GUI Appearance setting for this behaviour)

  [xhaggi]
   * [guilib] fix dirty regions because it evaluates always to true

  [ronie]
   * add Skin.ToggleDebug function

  [ronie]
   * [Confluence] remove zorder

  [enen92]
   * [buitins] Rename StartPVRManager and StopPVRManager to PVR.StartManager and PVR.StopManager. Marking older functions as deprecated

  [enen92]
   * [builtin] Add PVR.SearchMissingChannelIcons

  [xhaggi]
   * [interfaces] fix render order of addon dialogs

  [sialivi]
   * [DirectoryNode] add 'All albums' option

  [Pär Björklund]
   * Got rid of boost::totally_ordered from AddonVersion

  [montellese]
   * webserver: support specifying the scaling algorithm in image:// transformation URLs

  [montellese]
   * CTextureCacheJob: support "scaling_algorithm" option in image:// URLs

  [montellese]
   * CPicture: fall back to image scaling algorithm from advancedsettings.xml if none is passed to CacheTexture()

  [montellese]
   * CAdvancedSettings: add <imagescalingalgorithm>

  [montellese]
   * CPicture: add possibility to specify the scaling algorithm

  [montellese]
   * pictures: add CPictureScalingAlgorithm helper class

  [xhaggi]
   * [guilib] renames modality enum value SYSTEM_MODAL to PARENTLESS_MODAL

  [xhaggi]
   * [gui] make music/video overlay dialogs modeless

  [xhaggi]
   * [gui] refactors CGUIDialogProgress::StartModal

  [xhaggi]
   * [gui] refactors modality handling for dialogs

  [Matthias Kortstiege]
   * [videolibrary] fix musicvideo artist browsing after e55adbd (closes #16118)

  [Matthias Kortstiege]
   * [videodb] fix browsing tvshows genre/studios with masterlock enabled

  [phil65]
   * [guilib] - fix missing fadelabel text (introduced with #7323)

  [uNiversaI]
   * [confluence] add DefaultAddonImages.png

  [Arne Morten Kvarving]
   * move weather icons to a resource addon

  [Arne Morten Kvarving]
   * changed: read weather icons from a resource addon

  [Arne Morten Kvarving]
   * added: support for image resource addons

  [Rainer Hochecker]
   * dvdplayer: add a method to avoid requeting HTTP Header

  [BigNoid]
   * [guilib] Add Container.TotalWatched and Container.TotalUnwatched

  [arnova]
   * Revert "changed: Implement native Stat/Exists functions for Webdav"

  [Deniz Türkoglu]
   * Use C++ cast to const char* in HTTPFile

  [Deniz Türkoglu]
   * Fix sign issue in DVDPlayer

  [Deniz Türkoglu]
   * Convert ternary operator to if/else

  [Deniz Türkoglu]
   * Remove unnecessary/add required casting

  [Deniz Türkoglu]
   * Fix string format parameters

  [Deniz Türkoglu]
   * Remove deprecated register storage class

  [Deniz Türkoglu]
   * Fix sign compare issues

  [Deniz Türkoglu]
   * Remove unused variables and/or lessen scope

  [Deniz Türkoglu]
   * Add new addons and depends to .gitignore

  [Roman Kraevskiy]
   * printf call replaced by CLog::Log

  [Roman Kraevskiy]
   * Mouse wheel support for X11-less linux distros (openelec)

  [Pär Björklund]
   * Removed default params as it made it very fragile which method actually got called

  [Kai Sommerfeld]
   * Revert "[PVR] Series Recordings: Reduce PVR_ADDON_TIMERTYPE_VALUES_ARRAY_SIZE value, avoiding too large data structures."

  [montellese]
   * jsonrpc: fix API definition for setting's "level"

  [Anton Fedchin]
   * [dx11] VideoRenderer: fix compiler warnings.

  [Anton Fedchin]
   * [dx11] CGUIShaderDX: a tiny optimization - Get rid of index buffer. Now we use triangle strip topology with special ordered vertices.

  [Anton Fedchin]
   * [dx11] CD3DHelper: No need to clear all 128 shader resources, clear really used only. Currently Kodi doesn't use more that 3 shader resources, but theoretically shadertoy screensaver/visualization can use up to 4 resources.

  [Anton Fedchin]
   * [dx11] CD3DEffect: cosmetics.

  [Anton Fedchin]
   * [dx11] WinVideoFilter: a little shaders optimizations.

  [Matthias Kortstiege]
   * [guilib] wrapmultiline for button control

  [Matthias Kortstiege]
   * [guilib] auto-width for togglebutton controls

  [Matthias Kortstiege]
   * [guilib] auto-width for button controls

  [Chris "Koying" Browet]
   * FIXUP: [droid;obb] be sure the obb dir exists

  [Chris "Koying" Browet]
   * FIX: [droid] broken video calibration

  [Chris Browet]
   * FIX: [droid] manually download obb if store failed

  [janbar]
   * [PVR] fix possible stack overflow

  [Pär Björklund]
   * Missing skinsetting tag is not an error and shouldn't be treated as one, thought logging might still be useful but shouldn't be a warning as it's not really an issue

  [ace20022]
   * [libexif] Add an own field for XP comments.

  [ace20022]
   * [fix][libexif] Force text fields to be null-terminated.

  [ace20022]
   * [libexif] Increase the possible length of a comment according to the specification.

  [ace20022]
   * [fix][libexif] Fix possible buffer overrun.

  [ace20022]
   * [fix][libexif] Fix mixing of file comments and exif comments.

  [ace20022]
   * [fix][libexif] Prevent possible buffer overrun for XP comments.

  [Pär Björklund]
   * Rework the move constructor a bit to make it safe and proper. Not runtime tested yet because of other issue

  [Olaf Hering]
   * Adjust return in GetModificationDate

  [Kai Sommerfeld]
   * [PVR] Timer settings dialog: Forcing 'first day' to at least today is pointless

  [Kai Sommerfeld]
   * [PVR] CPVRTimerInfoTag::CreateFromEpg: Fixed initialization of new timer's summary (m_strSummary does not contain the plot of the event to record, but a text representation of the timer's schedule)

  [Kai Sommerfeld]
   * [PVR] CPVRTimerInfoTag::UpdateSummary: Add support for 'first day', fix support for 'any time'.

  [Kai Sommerfeld]
   * [PVR] Timer settings: Cleanup: Removed unused variable.

  [hudokkow]
   * [langinfo] Remove unused code

  [Olaf Hering]
   * Remove cast in CProfile::Load

  [Olaf Hering]
   * [guilib]: add braces in GetLabel

  [Olaf Hering]
   * Always return a CDateTime in GetModificationDate

  [Olaf Hering]
   * configure.ac: update verification of shairplay

  [Pär Björklund]
   * Changed method signatures to use CVariant instead of const CVariant&

  [Pär Björklund]
   * CVariant fixes

  [Stefan Saraev]
   * [cleanup] DVDInputStreamTV is now unused

  [Stefan Saraev]
   * [cleanup][pvr] fs providers are no more

  [Stefan Saraev]
   * [cleanup] remove slingbox

  [Pär Björklund]
   * Added detection for Windows 10 in systeminfo

  [Matthias Kortstiege]
   * [guilib] fadelabel not reading scroll tag

  [hudokkow]
   * Drop internal HDHomeRun support

  [phil65]
   * [guilib] - nuke Container.Sort InfoLabel

  [phil65]
   * [guilib] add Container.SortOrder InfoLabel

  [Matthias Kortstiege]
   * [guilib] fix label overlap in radiobutton control (#15854)

  [Matthias Kortstiege]
   * [guilib] use textcolor from labelInfo for textboxes

  [Matus Kral]
   * [CURL] xbmc/URL.cpp adapted to parse URI containing IPv6 address.

  [Olaf Hering]
   * [cximage]: use integers for arithmetic in CxImage::CheckFormat

  [Olaf Hering]
   * [cximage]: remove undefined operation on variable in dcr_sony_decrypt

  [Olaf Hering]
   * [cximage]: remove warning about statement with no effect

  [Olaf Hering]
   * [cximage]: remove undefined operation on variable

  [Razzee]
   * Added dateAdded to song table for musiclibrary and ask the user to refresh musiclibrary Added the "date added" sorting to some musiclibrary views Show the date that we sort by in these views AdvancedSettings for musiclibrary can now handle dateadded like videolibrary already does Handle the extraction of the file added date in one place (for music database and video database)

  [Matthias Kortstiege]
   * fix a few coverity warnings

  [phil65]
   * [cosmetics] - fix method typos ("Availalbe" --> "Available")

  [Chris Browet]
   * cosmetic: misplaced parenthesis

  [Kai Sommerfeld]
   * [PVR] Series Recordings: Reduce PVR_ADDON_TIMERTYPE_VALUES_ARRAY_SIZE value, avoiding too large data structures.

  [Kai Sommerfeld]
   * [PVR] Series Recordings: Coverity. Only use dynamic_cast if you really don't know the actual type.

  [Kai Sommerfeld]
   * [PVR] Series Recordings: Some minor changes requested by opdenkamp

  [Kai Sommerfeld]
   * [guiinfo] Fix listitem.hastimerschedule

  [Kai Sommerfeld]
   * [PVR] Series Recordings: Fix Coverity warnings

  [Pär Björklund]
   * Recent merge broke project files, missing closing xml tag

  [Sam Stenvall]
   * [pvr] bump pvr.vbox to v2.0.1

  [Matthias Kortstiege]
   * [smartplaylist] fix broken genre after PR7347 (closes #16104)

  [phil65]
   * [Confluence] Fix for widget labels (labels out of sync)

  [Memphiz]
   * [ios/docs] - mention support for xcode6.4 and ios sdk 8.4 (verified working)

  [Memphiz]
   * [ffmpeg/osx] - add --disable-securetransport to configure to prevent linkage against libsecurity_ssl (gnutls provides the functionality - but ffmpeg autodetect fails and tries to do it the appl/libsecurity_ssl way)

  [Memphiz]
   * [AirTunes] - implement the progress callback and alter time and totaltime of the player accordingly

  [Memphiz]
   * [PaPlayer] - allow to set time and totaltime from the outside - used for injecting the time/totaltime metadata during airtunes streaming

  [Memphiz]
   * [AudioDecoder] - allow injection of TotalTime into the decoder - needed for decoders which don't have duration information (like with airtunes where the duration is set from the outside - not through the stream data)

  [Memphiz]
   * [IPlayer] - add methods for injecting totaltime and time - this is needed for airtunes where we basically play an endless stream and need to inject current platime and duration of the tracks which are selected in the client

  [Memphiz]
   * [AirTunes] - add support for png coverart - not only jpg

  [Memphiz]
   * [airtunes] - add support for remote controlling the client via DACP

  [Memphiz]
   * [network/dacp] - add subset of DACP (Digital Audio Control Protocol) implementation for usage with airtunes clients

  [Memphiz]
   * [depends+win32/shairplay] - bump libshairplay to current master (contains png coverart support, dacp remote control support, progress support) - also drop all patches because there were upstreamed 100%

  [ace20022]
   * [libexif] Add processing of comment tags used by Windows.

  [uNiversaI]
   * [AutorunMediaJob] make hardcoded strings translatable

  [Memphiz]
   * [gl/gles] - check the return code of glGetString - it can return 0 on error (and leads to crash if assigned to std::string afterwards)

  [Memphiz]
   * [ios/windowing] - check the return code of glGetString - it can return 0 on error (and leads to crash if assigned to std::string afterwards)

  [hudokkow]
   * [GUIWindowSystemInfo.cpp] Cosmetics

  [hudokkow]
   * [System Info] Separate build date from build info

  [uNiversaI]
   * [confluence] update info formatting in SettingsSystemInfo

  [uNiversaI]
   * [cosmetics] some cleanup on spelling/capitalisation & xbmc -> kodi

  [montellese]
   * CSkinInfo: support saving skin settings as addon data instead of in guisettings.xml

  [Matthias Kortstiege]
   * [xcode] sync xcode for move sysinfo out of infomanager

  [Matthias Kortstiege]
   * [videodb] cleanup dupe/obsolete code

  [Matthias Kortstiege]
   * [smartplaylist] fix musicvideo grouping by artist

  [uNiversaI]
   * [confluence] fix missing "Not Rated" condition

  [montellese]
   * CPeripherals: update CGUIDialogPeripheralManager asynchronously to avoid deadlocks

  [Pär Björklund]
   * Removed HAS_SYSINFO as it doesn't seem to be used for any platform

  [Pär Björklund]
   * Moved a few functions from infomanager to sysinfo moved labels to a separate file removed a few includes to infomanager that only needs the label

  [Tobias Markus]
   * Fix another instance of coverity #719001

  [fritsch]
   * FFmpeg: Bump to version 2.7.1

  [fritsch]
   * GUIInfoManager: Remove fps completely

  [fritsch]
   * CodecScreen: Remove fps

  [Chris "Koying" Browet]
   * FIX: [amc] do not fail if stream is already annexB

  [Matthias Kortstiege]
   * [confluence] get rid of iCCP warnings from libpng

  [Martijn Kaijser]
   * drop old music and video database upgrade logic for pre-Frodo

  [Anton Fedchin]
   * [settings] AdvancedSettings: Enable DXVA HQ scalers by default.

  [Anton Fedchin]
   * [videorenderers] Optimized PS rendering by removing extra copying textures. Now CYUV2RGBShader uses YUVbuffer's textures instead of copy them.

  [Shine]
   * [win32] Make sure Kodi window is focussed before setting full screen

  [Anton Fedchin]
   * [rendering] Fix rendering with dirty region algorithm 1 and 2

  [Anton Fedchin]
   * [settings] AdvancedSettings: Removed dx9 related settings.

  [Anton Fedchin]
   * [win32/dx] Fixed segfault on feature level 9.1.

  [Anton Fedchin]
   * [win32] Removed 'DirectX vendor' and 'GPU temperature' from System Info - Video

  [Anton Fedchin]
   * [language.en_gb] Added new string for Checkerboard stereo mode.

  [Anton Fedchin]
   * [installer] Got rid of DX9 from installation package.

  [Anton Fedchin]
   * [visualization] MilkDrop: Rework to DirectX11.

  [Anton Fedchin]
   * [visualization] Waveform: Rework to DirectX11.

  [phil65]
   * [guilib] DialogKeyboard: Do not register input for buttons with id >= 500

  [Kai Sommerfeld]
   * [PVR] bump PVR addons

  [Kai Sommerfeld]
   * [PVR] bump PVR addon API version to 2.0.0

  [Chris "Koying" Browet]
   * FIX: [droid] no known working h264/hi10p h/w decoder. Exclude...

  [Anton Fedchin]
   * [visualization] DirectXSpectrum: Rework to DirectX11.

  [Anton Fedchin]
   * [visualization] Vortex: Rework to DirectX11.

  [Anton Fedchin]
   * [addons] ScreenSaver&Visualization: Change the assignment of device property of SCR_PROPS/VIS_PROPS. (DirectX11)

  [Anton Fedchin]
   * [windowing] WinSystem: Rework to DirectX11.

  [Anton Fedchin]
   * [utils] Screenshot: Rework to DirectX11.

  [Anton Fedchin]
   * [videosync] VideoSyncD3D: Rework to DirectX11.

  [Anton Fedchin]
   * [rendering] Rework to DirectX11.

  [Anton Fedchin]
   * [settings] AdvancedSettings: Added setting to switch off differed rendering.

  [Anton Fedchin]
   * [SlideShowPicture] Rework to DirectX11.

  [Anton Fedchin]
   * [guilib] Rework to DirectX11.

  [Anton Fedchin]
   * [cores] DummyVideoPlayer: remove unused methods calls.

  [Anton Fedchin]
   * [VideoRenderers] Rework to DirectX11.

  [Anton Fedchin]
   * [WinVideoFilter] Rework to DirectX11.

  [Anton Fedchin]
   * [dvdplayer][dxva] Rework to DirectX11.

  [Anton Fedchin]
   * [win32] Changed XBMC.vcxproj to compile with Windows Kit 8.1 instead of DirectX SDK

  [Anton Fedchin]
   * [win32] Added DirectX11 GUI shaders.

  [Anton Fedchin]
   * [win32] Added Effects11 project to solution.

  [Pär Björklund]
   * Silence warnings about forcing value to bool

  [fritsch]
   * PVR: Fix endless loop

  [popcornmix]
   * [omximage] Don't report failed decode of progressive jpegs as as error

  [popcornmix]
   * [omxplayer] Make unsupported when ac3transcode is enabled

  [popcornmix]
   * [rpi] Always add desktop resolution to supported list

  [macrule]
   * Changed SDTV resolutions to be treated similarly to HDMI resolutions in SetNativeResolution. This means that the SDTV interface is powered up and set to the right mode.

  [macrule]
   * Added private utility function to map a float display aspect, to the respective SDTV_ASPECT_* enum value.

  [macrule]
   * Added some vc_tv_* functions that were missing in DllBCM.

  [popcornmix]
   * egl: Treat unknown display aspect ratio as square pixel

  [Kai Sommerfeld]
   * [PVR] bump addons (PVR API version 1.9.7)

  [Kai Sommerfeld]
   * [PVR] Series recording support (incl. PVR addon API version bump to 1.9.7)

  [Kai Sommerfeld]
   *  [Confluence] redesign select dialog. credits @ronie

  [Kai Sommerfeld]
   * [settings] Add opaque data pointer to SettingConditionCheck callback function (needed by new timer settings dialog)

  [Matthias Kortstiege]
   * [videolibrary] fix sort by episodes (closes #15945)

  [Arne Morten Kvarving]
   * WIP: nonlinear stretch 16:9 setting for 4:3 video display

  [janbar]
   * [PVR] disable thumb extraction for pvr recordings (2)

  [Thomas Amland]
   * [addons] fix segfault on invalid context item visibility condition

  [Matthias Kortstiege]
   * [videodb] fetch season year based on first aired episode

  [Matthias Kortstiege]
   * [addons] fix addon info not opening from context menu (closes #16087)

  [mapfau]
   * [db] speedup of ResultQueries using string key reuse

  [Pär Björklund]
   * Fix missing includes for SortUtils.h

  [Martijn Kaijser]
   * bump to 16.0 alpha1 for development

  [Arne Morten Kvarving]
   * added: ability to open the smartplaylisteditor for a given playlist

  [Sam Stenvall]
   * [epg] adapt the progress texture's height to the actual height of the grid (fixes trac #15681)

  [montellese]
   * fix some warnings concerning type mismatches

  [montellese]
   * CAddon: support saving addon-specific user settings

  [montellese]
   * CAddon: fix the documentation of SettingsToXML()

  [montellese]
   * CAddon: make some settings related methods virtual

  [Tobias Markus]
   * coverity #719001: Free pCurr_dir_cache when going out of scope

  [montellese]
   * mysql: always check the result of mysql_store_result() against NULL (fixes #16071)

  [phil65]
   * [guilib] allow Control.SetFocus(CONTAINER_ID,ITEM_INDEX) for all container types

  [Tobias Markus]
   * Various cppcheck perf fixes

  [robwebset]
   * Clean up the way PlayingBackgroundMedia is read

  [Matthias Kortstiege]
   * [url] don't use # as separator for internal zip:// (fixes #16066)

  [mapfau]
   * Initalize vars claimed by valgrind / write classname instead 'PVR' in PVRChannelGroups:LOGDEBUG to make debugging easier

  [robwebset]
   * Updage Confluence hooks for TvTunes v5.0.0

  [evilhamster]
   * Prefer information from tags instead of cue files if there are one audiofile for each track and the tags contain information about artist, album and title.

  [evilhamster]
   * Added support for the musicbrainz "ARTISTS" tag in id3v2, ape, xiph.

  [AlwinEsch]
   * [epg] Swap everything from 'std::map<unsigned int, CEpg*>' to 'EPGMAP' and use auto

  [Alfredo Tupone]
   * Inject CPPFLAGS (e.g. to disable FORTIFY)

  [phil65]
   * [Python] add xbmcgui.Dialog().textviewer()

  [Ryan Saunders]
   * Improve Win32 build/download scripts. This change adds support for a KODI_MIRROR environment variable which, if set, overrides the default mirror URL of http://mirrors.kodi.tv. In the event that a package download fails, DownloadBuildDeps.bat will now suggest that the user manually choose an alternate mirror and re-run.

  [fritsch]
   * AESinkPULSE: Make buffer settings more failsafe

  [a11599]
   * [win32][fixed] Proper 24.0/60.0 Hz refresh rate in fake fullscreen mode

  [Philipp Te]
   * [guilib] add $ESCVAR[] infoformat to allow escaping of variables

  [arnova]
   * changed: On Curl retry perform a progressive Sleep() for tries > 1 to improve succesful recovery

  [arnova]
   * fixed: Don't call select() to sleep on windows as it doesn't work without a dummy socket

  [Marcus Wanner]
   * Make kodi-send.py cwd-independent.

  [Thomas Amland]
   * cleanup kai toast icon logic. use only one control

  [Fneufneu]
   * Avoid overflow in ljpeg_start().

  [arnova]
   * changed: Implement native Stat/Exists functions for Webdav

  [ronie]
   * add the option to conditionally include files

  [ace20022]
   * [swig] Use std::type_index instead of a homegrown implementation.

  [Sam Nazarko]
   * [rbp] tools: only use sudo if we have it on the system

  [Alfredo Tupone]
   * use $(MAKE) instead of hardcoded make


  [Matthias Kortstiege]
   * [input] fix ios build after 7aeff92

  [Matthias Kortstiege]
   * [input] xcode sync for InputCodingTableKorean

  [Matthias Kortstiege]
   * [input] add InputCodingTableKorean.cpp to Makefile

  [universal]
   * [cleanup][cdio] cosmetics

  [universal]
   * [cleanup][DetectDVDType] cosmetics

  [uNiversaI]
   * [cleanup][DetectDVDType] remove xbox udfx related

  [uNiversaI]
   * [cleanup][libcdio] remove xbox udfx related

  [Matthias Kortstiege]
   * [input] fix onnext in dialog numeric after bab2486

  [Matthias Kortstiege]
   * [cleanup] silent reorder compiler warning in InputCodingTableBaiduPY.h

  [Matthias Kortstiege]
   * [cleanup] remove DOS line endings in InputCodingTableBaiduPY.h

  [xconverge]
   * Minor cleanup for readability.

  [ace20022]
   * [coverity] CID#1312062 Unintentional integer overflow.

  [ace20022]
   * [coverity] CID#1316334 class member foo is not initialized in this constructor nor in any functions that it calls.

  [ace20022]
   * [coverity] CID#1288653 case VIDEOPLAYER_TITLE was not reachable for pvr channels.

  [ace20022]
   * [coverity] CID#1272227 Remove logically dead code.

  [ace20022]
   * [coverity] CID#1213839 Remove logically dead code.

  [Rainer Hochecker]
   * VideoPlayer: trust SAR of mkv container

  [Matthias Kortstiege]
   * [guilib] add justify alignment for grouplist controls

  [Martijn Kaijser]
   * bump to 16.0alpha4

  [Martijn Kaijser]
   * [python] removed long deprecated xbmcgui.lock() and xbmcgui.unlock()

  [Matthias Kortstiege]
   * [videothumbloader] skip thumb extraction for bluray items

  [Kai Sommerfeld]
   * [EPG][PVR] Guide Window: On selection of an EPG gap, switch to associated channel.

  [Kai Sommerfeld]
   * [EPG] EPG Grid Container: Fill grid with trailing gap epg tags.

  [Kai Sommerfeld]
   * [EPG][PVR] Guide Window: Show channels without EPG data.

  [NedScott]
   * Improve virtual keyboard layout for English

  [Matthias Kortstiege]
   * [guilib] only consider visible controls within grouplists for Container.Position

  [NedScott]
   * Improve description of sets strings

  [NedScott]
   * Addiitonal long-press modifications

  [Kib]
   * [Android-x86] move symbols to the workspace

  [Kib]
   * [Android] move symbols to the workspace

  [Matthias Kortstiege]
   * [cleanup] get rid of unused function warnings from eventlevel

  [Matthias Kortstiege]
   * [cleanup] cast user ratings to int in sortutils

  [da-anda]
   * [guilib] parse <depth> tag for constants

  [Kai Sommerfeld]
   * [PVR] Search window: Fixed OnPrepareFileItems only to search if requested to do so and not just a simple window refresh is ongoing.

  [Kai Sommerfeld]
   * [PVR] Timers: Relax handling of read-only timers a bit.

  [Kai Sommerfeld]
   * [PVR] Search window: Fix "Find similar program" for timers to prefer EPG tag title over timer title.

  [Matthias Kortstiege]
   * [cleanup] fix signed/unsigned compiler warning

  [Matthias Kortstiege]
   * [cleanup] remove unused variable isExecutable

  [Matthias Kortstiege]
   * [cleanup] silent override warnings on newer gcc version

  [Kai Sommerfeld]
   * [PVR] Don't ask user for confirmtion when creating a timer. "Do you really want to record this?" => Nonsense

  [Kai Sommerfeld]
   * [PVR] Cleanup: Rename CGUIWindowPVRBase::StartRecordFile() => CGUIWindowPVRBase::AddTimer() to reflect what it actually does.

  [fritsch]
   * AESinkPULSE: Replace Delay method with self calculated method

  [Rainer Hochecker]
   * dvdplayer: fix non DVB subs after 5c0d694fa769f311bc5e14dec04c260267a56b79

  [Matthias Kortstiege]
   * [guilib] simplify dirty region marking for fadelabels (fixes #16277)

  [Kai Sommerfeld]
   * Revert "[pvr] changed: also use CACHESTATE_PVR in dvdplayer when playing a recording that's still running"

  [Martijn Kaijser]
   * [win32] add screensaver add-ons to installer

  [Thomas Amland]
   * run repository update jobs in low pausable mode

  [Anton Fedchin]
   * [dxva] Re-factor: get rid of unneeded reference to decoder texture. Properly destroying resources during creating decoders views if something goes wrong.

  [Anton Fedchin]
   * [WinVideoFilter] Lower feature level for test shader. This fixes segfault in video drivers which support only FL9.1/9.2.

  [Anton Fedchin]
   * [dxva] Fix DXVA renderer color range.

  [Floris Bos]
   * LinuxInputDevice: add support for multi-touch devices

  [Pär Björklund]
   * Fix c/p error on dialogs and renamed singleFiles variable in videolibrary as it was somewhat confusingly named compared to the dialog options

  [Kai Sommerfeld]
   * [network] CNetWork::IsAvailable: Remove parameter 'wait', because there is no implementation behind.

  [h.udo]
   * [gitignore] Add library.kodi.audioengine makefile

  [ace20022]
   * [fix][gui] Fix multi images in grouplists/layouts. This fixes a regression introduced with cb2dd229ce5b6f479f9a6ebd51998831554d2ae2 .

  [Peter Bauer]
   * Subtract readahead when seeking (SEEK_CUR) outside of buffer area

  [Peter Bauer]
   * Use ID3v2Tag loader results

  [LS80]
   * Fixed missing Python traceback caused by an invalid format string. Fixes #16274.

  [Achim Turan]
   * [library.kodi.audioengine] Fixing clumsy error mesage

  [Thomas Amland]
   * [addons] fix uninstalling of non-repository addons

  [Achim Turan]
   * [library.kodi.audioengine] [FIX CID 1324647] Fixing Null-checking "cb"

  [Sam Stenvall]
   * [pvr] fix invalid memory access when a PVR window is accessed before any clients have finished loading. Also introduce an event which gets triggered when an update is actually needed.

  [xhaggi]
   * [cleanup] get rid of unused window allow overlay code

  [Thomas Amland]
   * [addons] fix zip install after 61121d731

  [Thomas Amland]
   * [addons] fix bad error handling (returns int)

  [Thomas Amland]
   * log time of previous repository update to make it easier to detect database problems in the future

  [Thomas Amland]
   * [addons] fix repo last checked time not updating if not previously added

  [S. Davilla]
   * bump gas to https://git.libav.org/?p=gas-preprocessor.git;a=commit;h=5ab764742626598cb462bc86e2d04ac8001e05d7

  [S. Davilla]
   * docs, document what we are doing in depends

  [S. Davilla]
   * fixed, c++11 compiler warning

  [S. Davilla]
   * fixed, all our thread should be named

  [S. Davilla]
   * fixed, massive memory leak in DirectoryNode and some cosmetic cleanup. Basically CDirectoryNode::ParseURL creates a bunch of nodes then orphans them when browsing by file. Also StringUtils::Split can return a leading empty string for '/Users/Shared/Movies', and we add another one to path, which creates two root nodes. use StringUtils::Tokenize which does what we want. Side note: StringUtils::Split needs a refactor, iMaxStrings is size_t and the default value is zero and the very 1st thing it does is pre-decrement it which wraps it around to a very big number, sure, sure :)

  [S. Davilla]
   * fixed, memory leaks using VDA (both of them)

  [S. Davilla]
   * fixed, memory leak. Note to self, these routines attach but do not detach under 10.9.5

  [S. Davilla]
   * fixed, memory leaks in SMBFile, three tiny ones left to find.

  [S. Davilla]
   * fixed, clearerr return void

  [sportica]
   * Add Korean keyboard

  [ronie]
   * [Confluence] hardcode icon path for extended weather info

  [MilhouseVH]
   * [musicdb] Fix LIMIT IN which is not MySQL compatible - GetTop100AlbumSongs

  [MilhouseVH]
   * [musicdb] Fix LIMIT IN which is not MySQL compatible - GetRecentlyPlayedAlbumSongs

  [Martijn Kaijser]
   * fix c/p error in 3174a4f90c07d94c2075875af76c0414f5879b1f

  [fritsch]
   * WinSystemX11: D3DPRESENTFLAG_WIDESCREEN is not used anywhere

  [fritsch]
   * XRandR: Identify interlaced modes

  [anaconda]
   * [jsonrpc] Add "plot" property to VL.GetMovieSet/GetMovieSetDetails.

  [anaconda]
   * [videodb][infomanager] Add support for overview (plot) in movie sets.

  [fritsch]
   * Fix position outside of video for text based subs

  [Pär Björklund]
   * Add missing include of <utility>

  [Memphiz]
   * [touch] - fixed inertial scrolling - regression introduced in 987cacfd318cf12e27bbdf791952a3b090274a9a

  [Pär Björklund]
   * Return ENOENT for empty path according to specs

  [Pär Björklund]
   * Remove .c_str() when calling exec and query as they take a const std::string&

  [Kai Sommerfeld]
   * [PVR][EPG] PVR API 4.0.0 Followup: Fixed signed/unsigned mismatch leftovers

  [Thomas Amland]
   * [addons] add missing implementations of IsInUse

  [Thomas Amland]
   * [addons] add missing implementations of SetDefault

  [Thomas Amland]
   * [addons] allow skins etc. to be activated via info dialog

  [ronie]
   * [Re-Touched] latest updates for Jarvis

  [Chris "Koying" Browet]
   * FIX: proper casting of file time TZ adjustment

  [metaron]
   * [PVR] implement Timer Type EPG Series Restrict Flag

  [metaron]
   * [PVR] API add Timer Type EPG Series Restrict Flag

  [metaron]
   * [PVR] [EPG] Database version 11 (add iFlags)

  [metaron]
   * [PVR] API Add EPG Flags

  [metaron]
   * [PVR] bump API version to 4.1.0

  [ronie]
   * [Confluence] cleanup

  [Pär Björklund]
   * Clean up dialognumeric a bit and get rid of the void*

  [fritsch]
   * AdjustRefreshrate: Don't switch to bogus AVR introduced modes

  [Mike Frysinger]
   * TexturePacker: use $PKG_CONFIG

  [Garrett Brown]
   * Fix c/p error in CVariant

  [Matthias Kortstiege]
   * [xcode] sync project file

  [Pär Björklund]
   * Reworked AutPtrHandle to make it a generic scopeguard

  [Anton Fedchin]
   * [cores] RenderManager::GetStats - now returns queue and discard separately. DVDPlayerVideo - ignore discard stats for dropping frame on rewind.

  [Anton Fedchin]
   * [cores] WinRenderer: fixed usage of processor size even if no hw decoder is used

  [JoethePartylion]
   * Fix empty VideoPlayer.Plot when playing recorded TV

  [fritsch]
   * DVDCodecUtils: Change to SWS_BILINEAR from SWS_FAST_BILINEAR (fix quality and segfault)

  [ronie]
   * [Confluence] add close button to numeric dialog - fixes #16244

  [Memphiz]
   * [cosmetics] - fixed typos

  [Memphiz]
   * [ios] - fix mapping of 3 finger taps

  [montellese]
   * movie sets: add new setting to control whether to show single movie sets as sets or not

  [montellese]
   * GroupUtils: add additional overloads for more control over the result

  [montellese]
   * GroupUtils: remove unused GroupAndSort()

  [BigNoid]
   * [guilib] reduce duplicate code

  [BigNoid]
   * [guilib] Add container.listitemid.infolabel

  [fritsch]
   * AdjustRefreshrate: Switch to higher resolution depending on source dims

  [Achim Turan]
   * [library.kodi.audioengine] Adapt project files

  [Achim Turan]
   * [library.kodi.audioengine] ActiveAE extension to allow binary addon calls

  [Achim Turan]
   * [library.kodi.audioengine] Binary addon callback implementations

  [Achim Turan]
   * [library.kodi.audioengine] Basic binary addon AudioEngine implementation

  [DaveTBlake]
   * Fix repeated setting of playcount and compilation values (added in #8012)

  [Kolja Lampe]
   * [video] Don't save scraper settings if we exit out and not select the "ok" button

  [anaconda]
   * [video] Fix content type for special://videoplaylists

  [Chris "Koying" Browet]
   * FIX: [droid;storage] check readability last

  [Pär Björklund]
   * Revert this message sorting as it broke some stuff and was a dumb thing to do

  [Ryan Gribble]
   * Update gitignore for bootstrapped addons definition files

  [montellese]
   * jsonrpc: fix Addons.SetAddonEnabled() for invalid addonid values

  [Kai Sommerfeld]
   * [Confluence] Removed media/flagging/audio/0.png (no longer used).

  [Kai Sommerfeld]
   * [guiinfo] (VIDEOPLAYER

  [Pär Björklund]
   * Don't parse the action in EventServer, Builtins want it unmodified

  [ace20022]
   * [gif] Handle the disposal method DISPOSE_BACKGROUND like the majority of browsers and image viewers. The former implementation was written in compliance with the specification.

  [ace20022]
   * [gif][cosmetics] Fix typos.

  [ace20022]
   * [gif] Fix possible access violation while reading from the color palette.

  [ace20022]
   * [gif] Skip frames with no color map (neither global nor local).

  [Thomas Amland]
   * [addons] change the update functionality to show a list of available versions to allow updating, downgrading and changing which repository to install from

  [Thomas Amland]
   * [addons] allow blacklisting without version (ie all version)

  [Thomas Amland]
   * [addons] fix realoading of downgraded addons

  [Thomas Amland]
   * [addons] add repository support for multiple versions of addons

  [Thomas Amland]
   * [addons] remove GetRepoForAddon and explicitly get the repo with the highest version

  [Thomas Amland]
   * [addons] refactror. move repository selection as high up in the api as possible

  [Thomas Amland]
   * [addons] add database support for multiple versions of addons

  [Memphiz]
   * [ios] - allow full codesign in after build phase for all identities if set

  [Memphiz]
   * [iOS] - disable Bitcode - it needs a deployment target of at least ios6

  [Memphiz]
   * [osx/cmake-native] - give a hint about our used native SDK - cmake might pick a wrong/non existing sdk (f.e. when running on 10.10 and having xcode7 with SDK 10.11 - it picks 10.10 which is non existent) for some reason (and bails out because it doesn't find curl for example) - simply use the latest sdk given by xcrun for native tools

  [amet]
   * [depends] - add zlib to libssh depends

  [amet]
   * [osx/ios/depends] - allow OSX SDK 10.11 and iOS 9 SDK

  [S. Davilla]
   * [ios/osx] - move those explicit dylib references from the xcode project to the xcconfig files (this leaves out the extension and fixes linking so that it now also finds tbd files)

  [S. Davilla]
   * [depends/libssh] - fixed typo (-fnostack-protector vs. -fno-stack-protector) - newest clang errors out on invalid params. Also nuke those libssh_threads dylibs too, not needed due to static linking

  [S. Davilla]
   * [osx/depends/samba] - changed, proper dylib version is name.number.dylib, not name.dylib.number. Just mv the number and do install_name_tool fixups

  [S. Davilla]
   * [osx/cmake-native] - patch cmake to also find tbd libraries on osx (this is the new dylib format in SDKs - some sort of text stubs)

  [Memphiz]
   * [osx] - add xcode7 support to osx readme

  [Memphiz]
   * [ios] - add xcode7 support to ios readme

  [Martijn Kaijser]
   * bump GUI ABI version to Kodi version 15 as minimum

  [Alwin Esch]
   * [pvr] remove not needed StringUtils::ToLower on RDS text line

  [Kai Sommerfeld]
   * [PVR] Get rid of magic numbers; use constant PVR_TIMER_NO_EPG_UID instead. Solve related signed/unsigned problems.

  [Kai Sommerfeld]
   * [PVR] Addon API: Changed type of PVR_TIMER.iEpgUid to unsigned int. Introduce constant PVR_TIMER_NO_EPG_UID.

  [Kai Sommerfeld]
   * [PVR] Get rid of magic numbers; use constant PVR_TIMER_NO_CLIENT_INDEX instead. Solve related signed/unsigned problems.

  [Kai Sommerfeld]
   * [PVR] Addon API: Introduce constant PVR_TIMER_NO_CLIENT_INDEX.

  [Kai Sommerfeld]
   * [PVR] Replace senseless functionality to keep timers scheduled by a repeating timer when deleting the repeating timer by the option to delete the repeating timer that scheduled a timer about to delete, if exists.

  [Kai Sommerfeld]
   * [PVR] Addon API: Remove parameter bDeleteScheduled from function DeleteTimer.

  [Kai Sommerfeld]
   * [PVR] Bump PVR addon API to 4.0.0

  [Matthias Kortstiege]
   * [strings] remove obsolete strings after #8011

  [montellese]
   * upnp: add support for user ratings

  [montellese]
   * platinum: add patch for f606fe4ca1f15a55411e45f528bcdb8f184d5a0c

  [montellese]
   * platinum: add xbmc:userrating for user ratings

  [montellese]
   * upnp: add support for countries

  [montellese]
   * platinum: add patch for d75e736

  [montellese]
   * platinum: add xbmc:country for countries

  [Stefan Saraev]
   * sqlite3: dont apply map_populate patch on android

  [Memphiz]
   * [ios] - add missing gesture swipe handlers for 2 and 3 finger swipes (fixes non mappable multi finger swipe gestures)

  [ace20022]
   * [fix][subs] Fix MicroDVD Subtitles after da80dbea8505ce655c728c012c05874db40bea09. The first 1024 bytes of the file were lost.

  [Alwin Esch]
   * [adsp] fix wrong TMSG_SETAUDIODSPSTATE id

  [Alwin Esch]
   * [adsp] add use of ACTIVE_AE_DSP_SYNC_ACTIVATE on ...PostMsg(TMSG_SETAUDIODSPSTATE...

  [montellese]
   * videodb: allow calling SetDetailsForSeason() for "All seasons"

  [Arne Morten Kvarving]
   * settings: default to visualization.spectrum, not visualization.glspectrum

  [Thomas Amland]
   * CGUIDialogSelect: cleanup Add/SetItems. pass const reference

  [Thomas Amland]
   * remove zip operation log spam

  [Pär Björklund]
   * Some cleanup, makes it easier to change format string

  [Alwin Esch]
   * Update .gitignore to ignore new Makefile's

  [ace20022]
   * [fix][udf] Free allocated memory in the destructor.

  [fritsch]
   * ffmpeg: Bump to 2.8.0-Jarvis-alpha3-HEVC

  [Alwin Esch]
   * [adsp] fix wrong used settings parameter

  [Alwin Esch]
   * [adsp] remove wrong description line

  [Alwin Esch]
   * [pvr] improve for loops in CPVRRadioRDSInfoTag

  [Alwin Esch]
   * [pvr] remove '- ' on radiotext info lists (News...), does not match text style

  [Alwin Esch]
   * [confluence] add missing 'Radio text info list' control id

  [Alwin Esch]
   * [pvr] improve RDS player and remove compiler warning

  [Alwin Esch]
   * [pvr] fix wrong value in RDS_ALBUM_TRACKNUMBER return

  [Alwin Esch]
   * [pvr] Sort included files alphabetical

  [Alwin Esch]
   * [adsp] improve for loops in CActiveAEDSPProcess, CActiveAEDSPAddonand and CActiveAEDSPDatabase

  [Alwin Esch]
   * [adsp] fix wrong error dialog text and usage of them

  [Alwin Esch]
   * [adsp] improve for loops in CActiveAEDSP

  [Alwin Esch]
   * [adsp] fix disabled add-on folder name check

  [Alwin Esch]
   * [adsp] remove wrong TMSG_SETAUDIODSPSTATE call

  [Rainer Hochecker]
   * builtins: adapt xcode project

  [Pär Björklund]
   * Fixed VS project files and a new nitpicks

  [Arne Morten Kvarving]
   * builtins: clean up includes and namespaces

  [Arne Morten Kvarving]
   * changed: get rid of old builtin command map

  [Arne Morten Kvarving]
   * move android related builtins to separate file

  [Arne Morten Kvarving]
   * move application related builtins to separate file

  [Arne Morten Kvarving]
   * move optical related builtins to separate file

  [Arne Morten Kvarving]
   * move player related builtins to separate file

  [Arne Morten Kvarving]
   * move picture related builtins to separate file

  [Arne Morten Kvarving]
   * move pvr related builtins to separate file

  [Arne Morten Kvarving]
   * move gui container related builtins to separate file

  [Arne Morten Kvarving]
   * move weather related builtins to separate file

  [Arne Morten Kvarving]
   * move CEC builtins to separate file

  [Arne Morten Kvarving]
   * move gui control builtins to separate file

  [Arne Morten Kvarving]
   * move gui builtins to separate file

  [Arne Morten Kvarving]
   * move profile related builtins to separate file

  [Arne Morten Kvarving]
   * move system builtins to separate file

  [Arne Morten Kvarving]
   * move skin builtins to separate file

  [Arne Morten Kvarving]
   * move addon builtins to separate file

  [Arne Morten Kvarving]
   * move library builtins to separate file

  [Arne Morten Kvarving]
   * add command provider hooks in CBuiltins

  [Arne Morten Kvarving]
   * changed: make CBuiltins a singleton

  [Arne Morten Kvarving]
   * relocate builtins to a subfolder

  [anaconda]
   * [application] Hide credentials for folder locations in debug logs.

  [montellese]
   * CGUIWindowMusicNav: get rid of the empty database control

  [Pär Björklund]
   * Fix formatting I messed up

  [Stanislav Vlasic]
   * AML: EGLNativeTypeAmlAndroid: Implement 480cvbs/i/p and 576cvbs/i/p modes

  [fritsch]
   * AESinkPULSE: Emulate periodSize as ALSA to stop fragmentation

  [Thomas Amland]
   * addon installer: remove referer code

  [ace20022]
   * [lang/settings] Separate StreamLanguagesFiller into AudioStreamLanguagesFiller, SubtitleStreamLanguagesFiller and SubtitleDownloadlanguagesFiller because of special entries.

  [montellese]
   * CFileItem: copy album artwork in SetFromAlbum()

  [montellese]
   * CMusicInfoTag: copy some missing information in SetArtist/SetAlbum/SetSong() (fixes #16232)

  [ace20022]
   * [lang] Remove Close Caption (cc) from the ISO_639_1 and ISO_3166_1 lists.

  [montellese]
   * CMusicInfoTag: use setters instead of direct member access

  [ronie]
   * [confluence] unify music library and files view

  [Arne Morten Kvarving]
   * fixed: don't execute extra fluff if listing failed

  [Arne Morten Kvarving]
   * add file node to default music library layout

  [Arne Morten Kvarving]
   * bye bye GUIWindowMusicSongs

  [Arne Morten Kvarving]
   * changed: integrate custom ::Update code from songs in to Nav

  [Arne Morten Kvarving]
   * changed: fold rename/delete for files into nav window

  [Arne Morten Kvarving]
   * changed: move handling of CDDB context button to base window

  [Arne Morten Kvarving]
   * changed: move handling of rip cd track context button to base window

  [Arne Morten Kvarving]
   * changed: add music scanning context button handling to base/nav window

  [Arne Morten Kvarving]
   * changed: add handling of sources context menu to nav/base window

  [Arne Morten Kvarving]
   * changed: move OnPrepareFileItems to music base class

  [Arne Morten Kvarving]
   * changed: move getdirectory code from music songs to music base

  [Arne Morten Kvarving]
   * changed: move handling of ACTION_SCAN_ITEM to music base class

  [Arne Morten Kvarving]
   * changed: move handling of CONTROL_BTNREC to music base class

  [Arne Morten Kvarving]
   * changed: move handling of CONTROL_BTNSCAN to base window

  [Arne Morten Kvarving]
   * changed: move CONTROL_BTNPLAYLISTS into music base window

  [Arne Morten Kvarving]
   * changed: move handling of GUI_MSG_DIRECTORY_SCANNED to base class

  [Arne Morten Kvarving]
   * changed: fold music song window ::PlayItem into base (and nav) class

  [Arne Morten Kvarving]
   * changed: remove implementation of OnRemoveSource to music base class

  [Arne Morten Kvarving]
   * changed: move the implementation of IBackgroundInfoLoader to music base class

  [Arne Morten Kvarving]
   * changed: move scanning related functions to music base window

  [Arne Morten Kvarving]
   * changed: move audio cd rip button handling to base music window

  [Arne Morten Kvarving]
   * added: quickpath support for files to music nav window

  [Arne Morten Kvarving]
   * changed: move GUI_MSG_NOTIFY_ALL+GUI_MSG_REMOVED_MEDIA handling to base window

  [montellese]
   * CGUIViewStateMusicSmartPlaylist: fix default sorting of songs over UPnP (fixes #16192)

  [Pär Björklund]
   * Remove auto_aptr as std::unique_ptr handles this just fine by specifying [] in the template type

  [Matthias Kortstiege]
   * [osx/ios] xcode sync for PR7800

  [Pär Björklund]
   * Add the ability to open dialogyesno by sending a threadmessage.

  [Kai Sommerfeld]
   * [Confluence] Home screen: Make system.date label wider

  [S. Davilla]
   * cleanup, no one uses the functions, drop a nuke

  [S. Davilla]
   * fixed compiler warnings, do not over-ride SDL defines with our own junk

  [S. Davilla]
   * cleansing, SDL what ?

  [S. Davilla]
   * removed, LockFree. Also not used since water made to wine

  [S. Davilla]
   * [ios] - only change scheduler on ios, not osx

  [S. Davilla]
   * fixed, memory leak. and rm results, no one cares

  [S. Davilla]
   * fixed, packedBuffer is an array, use the proper delete

  [S. Davilla]
   * [soloader] - remove debugoutput in global dtor again - those can cause crashes on exit.

  [S. Davilla]
   * removed, mediainfo has been going forever, why is this here ?

  [S. Davilla]
   * removed, DARWIN_NATIVE_ARCH does not exist and has not since Texturepacker was moved to depends

  [S. Davilla]
   * fixed, we do not own png object so do not manually release it

  [S. Davilla]
   * fixed, hidden collision with CSettingString:copy

  [S. Davilla]
   * fixed, NULL is not equal to zero, thank you

  [S. Davilla]
   * removed, SDL native. This should have been removed long ago when TexturePacker was nutered of SDL

  [S. Davilla]
   * fixed, signed/unsigned compiler warning by casting

  [ace20022]
   * [GUITexture] Fix animation delay "calculation".

  [ace20022]
   * [GUITexture] Make texture animations more accurate.

  [ace20022]
   * [TextureManager] Use new gif implementation and remove now obsolete AnimatedGif class.

  [ace20022]
   * [gif] Add proper gif implementation using giflib 4/5.

  [Kolja Lampe]
   * Ignore .vs folder in visual studio project Ignore removed visualization addons

  [fritsch]
   * ffmpeg: Disable videotoolbox on OSX

  [t4-ravenbird]
   * fix use of progress-dialog lines

  [fritsch]
   * FFmpeg: Bump to 2.8.0-Jarvis-alpha3

  [fritsch]
   * VAAPI: Use HEVC acceleration (ffmpeg 2.8+)

  [fritsch]
   * VDPAU: Use HEVC_MAIN GPU decoding (ffmpeg 2.8+) v2: Always use 16 ReFrames

  [montellese]
   * CImageResource: adjust IsAllowed() to also accept directory paths to be able browse directories for multiimage controls

  [Kolja Lampe]
   * [music] Make sure the node type is correct

  [Razzeee]
   * [cleanup] Removed unused declaration that crept in somehow

  [ace20022]
   * [depends] Add giflib.

  [wsnipex]
   * [depends] fix dcadec makefile to allow manual install

  [fritsch]
   * dcadec: Remove wrong AC_CHECK_LIB

  [fritsch]
   * DCADEC: Display real stream information - don't hide what we know

  [montellese]
   * [win32] TexturePacker: bump version to 1.0.4

  [Alwin Esch]
   * [pvr] Radio RDS - Add related parts to skin

  [Alwin Esch]
   * [pvr] Radio RDS - Add in legacy interface

  [Alwin Esch]
   * [pvr] Radio RDS - Add handling code

  [Alwin Esch]
   * [pvr] Radio RDS - Add related settings

  [Alwin Esch]
   * [pvr] Radio RDS - Add related strings

  [Alwin Esch]
   * [pvr] Radio RDS - Add related skin strings

  [AlwinEsch]
   * [pvr] Radio RDS - Add related gui images

  [Thomas Amland]
   * [addons] kill force parameter. logically dead code

  [Thomas Amland]
   * [addons] remove 'update' parameter. always called with true if addon is installed

  [Thomas Amland]
   * remove unused method

  [Thomas Amland]
   * [addons] dont attempt to install dependency if it's just disabled

  [Kolja Lampe]
   * [cleanup][music] Removed unneeded lines from SaveViewStates

  [popcornmix]
   * [DVDDemuxFFmpeg] Ignore extradata for unknown stream types

  [universal]
   * [readme] part 3 - fix comments.

  [Razzeee]
   * [musiclibrary] Made top albums sortable by play count

  [universal]
   * [readmes] Final revision

  [S. Davilla]
   * fixed, convertBaseToScreen is depreciated

  [S. Davilla]
   * fixed, c++11 compiler warnings

  [S. Davilla]
   * fixed, XBMCDelegate warnings

  [S. Davilla]
   * fixed GCRY_THREAD_OPTION_PTHREAD_IMPL is depricated, check for it

  [S. Davilla]
   * fixed linker warnings about PIC/PIE

  [Matthias Kortstiege]
   * [settings] remove rotate pictures using EXIF information setting

  [Matthias Kortstiege]
   * [settings] remove show EXIF picture information setting

  [universal]
   * [readme] typos and cleanup including whitespaces.

  [Kolja Lampe]
   * Corrected label order for songs when ordering by dateadded See https://github.com/xbmc/xbmc/pull/7884#discussion-diff-38898752

  [montellese]
   * [win32] TexturePacker: fix/cleanup include directories definition

  [montellese]
   * TexturePacker: properly write the path into the header followed by zeroes instead of garbage

  [Kolja Lampe]
   * Disable CPU temp test on windows

  [montellese]
   * settings: fix method signatures of overridden virtual methods

  [montellese]
   * CWakeOnAccess: replace OnSettingsSaved() with OnSettingChanged()

  [montellese]
   * CWinSystemX11: don't derive from unused ISettingCallback

  [popcornmix]
   * [visualisation] Don't restrict the sample buffer to 256 samples

  [popcornmix]
   * [mmalcodec] Use settings constants

  [popcornmix]
   * [omxplayer] Flush EOS from queue to avoid it turning up after a seek

  [Thomas Amland]
   * remove file operation log spam

  [evilhamster]
   * [music] Added a desc field for (album)artists to Song and Album, the field is used to keep the information from the tags for display purposes.

  [ace20022]
   * [guilib] The output buffer of IImage::Decode should be a const pointer rather than a pointer to a const value.

  [MilhouseVH]
   * [mysql]Add support for hyphenated database names when copying databases

  [Alwin Esch]
   * [depends] remove libmp3lame

  [S. Davilla]
   * fixed, AEDelayStatus is a struct, not a class

  [Kai Sommerfeld]
   * [PVR] Use custom setting list formatter for displaying days of week values.

  [Kai Sommerfeld]
   * [settings] CGUIControlListSetting: Add possibility to supply a custom formatter for label2.

  [Martijn Kaijser]
   * fix language strings after 0997117a659a09e7b1c5bcb110f3526ea16698be

  [Roman]
   * Fix: Disable unneeded flip of characters for hebrew/arabic languages

  [montellese]
   * [win32] provide bootstrap-addons.bat to execute binary addons bootstrapping

  [montellese]
   * [binary addons] replace all addons with a binary addons definition repository

  [montellese]
   * [binary addons] automatically bootstrap all default repositories and addons if no addon definitions are available

  [montellese]
   * [binary addons] provide a bootstrap buildsystem to download addon definitions

  [montellese]
   * [binary addons] add ADDONS_DEFINITION_DIR to be able to specify the directory containing the definitions for the addons to be built

  [montellese]
   * jsonrpc: fix CID 1273979

  [montellese]
   * jsonrpc: fix CIDs 1228813, 1228816, 1228817, 1228818, 1228823 and 1228824

  [montellese]
   * jsonrpc: fix CIDs 1194413, 1194414, 1194415, 1194416, 1213841 and 1213842

  [montellese]
   * JSONServiceDescription: fix CID 719179 and 719180

  [Kai Sommerfeld]
   * [Confluence]]PVR] Re-add channel icons before timer title (was accidentally removed with #7630)

  [NedScott]
   * Fix "menu" button for Android and linux.

  [Thomas Amland]
   * remove unused context menu id

  [Thomas Amland]
   * [addons] move LastUpdated from installer to repository updater

  [Matthias Kortstiege]
   * [osx/ios] xcode sync for repository updater

  [Thomas Amland]
   * add context menu for updating a single addon repository

  [Thomas Amland]
   * [addons] improve error handling in repository navigation

  [Thomas Amland]
   * [addons] fix repository install hooks

  [Thomas Amland]
   * [addons] rework repository updating

  [Arne Morten Kvarving]
   * copy config.site with friends to in-addon-tree autoconf dirs

  [wsnipex]
   * [depends] binary-addons: add X11

  [wsnipex]
   * [depends] binary addons: add CMAKE_LD_FLAGS to cmake toolchain file

  [wsnipex]
   * [depends] binary addons: add GLEW to addon depends on linux

  [wsnipex]
   * [cmake] pass DEPENDS_PATH to addons

  [montellese]
   * [win32] update build scripts to handle visualization addons

  [wsnipex]
   * remove visualizations fishbmc, goom, milkdrop, projectm, spectrum, vortex and waveform from tree

  [wsnipex]
   * remove rsxs from tree

  [wsnipex]
   * [binary addons] add visualizations fishbmc, goom, milkdrop, milkdrop2, projectm, spectrum, vortex and waveform

  [wsnipex]
   * [binary addons] add screensavers.rsxs

  [Arne Morten Kvarving]
   * added: special setting __addonpath__ to libXBMC_addon::GetSettings()

  [Matthias Kortstiege]
   * [confluence] remove obsolete windows from visible condition

  [MilhouseVH]
   * [videodatabase] Fix database version after #7561

  [Razzeee]
   * Fix fileutils test that failed on windows

  [Matthias Kortstiege]
   * [videodatabase] fix typo

  [ace20022]
   * Bump minimum libbluray version to 0.7.0 in configure.ac. Update README.linux.

  [montellese]
   * jsonrpc: fix Audio.Details.Base definition after 59cead53175c51e25d5d73b25e95cbf8d2d309e2

  [montellese]
   * CXbtFile: add include for hidden dependency (thanks notspiff)

  [h.udo]
   * [gui] drop video/music overlay dialogs leftover part II

  [ronie]
   * [Confluence] cosmetics after PR7857

  [Thomas Amland]
   * [addons] move installing for updates to addon installer

  [Razzee]
   * Added SORT_METHOD_VIDEO_USER_RATING to legacy code

  [Razzee]
   * tests: Added unit tests for user ratings (videodb)

  [Razzee]
   * Added user rating to json rpc for movie, tvshow, episode and musicvideo (get/set)

  [Razzee]
   * Added user rating to setInfo on ListItem

  [Razzee]
   * Added user rating to videoplayer and listitem for skinners Added label formatter for user rating Added IncreaseRating / DecreaseRating for video user ratings Added sorting option for user rating and show it in tvshows, episode and movie views

  [montellese]
   * jsonrpc: fix handling of default sort method "none"

  [Razzee]
   * Added user rating to musicvideo, movie, episode and tvshow databases Made user rating it scrapable

  [Matthias Kortstiege]
   * [videoinfodialog] cleanup obsolete and dupe code

  [Matthias Kortstiege]
   * [keymap] let ctrl+shift+r toggle dirty region visualization

  [Matthias Kortstiege]
   * [builtins] adds ToggleDirtyRegionVisualization builtin

  [h.udo]
   * [gui] drop video/music overlay dialogs leftover

  [xhaggi]
   * [input] fix long press fallback handling after #7846

  [Pär Björklund]
   * Added prebuilt libdcadec from same source as linux version

  [popcornmix]
   * [ffmpeg] Add support for libdcadec

  [Matthias Kortstiege]
   * [video] retrieve season poster via the thumbloader

  [ronie]
   * typo

  [BigNoid]
   * [guilib] Add randomize tag for fadelabels

  [Matthias Kortstiege]
   * [infomanager] add Container.Row/Column info label for panels

  [Matthias Kortstiege]
   * [peripherals] nuke PeripheralManager

  [Matthias Kortstiege]
   * [peripherals] use the actual device name for settings dialog header

  [Matthias Kortstiege]
   * [peripherals] pass peripheral device properties to settings dialog

  [Matthias Kortstiege]
   * [peripherals] use select dialog for listing devices

  [phil65]
   * [guilib] nuke VisualisationPresetList.xml

  [DaveTBlake]
   * Fix so that "Various artists" is displayed in the artists list just as it is when displaying artists for a specific genre.

  [Martijn Kaijser]
   * set version to 16.0a3

  [popcornmix]
   * [peripherals] Move initialisation after language init to fix notifications

  [montellese]
   * CVideoLibraryProgressJob: don't force the progress dialog/bar open in DoWork()

  [montellese]
   * CVideoLibraryRefreshingJob: always close the progress dialog after scraping

  [Matthias Kortstiege]
   * [infomanager] add Container.Content info label

  [ace20022]
   * [bluray][depends] Adapt libbluray makefile to libbluray 0.8.1 and add a patch for android (setmntent not defined).

  [ace20022]
   * [bluray] Add Abort implementation.

  [ace20022]
   * [bluray] Initialize m_angle.

  [ace20022]
   * [bluray] Fix bluray player language settings.

  [ace20022]
   * [bluray] Set persistent and cache directory.

  [ace20022]
   * [bluray] Set BLURAY_PLAYER_SETTING_PARENTAL and BLURAY_PLAYER_SETTING_PLAYER_PROFILE to recommended values.

  [ace20022]
   * [bluray] Use the region locale (country code) form the settings instead of hardcoded "us".

  [ace20022]
   * [bluray][settings] Add a Blu-ray region setting and use it.

  [ace20022]
   * [bluray] Move player setup to an own method and refactor it.

  [ace20022]
   * [bluray] Add PLAYMARK event.

  [ace20022]
   * [curl][udf] The separator between the image path and the file path (inside the image) must be '/'.

  [ace20022]
   * [win32][bluray] Update libbluray to version 0.8.1.

  [Pär Björklund]
   * Fix: Change parameter to CPVRChannelPtr

  [montellese]
   * CVideoLibraryRefreshingJob: ditch m_showDialogs in favor of CProgressJob::DoModal/IsModal()

  [metaron]
   * [PVR] search window add play recording to context menu

  [metaron]
   * [PVR] Fix crash in PVR search window context menu

  [Ben Avison]
   * Pre-populate the mmap'ed database file in SQLite.

  [Matthias Kortstiege]
   * [guilib] fix button label2 not updated after emptying

  [metaron]
   * [PVR][Confluence] Add EPG to search results window

  [arnova]
   * fixed: Enable retry without range set for e.g. broken HDHomerun servers (fixes #14204)

  [Ben Avison]
   * Enable SQLite to use mmap for file access.

  [janbar]
   * [PVR] Don't show 'will record' in EPG for inactive schedule

  [Matthias Kortstiege]
   * [videodb] add genre to episode_view

  [Matthias Kortstiege]
   * [video] add listitem audio/subtitle properties from streamdetails

  [Matthias Kortstiege]
   * [goom] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [dllloader] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [cdrip] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [epg] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [linux] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [dvdplayer] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [peripherals] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [dialogs] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [audioengine] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [input] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [interfaces] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [audiodsp] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [pictures] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [network] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [dbwrappers] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [listproviders] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [videoshaders] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [guilib] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [addons] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [utils] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [music] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [filesystems] use std:: instead of using namespace std

  [montellese]
   * CApplication: improve skin reloading in case theme/color/font is not default

  [Stefan Saraev]
   * [keymap] improve 'menu' keymaps

  [Stefan Saraev]
   * [input] added KEY_MENU to linux input

  [Matthias Kortstiege]
   * [video] fix missing container.art for movie sets

  [Matthias Kortstiege]
   * [video] fix title prompting in case the search returned no results

  [Anton Fedchin]
   * [GraphicContext] Use stereo strength setting instead of fixed value.

  [Anton Fedchin]
   * [language.en_gb] Added strings for stereo strength setting.

  [Anton Fedchin]
   * [windows] GUIWindowTestPattern: Don't adjust white and black levels for DirectX, they will be adjusted in shader.

  [Anton Fedchin]
   * [guilib] GUIFontTTF: Don't adjust color range for DirectX, it will be adjusted in shader.

  [Anton Fedchin]
   * [guilib] GUITextureD3D: Don't adjust color range, it will be adjusted in shader.

  [Anton Fedchin]
   * [guilib] GUIShaderDX: Added color adjustment to shaders for correct displaying limited color range.

  [Anton Fedchin]
   * [settings] Added new setting 'GUI Stereo Effect Strength'.

  [Anton Fedchin]
   * [guilib] GUIWindow: added new <depth> tag which define on how window will be "in front" or "in back" in stereo mode.

  [Anton Fedchin]
   * [guilib] ControlFactory: added new <depth> tag which define on how control will be "in front" or "in back" in stereo mode.

  [Anton Fedchin]
   * [guilib] CGUIControl: added parameter for stereo correction factor.

  [Anton Fedchin]
   * [GraphicsContext] Added methods SetStereoFactor/RestoreStereoFactor for stereo corrections.

  [Anton Fedchin]
   * [RenderSystem] SetCameraPosition: Added stereo correction factor parameter (default 0).

  [ace20022]
   * [ae] Fix copy-paste-error.

  [Stefan Saraev]
   * [cleanup] dont search for ogg/vorbis/vorbisenc shared libs

  [Chris Browet]
   * FIX: [amlegl] additional display modes

  [Chris "koying" Browet]
   * FIX: [amlegl] do not require RW on /sys/.../mode

  [Pär Björklund]
   * Fixed broken switch statement and moved it to it's own method to cut down on similar future issues. Added logging for unhandled values.

  [ace20022]
   * [Util] Make use of generalized ScanForExternalSubtitles(...) methods.

  [hudokkow]
   * [groovy] Move groovy to tools/codegenerator/

  [anaconda]
   * [videodb] Never clean empty TV shows if the path still exists.

  [Matus Kral]
   * [CEC] change bool setting "pause playback on changing source" into tristate option with possible settings: 1. do nothing (as was before) 2. pause playback (as was before) 3. stop video, keep playing audio

  [ace20022]
   * [Util] Generalize external subtitle retrieval method(s). This adds the following protected methods.

  [Martijn Kaijser]
   * [pydocs] cosmetics

  [hudokkow]
   * [groovy] Update to 2.4.4

  [Matthias Kortstiege]
   * [music] fix missing lyrics from tag when playing from musicdb url (fixes #16216)

  [Mike Frysinger]
   * kodi.sh: use portable printf

  [Tobias Markus]
   * Fix coverity #1312063 and #1312064: Pass big parameter by reference instead of value

  [montellese]
   * [win32] fix minimum required CMake version for generator expressions

  [arnova]
   * changed: When matching articles, ignore their case

  [montellese]
   * CDirectoryProvider: support "sortby" and "sortorder" attributes

  [montellese]
   * [binary addons] fix android by using TARGET_LINKER_FILE_NAME instead of TARGET_FILE_NAME

  [Pär Björklund]
   * CancelAlarmclock didn't understand silent as a parameter and with the addition of event logging it started displaying a toast

  [montellese]
   * SmartPlaylist: use the new SortUtils helper methods

  [montellese]
   * JSON-RPC: use the new SortUtils helper methods

  [montellese]
   * SortUtils: add methods to translate sort methods/orders from/to string

  [Matthias Kortstiege]
   * [infomanager] add System.HasHiddenInput info bool

  [wsnipex]
   * [binary addons] Allow regex patterns in ADDONS_TO_BUILD

  [Matthias Kortstiege]
   * [dialog] use DialogOK as basis for the gamepad dialog

  [Matthias Kortstiege]
   * [video] nuke GUIDialogFileStacking

  [Matthias Kortstiege]
   * [video] use select dialog for play stacked part selection

  [Pierre Bureau]
   * [CONTAINERART] Fix Container.Art property for artist directories

  [ace20022]
   * Avoid access violations when a lib couldn't be loaded.

  [Rainer Hochecker]
   * dvdplayer: set default screen region for dvb subs

  [metaron]
   * [PVR] Timer Setting Dialog: only supported anytime

  [metaron]
   * [PVR] Timer settings dialog: Start/End display fix

  [Achim Turan]
   * [ActiveAE] Added new interface method GetCurrentSinkFormat(...)

  [Achim Turan]
   * [AEUtils] Added copy operator to AEAudioFormat

  [Matthias Kortstiege]
   * [settings] ensure year string is at the end in clean datetime regexp

  [Chris "Koying" Browet]
   * Revert "[aml] - fix draining message queue"

  [Matthias Kortstiege]
   * [confluence] disable vis preset button in case there are no presets available

  [Matthias Kortstiege]
   * [infomanager] add Visualisation.HasPresets info bool

  [Thomas Amland]
   * [gui] fix CGUIDialogSelect::GetSelectedItem not returning the selected item

  [Anton Fedchin]
   * [dx11] CProcessorHD: Get rig of unneeded std::map.

  [Anton Fedchin]
   * [dxva] CProcessorHD::Convert - Optimize method with sse2 instructions.

  [Anton Fedchin]
   * [dx11] Moved CDVDCodecUtils::CopyDXVA2Picture to WinRenderer and optimize copying a DXVA texture to YUV buffer with sse4.

  [ronie]
   * [Re-Touched] update

  [ronie]
   * [Confluence] remove dead code

  [Matthias Kortstiege]
   * [grouplist] factor out control on screen detection code

  [Thomas Amland]
   * [lang] sort special values for preferred subtitle/audio language on top

  [Matthias Kortstiege]
   * [guilib] add Container(id).Position for grouplist controls

  [Matthias Kortstiege]
   * [guilib] move infolabel functions to GUIControlGrouList

  [metaron]
   * [PVR] Implement: Recording scraper support / UI

  [metaron]
   * [PVR] Doc Only: Doxy syntax correction

  [metaron]
   * [PVR] Doc Only: iLifetime list purpose

  [Ryan Gribble]
   * [PVR] Implement: Add menu visibility controls

  [metaron]
   * [PVR] API: Add menu visibility controls for timers

  [Ryan Gribble]
   * [PVR] Implement: MaxRecordings list

  [metaron]
   * [PVR] API: Add maxRecordings

  [metaron]
   * [PVR] API: Add Recording scraper support

  [metaron]
   * [PVR] Implement: Add boolean control of Any Time

  [metaron]
   * [PVR] API: Add boolean control of Any Time

  [metaron]
   * [PVR] API 3.0.0 Version Bump

  [evilhamster]
   * Updated addsong to check for iTrack aswell when checking for duplicates.

  [montellese]
   * CLangInfo: properly set the time format when setting/changing regions

  [Matthias Kortstiege]
   * [musiclibrary] add SortByArtistThenYear

  [Thomas Amland]
   * [lang] fix inconsistent naming of norwegian languages

  [uNiversaI]
   * [readme] fix crossguid install PREFIX

  [uNiversaI]
   * [crossguid] all: also check for installed location

  [Kolja Lampe]
   * Hide image when showing tracks

  [xhaggi]
   * [gui] drop video/music overlay dialogs

  [Tobias Markus]
   * Various cppcheck performance fixes

  [ronie]
   * [Confluence] cleanup

  [ronie]
   * [Re-Touched] update

  [Thomas Amland]
   * [addons] fix foreign filter after 'no' was changed to 'nb_NO'

  [Thomas Amland]
   * [lang] fix fallback after 'no' was changed to 'nb_NO'

  [Matthias Kortstiege]
   * [recentlyadded] fix empty LatestAlbum.Artist (closes #16200)

  [Matthias Kortstiege]
   * [recentlyadded] fix empty LatestAlbum.Artist (closes #16200)

  [Matthias Kortstiege]
   * [guilib] fix double memory free in panel container

  [ronie]
   * [Confluence] cosmetics

  [Rainer Hochecker]
   * [cmake] set CORE_SYSTEM_NAME on osx correctly

  [xhaggi]
   * [input] fix stack overflow in HasLongpressMapping

  [ronie]
   * [Confluence] fix watched flag in media info 3 view

  [xhaggi]
   * [cleanup] unify method name used for singleton pattern

  [Thomas Amland]
   * [addonbrowser] dont set content to "addons" for category listings and other menus

  [Thomas Amland]
   * [codegenerator] return None for null pointer, not empty vector

  [Thomas Amland]
   * [python] add multiselect dialog

  [Thomas Amland]
   * [gui] change CGUIDialogSelect::GetSelectedItems to return indices

  [Matthias Kortstiege]
   * [guilib] fix fadelabel always marked dirty

  [ronie]
   * [Confluence] numpad redesign

  [Anton Fedchin]
   * [guilib] GUIFontTTFDX: Fixed rendering of rotated text.

  [metaron]
   * [PVR] Timer settings dialog: Pre/post bugfix

  [ronie]
   * [Confluence] fix highlight on numpad buttons

  [ronie]
   * [Confluence] replace <angle> tag with animation

  [uNiversaI]
   * [readme] add uuid-dev / crossguid to dependencies

  [popcornmix]
   * [mmalrenderer] Use half rate deinterlace when playing video in background

  [popcornmix]
   * [mmalcodec] Tidy up debug logging for decode

  [popcornmix]
   * [omxplayer] Tidy up setting of timestamp flags

  [popcornmix]
   * [omxhelper] Ignore embedded coverart image when looking for supported video streams

  [popcornmix]
   * [omxplayer] Set audio properties for passthrough

  [popcornmix]
   * [omxplayer] Support per refresh rate display latency settings

  [popcornmix]
   * [omxplayer] Allow automatic switching back to omxplayer after it has been disabled

  [Kolja Lampe]
   * Added dateAdded to album and artist json-rpc

  [Kolja Lampe]
   * Call SetArtist with the artist object instead of the artist name

  [Kolja Lampe]
   * Added max dateAdded to artist and album

  [Anton Fedchin]
   * [guilib] TextureDX: fix texture updates. Now there is a possibility to update texture if it was created with default usage.

  [MilhouseVH]
   * [mysql] Fix incomprehensible error message

  [Pär Björklund]
   * Updated taglib that fixes a crash when playing flac files

  [popcornmix]
   * [mmaldecodec] Increase queue limit to 1 second to avoid stalls

  [popcornmix]
   * [mmalcodec] Use both dts and pts for determining amount of queued data

  [popcornmix]
   * [mmalcodec] Don't set initial unknown timestamps to zero

  [popcornmix]
   * [mmalcodec] Enable interpolate timestamps

  [popcornmix]
   * [mmalcodec] Populate the framerate of video decoder

  [popcornmix]
   * [rbp] Ignore pts value when m_hints.ptsinvalid set

  [Martijn Kaijser]
   * [gui] change some appearence settings from spinner to list

  [montellese]
   * CApplication: reloading the skin when changing themes must be done asynchronously (broken by 9e9396b073ba973b2847896a11244a9f37ecbaff)

  [montellese]
   * addons: simplify and document logic for broken add-on handling

  [montellese]
   * events: only log incompatible/broken add-ons that are installed

  [montellese]
   * CAddonInstaller: fix CheckDependencies() after 71b96140956936dfd366554e8806bed1b15d81f1

  [montellese]
   * fix CUtil::GetSkinThemes() to also handle xbt:// VFS paths

  [Martijn Kaijser]
   * [add-ons] sync with repo

  [Martijn Kaijser]
   * [cosmetic] fix incorrect string id start point

  [Thomas Amland]
   * [addonbrowser] refactor

  [Thomas Amland]
   * [addonbrowser] add 'look and feel' category

  [Matthias Kortstiege]
   * [videodatabase] fix 'replace file names with library titles' for folders containing a single series

  [montellese]
   * [win32] update pre-built TexturePacker.exe dependency

  [montellese]
   * [win32] fix missing include path to winres.h

  [montellese]
   * texturepacker: fix texturepacker not writing any frames

  [montellese]
   * texturepacker: derive CXBTFWriter from CXBTFBase instead of abusing CXBTFReader

  [montellese]
   * guilib: split CXBTFBase out of CXBTFReader

  [phil65]
   * [Confluence] - fix WindowOpen animation for Eventlog

  [montellese]
   * jsonrpc: add VideoLibrary.RefreshMovie/TVShow/Episode/MusicVideo

  [ronie]
   * [Confluence] epggrid - remove onback, menu key can now be used to focus the sidemenu

  [ronie]
   * [Confluence] add menucontrol to eventlog window

  [montellese]
   * CFileItem: fix GetBaseMoviePath() for folder-level sources

  [montellese]
   * cosmetic: use else if instead of if in CVideoInfoScanner

  [montellese]
   * video library: use CVideoLibraryQueue::RefreshItemModal

  [montellese]
   * CVideoLibraryQueue: add RefreshItem and RefreshItemModal

  [montellese]
   * refactor video item refreshing into CVideoLibraryRefreshingJob

  [MilhouseVH]
   * [mysql] Fix formatting arg that leads to segfault #2

  [MilhouseVH]
   * [mysql] Fix formatting arg that leads to segfault

  [montellese]
   * filesystem: make events:// available even if there's no network interface available

  [montellese]
   * filesystem: make resource:// available even if there's no network interface available

  [montellese]
   * filesystem: make bluray:// available even if there's no network interface available

  [montellese]
   * filesystem: make pipe:// available even if there's no network interface available

  [Frank Razenberg]
   * [keymap] undo workaround for volume adjustment issue

  [Frank Razenberg]
   * [action] Disregard sign of volume adjustment actions to match seeking behavior

  [uNiversaI]
   * [confluence] update bookmark OSD icon

  [xhaggi]
   * [cleanup] removes unused actions

  [Pär Björklund]
   * [xbmc][win32] Fixes side flyout appearing when using touch

  [xhaggi]
   * [settings] rename eventlog setting ids based on the convention

  [xhaggi]
   * [setting] hunt missing setting id constants

  [xhaggi]
   * [keymap] adjust keymaps to support the menu action

  [xhaggi]
   * [confluence] adds new menucontrol tag in related xml's

  [h.udo]
   * [json] Bump API

  [Arne Morten Kvarving]
   * [json] added: announce after audio library export

  [Arne Morten Kvarving]
   * [json] added: announce after video library export

  [Matthias Kortstiege]
   * [textbox] remove duplicate code

  [Matthias Kortstiege]
   * [infomanager] add Container(id).HasNext / HasPrevious for textbox controls

  [montellese]
   * events: fix showing event log from settings

  [montellese]
   * settings: use constants for event log settings

  [montellese]
   * CBaseTexture: support loading a (static) texture from an XBT file (and from resource addons)

  [montellese]
   * CImageResource: override CResource::GetFullPath() to forward paths to Textures.xbt if present

  [montellese]
   * CResource: add overridable GetFullPath()

  [montellese]
   * filesystem: add CXbtManager, CXbtDirectory and CXBtFile to implement xbt://

  [montellese]
   * filesystem: add Directorize helper function and use it in CZipDirectory::GetDirectory()

  [montellese]
   * add CXBTFFile::GetPackedSize()/GetUnpackedSize()

  [montellese]
   * refactor CXBTFFrame, CXBTFFile and CXBTFReader and get rid of CXBTF

  [Matthias Kortstiege]
   * [infomanager] add Container(id).CurrentItem / NumItems for grouplists

  [h.udo]
   * [Util.cpp] sap stream was dropped by mistake during HDhomerun cleanup

  [Stefan Saraev]
   * [binary addons] make sure CORE_SYSTEM_NAME is set

  [h.udo]
   * [pvr.dvbviewer] Point to master again now https://github.com/xbmc/xbmc/pull/7570 is in

  [hudokkow]
   * [Binary Add-ons] Point audio encoders/decoders to master instead of SHA

  [Anton Fedchin]
   * [GUIFontTTFDX] Optimized: don't change rendering state if there is nothing to render.

  [wsnipex]
   * [binary addons] fix addon.xml generation if addon.xml.in contains semicolons

  [Memphiz]
   * [Database/Import] - present the user with removable and network shares aswell when importing a database - same as the export database dialog provides

  [montellese]
   * [confluence] add EventLog.xml

  [Matthias Kortstiege]
   * [osx/ios] xcode sync

  [montellese]
   * [win32] update VS project files

  [montellese]
   * events: add and integrate CGUIWindowEventLog

  [montellese]
   * label formatter: add %d for date and time

  [montellese]
   * info manager: add ListItem.DateTime info label

  [montellese]
   * events: add events for files/directories that couldn't be scraped

  [montellese]
   * events: add events for addon installation/update/uninstallation/enabling/disabling/breaking

  [montellese]
   * addons: add FullType() to IAddon and a specialization to CPluginSource

  [montellese]
   * CAddonInstaller: add the possibility to retrieve the information about which addon dependency failed

  [montellese]
   * cosmetics in CGUIWindowAddonBrowser

  [montellese]
   * addon browser: only try to remove addons from the listing if GetDirectory() succeeded

  [montellese]
   * events: add some general events

  [montellese]
   * events: add specific IEvent implementations

  [montellese]
   * filesystem: add support for events://

  [montellese]
   * add event log infrastructure

  [montellese]
   * fix StringUtils::CreateUUID() by using crossguid

  [montellese]
   * [win32] integrate crossguid as a static library

  [montellese]
   * [depends] integrate crossguid as a static library

  [Anton Fedchin]
   * [GUIFontTTF] Fixed rounding X coordinate of a char if it has negative value.

  [Pär Björklund]
   * Fix endless loop during shutdown.

  [Matthias Kortstiege]
   * [infomanager] add System.HasModalDialog info bool

  [Memphiz]
   * Revert "[osx/XBMCHelper] - compile XBMCHelper as 64bit"

  [montellese]
   * [depends] integrate building libuuid for Linux/RBPi

  [xhaggi]
   * [gui] new action ACTION_MENU to focus menucontrol

  [Kai Sommerfeld]
   * [EPG] Fix: Respect view mode changes of EPG window when controlling number of epg data updates.

  [montellese]
   * cmake: automatically set the proper platform specific library in the addon.xml

  [montellese]
   * addons: support library_freebsd, library_rbpi, library_ios and library_windows in addon.xml

  [montellese]
   * [binary addons] bump platform and kodi-platform

  [h.udo]
   * [pvr.dvbviewer] Change back to SHA or it will continue to fail

  [ronie]
   * fix Window.IsMedia infobool

  [Kai Sommerfeld]
   * [PVR] Fix timer type compat code. Solves a crash with MediaPortal addon.

  [Kai Sommerfeld]
   * [PVR] Fix usage of PVR_TIMER_STATE_NEW.

  [Kai Sommerfeld]
   * [PVR] API docs: Changed description of PVR_TIMER_STATE_NEW to be more accurate.

  [Ryan Gribble]
   * CPVRChannel::SetEpgId() should flag the record as changed (and only be set if it isnt already)

  [arnova]
   * fixed: Watched overlay would not display if item was also (still) resumable (fixes #15766)

  [Thomas Amland]
   * change ui sound system to addons only

  [mapfau]
   * [epg] avoid PVR thread to persist epg tables directly (sync issue with epg thread)

  [Martijn Kaijser]
   * [pydocs] sortMethod list is already at the bottom of the page

  [fritsch]
   * [python] Add setContentLookup method

  [Chris "Koying" Browet]
   * squashme: after review longpress

  [Chris "koying" Browet]
   * ADD: [keyboard] allow to map long key presses

  [Thomas Amland]
   * [gui] fix confirm state not reset in CGUIDialogSelect

  [Martijn Kaijser]
   * [pydocs] cosmetics

  [Martijn Kaijser]
   * [pydocs] update sortMethods documentation

  [Memphiz]
   * [SectionLoader] - remove logging in D'Tor

  [xhaggi]
   * [confluence] merge guide/recording info dialogs into one DialogPVRInfo

  [xhaggi]
   * [pvr] use same skin XML for guide/recording info dialog

  [hudokkow]
   * [gitignore] Add libdvdcss artifact

  [Anton Fedchin]
   * [dx11] Don't cull a texture which is shown with reverse side.

  [taxigps]
   * fixed: can't set locale in right language and region

  [xhaggi]
   * [epg] trigger epgs create after we started the epg container

  [Kai Sommerfeld]
   * [PVR] 'Confim channel switch' only for up/down, not ch+/-

  [Memphiz]
   * [ios] - fix linkage for VTB framework for ios < 6 - fixes vtb on ios 5.x runtime

  [ace20022]
   * [coverity] Result is not floating-point. This commit deals with CID numbers: 1238561 1238569 1238573 1238592 1238593

  [taxigps]
   * [keyboard] support codingtable input and add Chinese BaiduPY/BasePY layouts

  [metaron]
   * [PVR] Conflence: Add EpisodeName to MyPVRChannels

  [xhaggi]
   * [gui] use a global enum to specify the default render orders

  [Martijn Kaijser]
   * [win32] remove old DirectX var from installer

  [ronie]
   * [pydocs] don't tell people to use os.getcwd()

  [xhaggi]
   * [settings] use setting id constants

  [Anton Fedchin]
   * [application] Moved call to PVRManager::SetWakeupCommand in PowerManager::OnSleep for execute it when a actual suspend/hibernate occurs.

  [ace20022]
   * [coverity] Add additional check to prevent an only theoretical out-of-bounds read from a buffer (CID #1248215) in StringUtils::​SizeToString(long).

  [xhaggi]
   * [settings] specifies constants for every setting id

  [enen92]
   * [pydocs] proper type and examples on Listitem.setInfo (cast and castandrole)

  [Kai Sommerfeld]
   * [PVR] Confirm channel switch when flipping through channel information in fullscreen.

  [Martijn Kaijser]
   * [pydocs] must use lowercase dictionary keys

  [Rainer Hochecker]
   * renderer: apply logic for overlapping only to guitext subs - fix wrong positions for DVB subs

  [Rainer Hochecker]
   * dvdplayer: ffmpeg subtitle codec does not know video size, drop guessing -> renderer knows

  [enen92]
   * [pydocs] Listitem addStreamInfo example (must use lowercase dictionary keys)

  [Anton Fedchin]
   * [PowerManager] Show dialog busy only when processing OnSleep.

  [Anton Fedchin]
   * [win32] Move call to SetSuspendState/InitiateShutdown out from main thread.

  [Kolja Lampe]
   * Fixed wrong variable names due to copy and paste

  [Martijn Kaijser]
   * [pydocs] fix wrong example

  [Matthias Kortstiege]
   * [infomanager] add Container.HasParent info bool

  [xhaggi]
   * [pvr] protect pvr windows against illegal gui messages if manager is not started

  [xhaggi]
   * [confluence] fix missing id for progressbar in progress dialog

  [Matthias Kortstiege]
   * [guilib] fix possible crash due to accessing non-existing layout

  [Matthias Kortstiege]
   * [guilib] make mouse wheel only move slider controls in case the actual slider is focused

  [Matthias Kortstiege]
   * [guilib] make mouse wheel only scroll spin controls in case the actual spinners are focused

  [xhaggi]
   * [gui] fix crash at destruction of CGUIWindowSplash

  [arnova]
   * changed: Rename cache: to forward: as that's what it really is

  [Memphiz]
   * [ios] - fix broken native keyboard on ios 5.1.1 devices (incompatiblity with ios8 sdk and old deployment target)

  [Martijn Kaijser]
   * sync scrapers with repo

  [ace20022]
   * [dvdplayer][subs] Add "forced only" to the preferred language list. Only forced subtitles matching the audio language are considered relevant.

  [ace20022]
   * [dvdplayer][subs] Add "none" to the preferred language list. It will disable any kind of available subtitles.

  [h.udo]
   * [pvr] Point add-ons to master instead of SHA

  [xhaggi]
   * [pvr][fix] limit numeric dialog to fullscreen/visualisation window (fixes #16167)

  [xhaggi]
   * [pvr] also register channel osd as observer for epg container

  [xhaggi]
   * [pvr] show progress dialog in pvr windows and wait until manager has be started

  [xhaggi]
   * [pvr] get rid of startup window handling in PVR manager

  [fritsch]
   * FFmpeg: Bump to 2.7.2-Jarvis-alpha1

  [Ryan Gribble]
   * While working on MaxRecordings, found bug where default RecordingGroup selection wasnt being populated on new timer

  [Matthias Kortstiege]
   * [guilib] update label color for sliderex controls

  [Thomas Amland]
   * [python] remove unnecessary copying

  [Thomas Amland]
   * [python] deprecate thumb/icon methods and args in favour of setArt

  [Thomas Amland]
   * [python] add icon support for setArt

  [Thomas Amland]
   * [python] add docs for ListItem constructor

  [phil65]
   * [CONFLUENCE] - fix wrong navigation in SmartPlaylistEditor.xml

  [Matthias Kortstiege]
   * [splash] centerCrop android splash

  [xhaggi]
   * [splash] updated splash - thanks da-anda

  [Matthias Kortstiege]
   * [guilib] only set label/label2 in case it changed

  [Matthias Kortstiege]
   * [guilib] use label2 to display the radiobutton value instead of a texture

  [xhaggi]
   * [pvr] limit invalidation of list items to once per 2 seconds for PVR windows

  [montellese]
   * cmake: rename "darwin" to "osx" in CORE_SYSTEM_NAME

  [montellese]
   * move logic to load platform specific addon library name into CAddonMgr::GetPlatformLibraryName()

  [montellese]
   * CAddonMgr: make GetExtValue() const

  [montellese]
   * cosmetic: fix indentation

  [Matthias Kortstiege]
   * [gitignore] don't clean Makefile in xbmc/main/posix/

  [wsnipex]
   * [cmake] resolve addon git branches/tags to hash

  [Thomas Amland]
   * [python] add 'mediatype' info label and remove implicit sets

  [montellese]
   * [binary addons] make addon source tarball caching option by introducing the ADDON_TARBALL_CACHING option

  [Martijn Kaijser]
   * bump to 16.0a2

  [montellese]
   * CProgressJob: cosmetics

  [montellese]
   * CProgressJob: don't set m_progressDialog to nullptr in MarkFinished() (partially reverts 658b0a21ed4a7443d6670fc6180d8dc2e9b2ca47

  [montellese]
   * CProgressJob: use MarkFinished() instead of manually calling CProgressDialog::Close()

  [xhaggi]
   * [gui][fix] progress dialog's canceled is never reset

  [Rainer Hochecker]
   * dvdplayer: drop work-around for very fast ff, obsolete after flushing render buffers correctly after seek

  [xhaggi]
   * [epg] start epg container asynchronously

  [Matthias Kortstiege]
   * [guilib] label2 colors need to be updated as well

  [Craig Andrews]
   * [rsxs] Use stdbool.h from GCC 5.2.0

  [ace20022]
   * [dsp] Fix CID#1312065 Uninitialized scalar variable.

  [Matthias Kortstiege]
   * [guilib] fix textbox textcolor not properly set

  [LS80]
   * [keymap] change 'mytv' remote mapping to open the TV Shows node

  [xhaggi]
   * [pvr] fix missing epg observable message handling in pvr windows

  [arnova]
   * changed: Prefer openssl over gnutls for libcurl for Linux and Ubuntu as it is more reliable

  [montellese]
   * [binary addons] bump audioencoder.flac/lame/wav to fix packaging

  [montellese]
   * [win32] support "package" option in make-addons.bat

  [montellese]
   * [binary addons] introduce PACKAGE_DIR variable to be able to specify where packaged addon archives should be copied to

  [Matthias Kortstiege]
   * [guilib] revert fix label overlap in radiobutton control

  [Matthias Kortstiege]
   * [guilib] fix hitrect for auto-width buttons

  [xhaggi]
   * [gui] fix resizing GUI during initialization

  [xhaggi]
   * [splash] get rid of obsolete message rendering

  [xhaggi]
   * [splash] make CSplash singleton

  [xhaggi]
   * [splash] get rid of obsolete thread stuff from CSplash

  [xhaggi]
   * [splash] get rid of hard-coded resolution

  [Matthias Kortstiege]
   * [application] remove unsused splash thread message

  [Matthias Kortstiege]
   * [splash] introduce splash also as regular window

  [Kai Sommerfeld]
   * [EPG] Jump to 'now' on init of EPG timeline view

  [Rainer Hochecker]
   * dvdplayer - consider clock not last frame on screen when going rewind

  [montellese]
   * [binary addons] add package-addons target to package all built addons

  [montellese]
   * cmake: fix addon packaging and installation

  [Memphiz]
   * [jenkins] - ensure that only the path workspace/addons is excluded from the clean - before it excluded workspace/xbmc/addons aswell which left the stale addons.a file around

  [Memphiz]
   * [buildsys/Make] - remove main.a from the list of DIRECTORY_ARCHIVES for preventing duplicate linkage when compiling unit tests

  [phil65]
   * [Confluence] - make use of new parametrized includes for wather part

  [uNiversaI]
   * fix trac 16159 Yes (single) / Separate is doing reverse

  [Anton Fedchin]
   * [dxva] Fixed: don't use DXVADDI_Intel_ModeH264_E decoder if source requires more than 11 references.

  [Anton Fedchin]
   * [dxva] Fixed: missed Intel Clear Video workaround after dx11 upgrade.

  [Memphiz]
   * [osx/ios/atv2] - synced xcode project

  [Thomas Amland]
   * [contextmenu] sort items in internal menus by name

  [Thomas Amland]
   * [contextmenu] use vector instead of map since we're mostly using linear search

  [Thomas Amland]
   * [contextmenu] rename m_iCurrentContextId to m_nextButtonId

  [Thomas Amland]
   * [contextmenu] rename Execute to OnClick

  [Thomas Amland]
   * [addons] rename ContextItemAddon to ContextMenuAddon

  [Thomas Amland]
   * [contextmenu] add support for sub-menus and multiple items

  [xhaggi]
   * [pvr] fix missing return in CGUIWindowPVRBase::OnBack (fixes #16150)

  [Matthias Kortstiege]
   * [dialog] fix indentation

  [montellese]
   * tests: fix TestDatabaseUtils.GetField_MediaTypeSong

  [montellese]
   * DatabaseUtils: songview.dateAdded can also be used in SELECT

  [Rainer Hochecker]
   * dvdplayer: fix waiting time for buffer when ff

  [Rainer Hochecker]
   * renderer: reset timestamp of current frame on flush

  [Rainer Hochecker]
   * dvdplayer: improve rw

  [Memphiz]
   * [osx] - reimplement Cocoa_GetVolumeNameFromMountPoint with a more current version - should fix strange crashes on some system with mounted HDDs

  [Rainer Hochecker]
   * dvdplayer - drop deferred release of hw decoder, not need after running hw decoders single threaded

  [Pär Björklund]
   * Fixes a crash when trying do delete a file in filemanager

  [Matthias Kortstiege]
   * [guilib] auto-width button needs resizing on label change

  [Matthias Kortstiege]
   * [guilib] wrapmultline for toggle button controls

  [Kai Sommerfeld]
   * [Confluence][PVR] Added EPG info area to PVR timer window.

  [Kai Sommerfeld]
   * [guiinfo] Added LISTITEM_EPG_EVENT_TITLE, extended LISTITEM_HAS_EPG to recognize timer info tags containing an epg info tag.

  [Kai Sommerfeld]
   * [guiinfo] remove DOS line ends introduced by 74262ffdc1d55b9d9991e2a47762b4f075930952

  [LS80]
   * Changed the mapping for the mceusb LiveTV button from 'mytv' to 'livetv'.

  [LS80]
   * Changed the mapping for the KEY_TUNER button from 'mytv' to 'livetv'. KEY_TV still maps to 'mytv'.

  [Rainer Hochecker]
   * dvdplayer - dispose ffmpeg hw decoder prior to opening a new one

  [Rainer Hochecker]
   * [aml] - fix draining message queue

  [ronie]
   * [Re-Touched] some updates for jarvis

  [ronie]
   * [Confluence] no

  [Kai Sommerfeld]
   * [guiinfo] Fixed PVR_STRINGS_END value in GUIInfoLabels.h

  [Sam Stenvall]
   * [dvdplayer] remove unused methods from DVDVideoCodec

  [Sam Stenvall]
   * [dvdplayer] do not access m_pVideoCodec from dvdplayer thread

  [Rainer Hochecker]
   * dvdplayer: drop speed adjust when buffer is full - with timeshift and server side buffering this case is normal

  [montellese]
   * [binary addons] turn PACKAGE_ZIP into a proper cmake option

  [montellese]
   * cmake: unify output of build messages by using message(STATUS ...)

  [Matthias Kortstiege]
   * [gitignore] don't clean Makefile in xbmc/messaging/

  [Martijn Kaijser]
   * [adsp] disable binary add-on until they build on all platforms

  [Memphiz]
   * [PosixClog] - ensure that file decriptor for logfile is NULL'ed in the d'tor to minimize issues when static/global object destruction order results in CLog accesses past destruction of the CLog instance

  [Kai Sommerfeld]
   * [PVR] gui info: Fix 'PVR.IsTimeshift' (PVR_IS_TIMESHIFTING)

  [metaron]
   * [PVR] Timer settings dialog: Add weekday for dates

  [metaron]
   * [PVR] Timer settings dialog: rename SetDateFromInt

  [metaron]
   * [PVR] Timer settings dialog: support unlisted date

  [metaron]
   * [PVR] Timer settings dialog: Start/end in the past

  [Martijn Kaijser]
   * add 16.x Jarvis repo

  [ace20022]
   * [gui] Use correct overload in the ShowAndGetInput hierarchy.

  [ace20022]
   * [gui] Initialize bool parameter before use (CID# 1311638).

  [Kai Sommerfeld]
   * [PVR] Fix gui info time format for timeshift buffer start, buffer end, playing time.

  [Rainer Hochecker]
   * [pvr] fix holding lock while querying backend

  [uNiversaI]
   * [Strings] Audio DSP string fixes

  [ace20022]
   * [subs] Use ISO 639-1 and addon languages for the "Languages to download subtitles for" setting.

  [ace20022]
   * [lang] Add installed languages to the list of possible stream languages.

  [Memphiz]
   * [ios/codesign] - if ldid was found - apply it to the kodi binary for fake signing it - this fixes runtime error on ios5.1 devices

  [Memphiz]
   * [ios/depends] - add ldid fake sign package to native depends

  [montellese]
   * settings: refactor handling of integer/string spinners/lists and add support for minimum/step/maximum in CGUIControlListSetting

  [montellese]
   * settings: add support for minimum/step/maximum in CSettingControlList

  [a11599]
   * [dx11] Fix AMD deinterlacing

  [Memphiz]
   * [osx/XBMCHelper] - compile XBMCHelper as 64bit

  [Kai Sommerfeld]
   * [PVR] bump addon pvr.hts

  [montellese]
   * settings: use range based for loop in CGUIControlBaseSetting and derived classes

  [Rainer Hochecker]
   * [pvr] fix stuttering indruduced by 9c3adb5a9f390ad73c52469ed79de297dad68d80

  [xhaggi]
   * [video] use action listener pattern for CPlayerController

  [uNiversaI]
   * [typos] fix typos RegisterReceveiver -> RegisterReceiver

  [Anton Fedchin]
   * [dx11] CD3DEffect::SetTexture - restored a missed expression.

  [Anton Fedchin]
   * [dx11] RenderSystemDX: Notify all about our resurrection after device re-creation also. This fixes issue with fonts after transition from window to full screen on another adapter.

  [Anton Fedchin]
   * [dx11] RenderSystemDX: Switch swap chain to windowed mode before destroying device. This fixes a possible crash into ID3D11DeviceContext::Flush if swap chain still in full screen mode.

  [uNiversaI]
   * [cosmetic] cleanup ident / alignment, spaces & boilerplate

  [Anton Fedchin]
   * [dx11] CD3DTexture::SaveTexture - fixed an amount of memory to save compressed (DX1/3/5) texture.

  [xhaggi]
   * [video] make CPlayerController singleton

  [Memphiz]
   * [ios/packaging] - ensure that the deb package has ios5.1 as minimum ios version

  [montellese]
   * [win32] fix VS 2013 solution

  [Rainer Hochecker]
   * dvdplayer: fix clockspeed adjust for non-resampling modes

  [xhaggi]
   * [guilib] fix modality handling of dialog slider (fixes #16140)

  [Pär Björklund]
   * Fix GUIInfoManager that got messed up with dsp merge

  [arnova]
   * changed: For memory file cache there's no point creating a bigger cache than filesize

  [uNiversaI]
   * Fix audio offset Dialog has no title

  [Martijn Kaijser]
   * [pvr] bump addons after 800a634e6a20345dc0fb28212720a5e972709812

  [Martijn Kaijser]
   * [adsp] set fixed git SHA for ADSP add-ons

  [Martijn Kaijser]
   * [win32] Use actuall add-on names instead of chopped addon-id in Windows installer;

  [Martijn Kaijser]
   * remove duplicate ;;

  [Martijn Kaijser]
   * [win32] Add ADSP option to Windows installer

  [Martijn Kaijser]
   * use CVariant for strings in dialogs

  [montellese]
   * [win32] cmake: no need to check for install permissions (avoid creating unneeded directories)

  [Rainer Hochecker]
   * dvdplayer: flush renderbuffers when flushing video player

  [wsnipex]
   * [linux] fix crashlog generation

  [Rainer Hochecker]
   * [pvr] - expose timeshift info to GUI

  [Kai Sommerfeld]
   * [EPG] Changed some CGUIEPGGridContainer member data types to get rid of some silly down casts.

  [Achim Turan]
   * [adsp] Added AudioDSP-System bypass functionality

  [Kai Sommerfeld]
   * [EPG] Refactored CGUIEPGGridContainer grid data update code.

  [xhaggi]
   * [guilib] fix hint text not shown in keyboard dialog

  [montellese]
   * [resource.images.weathericons.default] fix addon.xml missing import of kodi.resource (thanks uNiversaI)

  [AchimTuran]
   * [adsp] Add CApplicationMessenger receiver functionality to CActiveAEDSP

  [AchimTuran]
   * [CApplicationMessenger] Move RegisterReceiver(...) from CApplication::Initialize(...) to CApplication::Create(...), which connects CApplicationMessenger receivers earlier

  [AchimTuran]
   * [add-ons] adapt libXBMC_addon helper class dlfcn-win32 include path

  [AlwinEsch]
   * [adsp] Add CMake addon build environment

  [AlwinEsch]
   * [adsp] Add dsp processing setting dialog selection to music and pvr channels context menu

  [AlwinEsch]
   * [adsp] Add send of ffmpeg info data to dsp addon

  [AlwinEsch]
   * [adsp] Add dsp processing setting dialog selection to player dialog

  [AlwinEsch]
   * [adsp] Add adsp mode processing chain settings dialog

  [AlwinEsch]
   * [adsp] Add audio dsp information to CGUIInfoManager

  [AlwinEsch]
   * [adsp] Add gui sound playback with selectable channel position on dsp addon callbacks

  [AlwinEsch]
   * [adsp] Add adsp addon callback helper library

  [AlwinEsch]
   * [adsp] Add basic audio dsp addon handling structure

  [AlwinEsch]
   * [adsp] Add dsp related strings

  [AlwinEsch]
   * [adsp] Add CAEChannelInfo CAEUtil::GetAEChannelLayout(uint64_t layout)

  [AlwinEsch]
   * [adsp] Add audio dsp addon header and function defination files

  [AlwinEsch]
   * [adsp] Add dsp related gui images

  [popcornmix]
   * [dllloader] Fix logging of dlls without absolute path

  [Martijn Kaijser]
   * set BICUBIC as default picture scaling algorithme

  [Rainer Hochecker]
   * dvdplayer: fix mimetype after 89538103d60f64106f8ad998427c7286a3766244

  [metaron]
   * [PVR] Ignore article & folders when sorting Timers

  [xhaggi]
   * [guilib] fix first letter remains visible in keyboard dialog

  [h.udo]
   * [pvr] Bump add-ons for alpha1

  [ronie]
   * [Confluence] disabled textures + version bump

  [ronie]
   * rename weather icon type

  [janbar]
   * [PVR Addons] Fix XbmcStreamProperties::GetStreamData

  [xhaggi]
   * [guilib] fix cursor not always shown in keyboard dialog (fixes #16134)

  [uNiversaI]
   * [confluence] uppercase icon name and allow separate icons

  [Pär Björklund]
   * Fixed progress bar not showing for library scanning and probably a few other dialog issues

  [bryanbrazil]
   * [python] add disabled textures for radio buttons and spin controls

  [bryanbrazil]
   * [guilib] add disabled textures for radio buttons and spin controls

  [uNiversaI]
   * [confluence] fix overlapping mutebug on musicvisualization and OSD

  [Pär Björklund]
   * Fixed jsonrpc playback that hadn't survived the rework, closes #16129

  [Pär Björklund]
   * Fix for nullptr deref check that was wrong

  [Pär Björklund]
   * Fix indentation that I broke

  [Kai Sommerfeld]
   * [EPG] Reduce lagging of EPG window during EPG data grid updates.

  [Kai Sommerfeld]
   * [EPG] Fix EPG grid container control concurrency issue (making it threadsafe for that particular case).

  [Kai Sommerfeld]
   * [EPG] Use key 'remote 0' to jump to 'now' in EPG window.

  [Kai Sommerfeld]
   * [EPG] Fix EPG window view port jumping to 'now' on every EPG data grid update.

  [Matthias Kortstiege]
   * [cosmetic] use %"PRIuS instead of %zu

  [Matthias Kortstiege]
   * [pvrguiinfo] silence compiler warning

  [Matthias Kortstiege]
   * [pvrtimer] m_iTypeId is unsigned int

  [Matthias Kortstiege]
   * [pvrtimer] remove unused variable

  [Matthias Kortstiege]
   * [epginfotag] initialize members in the order they were declared

  [Matthias Kortstiege]
   * [databases] silent UpdateFileDateAdded compile warnings

  [Memphiz]
   * Revert "dummy commit"

  [montellese]
   * don't mess with the long and short date formats defined in langinfo.xml

  [janbar]
   * [PVR] fix timer deletion

  [Martijn Kaijser]
   * exclude resource:// from texture caching as these are always local addons

  [Pär Björklund]
   * dummy commit

  [Pär Björklund]
   * Clean up ApplicationMessenger

  [ronie]
   * [Re-Touched] update

  [Pär Björklund]
   * Reworked initialization for win32

  [xhaggi]
   * [gui] fix modality type of skin custom dialogs

  [Anton Fedchin]
   * [dx11] Fixed creating device on GPU whose driver not supports DX11 video API.

  [montellese]
   * fix musicvideo artist artwork not being loaded from the musicdb (fixes #16120)

  [montellese]
   * [win32] add system/ssleay32.dll to .gitignore

  [montellese]
   * cosmetics: remove some trailing whitespaces

  [montellese]
   * CHttpRangeUtils: don't build multipart-boundary related methods if webserver is disabled

  [montellese]
   * [Makefile.in] integrate python/legacy archives into the general list

  [montellese]
   * [Makefile.in] only build xbmc/interfaces/legacy/wsgi/legacy-wsgi.a if webserver is enabled

  [montellese]
   * [configure.ac] only generate xbmc/network/httprequesthandler/python/Makefile if webserver is enabled

  [Kai Sommerfeld]
   * [EPG] Fix init and update of EPG window.

  [hudokkow]
   * [std cleanup] xbmc/playlists/

  [hudokkow]
   * [std cleanup] xbmc/profiles/

  [hudokkow]
   * [std cleanup] xbmc/settings/

  [hudokkow]
   * [std cleanup] xbmc/storage/

  [hudokkow]
   * [std cleanup] xbmc/video/

  [hudokkow]
   * [std cleanup] xbmc/view/

  [hudokkow]
   * [std cleanup] xbmc/win32/

  [hudokkow]
   * [std cleanup] xbmc/windowing/

  [hudokkow]
   * [std cleanup] xbmc/windows/

  [hudokkow]
   * [std cleanup] xbmc/

  [uNiversaI]
   * [baserenderer] make ViewModeStretch16x9Nonlin fall in range

  [Ryan Gribble]
   * [pvr] Show ParentItem ".." label when displaying children of repeating timers (whilst honoring the GUI Appearance setting for this behaviour)

  [xhaggi]
   * [guilib] fix dirty regions because it evaluates always to true

  [ronie]
   * add Skin.ToggleDebug function

  [ronie]
   * [Confluence] remove zorder

  [enen92]
   * [buitins] Rename StartPVRManager and StopPVRManager to PVR.StartManager and PVR.StopManager. Marking older functions as deprecated

  [enen92]
   * [builtin] Add PVR.SearchMissingChannelIcons

  [xhaggi]
   * [interfaces] fix render order of addon dialogs

  [sialivi]
   * [DirectoryNode] add 'All albums' option

  [Pär Björklund]
   * Got rid of boost::totally_ordered from AddonVersion

  [montellese]
   * webserver: support specifying the scaling algorithm in image:// transformation URLs

  [montellese]
   * CTextureCacheJob: support "scaling_algorithm" option in image:// URLs

  [montellese]
   * CPicture: fall back to image scaling algorithm from advancedsettings.xml if none is passed to CacheTexture()

  [montellese]
   * CAdvancedSettings: add <imagescalingalgorithm>

  [montellese]
   * CPicture: add possibility to specify the scaling algorithm

  [montellese]
   * pictures: add CPictureScalingAlgorithm helper class

  [xhaggi]
   * [guilib] renames modality enum value SYSTEM_MODAL to PARENTLESS_MODAL

  [xhaggi]
   * [gui] make music/video overlay dialogs modeless

  [xhaggi]
   * [gui] refactors CGUIDialogProgress::StartModal

  [xhaggi]
   * [gui] refactors modality handling for dialogs

  [Matthias Kortstiege]
   * [videolibrary] fix musicvideo artist browsing after e55adbd (closes #16118)

  [Matthias Kortstiege]
   * [videodb] fix browsing tvshows genre/studios with masterlock enabled

  [phil65]
   * [guilib] - fix missing fadelabel text (introduced with #7323)

  [uNiversaI]
   * [confluence] add DefaultAddonImages.png

  [Arne Morten Kvarving]
   * move weather icons to a resource addon

  [Arne Morten Kvarving]
   * changed: read weather icons from a resource addon

  [Arne Morten Kvarving]
   * added: support for image resource addons

  [Rainer Hochecker]
   * dvdplayer: add a method to avoid requeting HTTP Header

  [BigNoid]
   * [guilib] Add Container.TotalWatched and Container.TotalUnwatched

  [arnova]
   * Revert "changed: Implement native Stat/Exists functions for Webdav"

  [Deniz Türkoglu]
   * Use C++ cast to const char* in HTTPFile

  [Deniz Türkoglu]
   * Fix sign issue in DVDPlayer

  [Deniz Türkoglu]
   * Convert ternary operator to if/else

  [Deniz Türkoglu]
   * Remove unnecessary/add required casting

  [Deniz Türkoglu]
   * Fix string format parameters

  [Deniz Türkoglu]
   * Remove deprecated register storage class

  [Deniz Türkoglu]
   * Fix sign compare issues

  [Deniz Türkoglu]
   * Remove unused variables and/or lessen scope

  [Deniz Türkoglu]
   * Add new addons and depends to .gitignore

  [Roman Kraevskiy]
   * printf call replaced by CLog::Log

  [Roman Kraevskiy]
   * Mouse wheel support for X11-less linux distros (openelec)

  [Pär Björklund]
   * Removed default params as it made it very fragile which method actually got called

  [Kai Sommerfeld]
   * Revert "[PVR] Series Recordings: Reduce PVR_ADDON_TIMERTYPE_VALUES_ARRAY_SIZE value, avoiding too large data structures."

  [montellese]
   * jsonrpc: fix API definition for setting's "level"

  [Anton Fedchin]
   * [dx11] VideoRenderer: fix compiler warnings.

  [Anton Fedchin]
   * [dx11] CGUIShaderDX: a tiny optimization - Get rid of index buffer. Now we use triangle strip topology with special ordered vertices.

  [Anton Fedchin]
   * [dx11] CD3DHelper: No need to clear all 128 shader resources, clear really used only. Currently Kodi doesn't use more that 3 shader resources, but theoretically shadertoy screensaver/visualization can use up to 4 resources.

  [Anton Fedchin]
   * [dx11] CD3DEffect: cosmetics.

  [Anton Fedchin]
   * [dx11] WinVideoFilter: a little shaders optimizations.

  [Matthias Kortstiege]
   * [guilib] wrapmultiline for button control

  [Matthias Kortstiege]
   * [guilib] auto-width for togglebutton controls

  [Matthias Kortstiege]
   * [guilib] auto-width for button controls

  [Chris "Koying" Browet]
   * FIXUP: [droid;obb] be sure the obb dir exists

  [Chris "Koying" Browet]
   * FIX: [droid] broken video calibration

  [Chris Browet]
   * FIX: [droid] manually download obb if store failed

  [janbar]
   * [PVR] fix possible stack overflow

  [Pär Björklund]
   * Missing skinsetting tag is not an error and shouldn't be treated as one, thought logging might still be useful but shouldn't be a warning as it's not really an issue

  [ace20022]
   * [libexif] Add an own field for XP comments.

  [ace20022]
   * [fix][libexif] Force text fields to be null-terminated.

  [ace20022]
   * [libexif] Increase the possible length of a comment according to the specification.

  [ace20022]
   * [fix][libexif] Fix possible buffer overrun.

  [ace20022]
   * [fix][libexif] Fix mixing of file comments and exif comments.

  [ace20022]
   * [fix][libexif] Prevent possible buffer overrun for XP comments.

  [Pär Björklund]
   * Rework the move constructor a bit to make it safe and proper. Not runtime tested yet because of other issue

  [Olaf Hering]
   * Adjust return in GetModificationDate

  [Kai Sommerfeld]
   * [PVR] Timer settings dialog: Forcing 'first day' to at least today is pointless

  [Kai Sommerfeld]
   * [PVR] CPVRTimerInfoTag::CreateFromEpg: Fixed initialization of new timer's summary (m_strSummary does not contain the plot of the event to record, but a text representation of the timer's schedule)

  [Kai Sommerfeld]
   * [PVR] CPVRTimerInfoTag::UpdateSummary: Add support for 'first day', fix support for 'any time'.

  [Kai Sommerfeld]
   * [PVR] Timer settings: Cleanup: Removed unused variable.

  [hudokkow]
   * [langinfo] Remove unused code

  [Olaf Hering]
   * Remove cast in CProfile::Load

  [Olaf Hering]
   * [guilib]: add braces in GetLabel

  [Olaf Hering]
   * Always return a CDateTime in GetModificationDate

  [Olaf Hering]
   * configure.ac: update verification of shairplay

  [Pär Björklund]
   * Changed method signatures to use CVariant instead of const CVariant&

  [Pär Björklund]
   * CVariant fixes

  [Stefan Saraev]
   * [cleanup] DVDInputStreamTV is now unused

  [Stefan Saraev]
   * [cleanup][pvr] fs providers are no more

  [Stefan Saraev]
   * [cleanup] remove slingbox

  [Pär Björklund]
   * Added detection for Windows 10 in systeminfo

  [Matthias Kortstiege]
   * [guilib] fadelabel not reading scroll tag

  [hudokkow]
   * Drop internal HDHomeRun support

  [phil65]
   * [guilib] - nuke Container.Sort InfoLabel

  [phil65]
   * [guilib] add Container.SortOrder InfoLabel

  [Matthias Kortstiege]
   * [guilib] fix label overlap in radiobutton control (#15854)

  [Matthias Kortstiege]
   * [guilib] use textcolor from labelInfo for textboxes

  [Matus Kral]
   * [CURL] xbmc/URL.cpp adapted to parse URI containing IPv6 address.

  [Olaf Hering]
   * [cximage]: use integers for arithmetic in CxImage::CheckFormat

  [Olaf Hering]
   * [cximage]: remove undefined operation on variable in dcr_sony_decrypt

  [Olaf Hering]
   * [cximage]: remove warning about statement with no effect

  [Olaf Hering]
   * [cximage]: remove undefined operation on variable

  [Razzee]
   * Added dateAdded to song table for musiclibrary and ask the user to refresh musiclibrary Added the "date added" sorting to some musiclibrary views Show the date that we sort by in these views AdvancedSettings for musiclibrary can now handle dateadded like videolibrary already does Handle the extraction of the file added date in one place (for music database and video database)

  [Matthias Kortstiege]
   * fix a few coverity warnings

  [phil65]
   * [cosmetics] - fix method typos ("Availalbe" --> "Available")

  [Chris Browet]
   * cosmetic: misplaced parenthesis

  [Kai Sommerfeld]
   * [PVR] Series Recordings: Reduce PVR_ADDON_TIMERTYPE_VALUES_ARRAY_SIZE value, avoiding too large data structures.

  [Kai Sommerfeld]
   * [PVR] Series Recordings: Coverity. Only use dynamic_cast if you really don't know the actual type.

  [Kai Sommerfeld]
   * [PVR] Series Recordings: Some minor changes requested by opdenkamp

  [Kai Sommerfeld]
   * [guiinfo] Fix listitem.hastimerschedule

  [Kai Sommerfeld]
   * [PVR] Series Recordings: Fix Coverity warnings

  [Pär Björklund]
   * Recent merge broke project files, missing closing xml tag

  [Sam Stenvall]
   * [pvr] bump pvr.vbox to v2.0.1

  [Matthias Kortstiege]
   * [smartplaylist] fix broken genre after PR7347 (closes #16104)

  [phil65]
   * [Confluence] Fix for widget labels (labels out of sync)

  [Memphiz]
   * [ios/docs] - mention support for xcode6.4 and ios sdk 8.4 (verified working)

  [Memphiz]
   * [ffmpeg/osx] - add --disable-securetransport to configure to prevent linkage against libsecurity_ssl (gnutls provides the functionality - but ffmpeg autodetect fails and tries to do it the appl/libsecurity_ssl way)

  [Memphiz]
   * [AirTunes] - implement the progress callback and alter time and totaltime of the player accordingly

  [Memphiz]
   * [PaPlayer] - allow to set time and totaltime from the outside - used for injecting the time/totaltime metadata during airtunes streaming

  [Memphiz]
   * [AudioDecoder] - allow injection of TotalTime into the decoder - needed for decoders which don't have duration information (like with airtunes where the duration is set from the outside - not through the stream data)

  [Memphiz]
   * [IPlayer] - add methods for injecting totaltime and time - this is needed for airtunes where we basically play an endless stream and need to inject current platime and duration of the tracks which are selected in the client

  [Memphiz]
   * [AirTunes] - add support for png coverart - not only jpg

  [Memphiz]
   * [airtunes] - add support for remote controlling the client via DACP

  [Memphiz]
   * [network/dacp] - add subset of DACP (Digital Audio Control Protocol) implementation for usage with airtunes clients

  [Memphiz]
   * [depends+win32/shairplay] - bump libshairplay to current master (contains png coverart support, dacp remote control support, progress support) - also drop all patches because there were upstreamed 100%

  [ace20022]
   * [libexif] Add processing of comment tags used by Windows.

  [uNiversaI]
   * [AutorunMediaJob] make hardcoded strings translatable

  [Memphiz]
   * [gl/gles] - check the return code of glGetString - it can return 0 on error (and leads to crash if assigned to std::string afterwards)

  [Memphiz]
   * [ios/windowing] - check the return code of glGetString - it can return 0 on error (and leads to crash if assigned to std::string afterwards)

  [hudokkow]
   * [GUIWindowSystemInfo.cpp] Cosmetics

  [hudokkow]
   * [System Info] Separate build date from build info

  [uNiversaI]
   * [confluence] update info formatting in SettingsSystemInfo

  [uNiversaI]
   * [cosmetics] some cleanup on spelling/capitalisation & xbmc -> kodi

  [montellese]
   * CSkinInfo: support saving skin settings as addon data instead of in guisettings.xml

  [Matthias Kortstiege]
   * [xcode] sync xcode for move sysinfo out of infomanager

  [Matthias Kortstiege]
   * [videodb] cleanup dupe/obsolete code

  [Matthias Kortstiege]
   * [smartplaylist] fix musicvideo grouping by artist

  [uNiversaI]
   * [confluence] fix missing "Not Rated" condition

  [montellese]
   * CPeripherals: update CGUIDialogPeripheralManager asynchronously to avoid deadlocks

  [Pär Björklund]
   * Removed HAS_SYSINFO as it doesn't seem to be used for any platform

  [Pär Björklund]
   * Moved a few functions from infomanager to sysinfo moved labels to a separate file removed a few includes to infomanager that only needs the label

  [Tobias Markus]
   * Fix another instance of coverity #719001

  [fritsch]
   * FFmpeg: Bump to version 2.7.1

  [fritsch]
   * GUIInfoManager: Remove fps completely

  [fritsch]
   * CodecScreen: Remove fps

  [Chris "Koying" Browet]
   * FIX: [amc] do not fail if stream is already annexB

  [Matthias Kortstiege]
   * [confluence] get rid of iCCP warnings from libpng

  [Martijn Kaijser]
   * drop old music and video database upgrade logic for pre-Frodo

  [Anton Fedchin]
   * [settings] AdvancedSettings: Enable DXVA HQ scalers by default.

  [Anton Fedchin]
   * [videorenderers] Optimized PS rendering by removing extra copying textures. Now CYUV2RGBShader uses YUVbuffer's textures instead of copy them.

  [Shine]
   * [win32] Make sure Kodi window is focussed before setting full screen

  [Anton Fedchin]
   * [rendering] Fix rendering with dirty region algorithm 1 and 2

  [Anton Fedchin]
   * [settings] AdvancedSettings: Removed dx9 related settings.

  [Anton Fedchin]
   * [win32/dx] Fixed segfault on feature level 9.1.

  [Anton Fedchin]
   * [win32] Removed 'DirectX vendor' and 'GPU temperature' from System Info - Video

  [Anton Fedchin]
   * [language.en_gb] Added new string for Checkerboard stereo mode.

  [Anton Fedchin]
   * [installer] Got rid of DX9 from installation package.

  [Anton Fedchin]
   * [visualization] MilkDrop: Rework to DirectX11.

  [Anton Fedchin]
   * [visualization] Waveform: Rework to DirectX11.

  [phil65]
   * [guilib] DialogKeyboard: Do not register input for buttons with id >= 500

  [Kai Sommerfeld]
   * [PVR] bump PVR addons

  [Kai Sommerfeld]
   * [PVR] bump PVR addon API version to 2.0.0

  [Chris "Koying" Browet]
   * FIX: [droid] no known working h264/hi10p h/w decoder. Exclude...

  [Anton Fedchin]
   * [visualization] DirectXSpectrum: Rework to DirectX11.

  [Anton Fedchin]
   * [visualization] Vortex: Rework to DirectX11.

  [Anton Fedchin]
   * [addons] ScreenSaver&Visualization: Change the assignment of device property of SCR_PROPS/VIS_PROPS. (DirectX11)

  [Anton Fedchin]
   * [windowing] WinSystem: Rework to DirectX11.

  [Anton Fedchin]
   * [utils] Screenshot: Rework to DirectX11.

  [Anton Fedchin]
   * [videosync] VideoSyncD3D: Rework to DirectX11.

  [Anton Fedchin]
   * [rendering] Rework to DirectX11.

  [Anton Fedchin]
   * [settings] AdvancedSettings: Added setting to switch off differed rendering.

  [Anton Fedchin]
   * [SlideShowPicture] Rework to DirectX11.

  [Anton Fedchin]
   * [guilib] Rework to DirectX11.

  [Anton Fedchin]
   * [cores] DummyVideoPlayer: remove unused methods calls.

  [Anton Fedchin]
   * [VideoRenderers] Rework to DirectX11.

  [Anton Fedchin]
   * [WinVideoFilter] Rework to DirectX11.

  [Anton Fedchin]
   * [dvdplayer][dxva] Rework to DirectX11.

  [Anton Fedchin]
   * [win32] Changed XBMC.vcxproj to compile with Windows Kit 8.1 instead of DirectX SDK

  [Anton Fedchin]
   * [win32] Added DirectX11 GUI shaders.

  [Anton Fedchin]
   * [win32] Added Effects11 project to solution.

  [Pär Björklund]
   * Silence warnings about forcing value to bool

  [fritsch]
   * PVR: Fix endless loop

  [popcornmix]
   * [omximage] Don't report failed decode of progressive jpegs as as error

  [popcornmix]
   * [omxplayer] Make unsupported when ac3transcode is enabled

  [popcornmix]
   * [rpi] Always add desktop resolution to supported list

  [macrule]
   * Changed SDTV resolutions to be treated similarly to HDMI resolutions in SetNativeResolution. This means that the SDTV interface is powered up and set to the right mode.

  [macrule]
   * Added private utility function to map a float display aspect, to the respective SDTV_ASPECT_* enum value.

  [macrule]
   * Added some vc_tv_* functions that were missing in DllBCM.

  [popcornmix]
   * egl: Treat unknown display aspect ratio as square pixel

  [Kai Sommerfeld]
   * [PVR] bump addons (PVR API version 1.9.7)

  [Kai Sommerfeld]
   * [PVR] Series recording support (incl. PVR addon API version bump to 1.9.7)

  [Kai Sommerfeld]
   *  [Confluence] redesign select dialog. credits @ronie

  [Kai Sommerfeld]
   * [settings] Add opaque data pointer to SettingConditionCheck callback function (needed by new timer settings dialog)

  [Matthias Kortstiege]
   * [videolibrary] fix sort by episodes (closes #15945)

  [Arne Morten Kvarving]
   * WIP: nonlinear stretch 16:9 setting for 4:3 video display

  [janbar]
   * [PVR] disable thumb extraction for pvr recordings (2)

  [Thomas Amland]
   * [addons] fix segfault on invalid context item visibility condition

  [Matthias Kortstiege]
   * [videodb] fetch season year based on first aired episode

  [Matthias Kortstiege]
   * [addons] fix addon info not opening from context menu (closes #16087)

  [mapfau]
   * [db] speedup of ResultQueries using string key reuse

  [Pär Björklund]
   * Fix missing includes for SortUtils.h

  [Martijn Kaijser]
   * bump to 16.0 alpha1 for development

  [Arne Morten Kvarving]
   * added: ability to open the smartplaylisteditor for a given playlist

  [Sam Stenvall]
   * [epg] adapt the progress texture's height to the actual height of the grid (fixes trac #15681)

  [montellese]
   * fix some warnings concerning type mismatches

  [montellese]
   * CAddon: support saving addon-specific user settings

  [montellese]
   * CAddon: fix the documentation of SettingsToXML()

  [montellese]
   * CAddon: make some settings related methods virtual

  [Tobias Markus]
   * coverity #719001: Free pCurr_dir_cache when going out of scope

  [montellese]
   * mysql: always check the result of mysql_store_result() against NULL (fixes #16071)

  [phil65]
   * [guilib] allow Control.SetFocus(CONTAINER_ID,ITEM_INDEX) for all container types

  [Tobias Markus]
   * Various cppcheck perf fixes

  [robwebset]
   * Clean up the way PlayingBackgroundMedia is read

  [Matthias Kortstiege]
   * [url] don't use # as separator for internal zip:// (fixes #16066)

  [mapfau]
   * Initalize vars claimed by valgrind / write classname instead 'PVR' in PVRChannelGroups:LOGDEBUG to make debugging easier

  [robwebset]
   * Updage Confluence hooks for TvTunes v5.0.0

  [evilhamster]
   * Prefer information from tags instead of cue files if there are one audiofile for each track and the tags contain information about artist, album and title.

  [evilhamster]
   * Added support for the musicbrainz "ARTISTS" tag in id3v2, ape, xiph.

  [AlwinEsch]
   * [epg] Swap everything from 'std::map<unsigned int, CEpg*>' to 'EPGMAP' and use auto

  [Alfredo Tupone]
   * Inject CPPFLAGS (e.g. to disable FORTIFY)

  [phil65]
   * [Python] add xbmcgui.Dialog().textviewer()

  [Ryan Saunders]
   * Improve Win32 build/download scripts. This change adds support for a KODI_MIRROR environment variable which, if set, overrides the default mirror URL of http://mirrors.kodi.tv. In the event that a package download fails, DownloadBuildDeps.bat will now suggest that the user manually choose an alternate mirror and re-run.

  [fritsch]
   * AESinkPULSE: Make buffer settings more failsafe

  [a11599]
   * [win32][fixed] Proper 24.0/60.0 Hz refresh rate in fake fullscreen mode

  [Philipp Te]
   * [guilib] add $ESCVAR[] infoformat to allow escaping of variables

  [arnova]
   * changed: On Curl retry perform a progressive Sleep() for tries > 1 to improve succesful recovery

  [arnova]
   * fixed: Don't call select() to sleep on windows as it doesn't work without a dummy socket

  [Marcus Wanner]
   * Make kodi-send.py cwd-independent.

  [Thomas Amland]
   * cleanup kai toast icon logic. use only one control

  [Fneufneu]
   * Avoid overflow in ljpeg_start().

  [arnova]
   * changed: Implement native Stat/Exists functions for Webdav

  [ronie]
   * add the option to conditionally include files

  [ace20022]
   * [swig] Use std::type_index instead of a homegrown implementation.

  [Alfredo Tupone]
   * use $(MAKE) instead of hardcoded make


  [da-anda]
   * [guilib] parse <depth> tag for constants

  [Matthias Kortstiege]
   * [guilib] simplify dirty region marking for fadelabels (fixes #16277)

  [Kai Sommerfeld]
   * Revert "[pvr] changed: also use CACHESTATE_PVR in dvdplayer when playing a recording that's still running"

  [Martijn Kaijser]
   * [win32] add screensaver add-ons to installer

  [Thomas Amland]
   * run repository update jobs in low pausable mode

  [Anton Fedchin]
   * [dxva] Re-factor: get rid of unneeded reference to decoder texture. Properly destroying resources during creating decoders views if something goes wrong.

  [Anton Fedchin]
   * [WinVideoFilter] Lower feature level for test shader. This fixes segfault in video drivers which support only FL9.1/9.2.

  [Anton Fedchin]
   * [dxva] Fix DXVA renderer color range.

  [ace20022]
   * [fix][gui] Fix multi images in grouplists/layouts. This fixes a regression introduced with cb2dd229ce5b6f479f9a6ebd51998831554d2ae2 .

  [LS80]
   * Fixed missing Python traceback caused by an invalid format string. Fixes #16274.

  [Achim Turan]
   * [library.kodi.audioengine] Fixing clumsy error mesage

  [Thomas Amland]
   * [addons] fix uninstalling of non-repository addons

  [Achim Turan]
   * [library.kodi.audioengine] [FIX CID 1324647] Fixing Null-checking "cb"

  [Sam Stenvall]
   * [pvr] fix invalid memory access when a PVR window is accessed before any clients have finished loading. Also introduce an event which gets triggered when an update is actually needed.

  [xhaggi]
   * [cleanup] get rid of unused window allow overlay code

  [Thomas Amland]
   * [addons] fix zip install after 61121d731

  [Thomas Amland]
   * [addons] fix bad error handling (returns int)

  [Thomas Amland]
   * log time of previous repository update to make it easier to detect database problems in the future

  [Thomas Amland]
   * [addons] fix repo last checked time not updating if not previously added

  [S. Davilla]
   * bump gas to https://git.libav.org/?p=gas-preprocessor.git;a=commit;h=5ab764742626598cb462bc86e2d04ac8001e05d7

  [S. Davilla]
   * docs, document what we are doing in depends

  [S. Davilla]
   * fixed, c++11 compiler warning

  [S. Davilla]
   * fixed, all our thread should be named

  [S. Davilla]
   * fixed, massive memory leak in DirectoryNode and some cosmetic cleanup. Basically CDirectoryNode::ParseURL creates a bunch of nodes then orphans them when browsing by file. Also StringUtils::Split can return a leading empty string for '/Users/Shared/Movies', and we add another one to path, which creates two root nodes. use StringUtils::Tokenize which does what we want. Side note: StringUtils::Split needs a refactor, iMaxStrings is size_t and the default value is zero and the very 1st thing it does is pre-decrement it which wraps it around to a very big number, sure, sure :)

  [S. Davilla]
   * fixed, memory leaks using VDA (both of them)

  [S. Davilla]
   * fixed, memory leak. Note to self, these routines attach but do not detach under 10.9.5

  [S. Davilla]
   * fixed, memory leaks in SMBFile, three tiny ones left to find.

  [S. Davilla]
   * fixed, clearerr return void

  [MilhouseVH]
   * [musicdb] Fix LIMIT IN which is not MySQL compatible - GetTop100AlbumSongs

  [MilhouseVH]
   * [musicdb] Fix LIMIT IN which is not MySQL compatible - GetRecentlyPlayedAlbumSongs

  [Martijn Kaijser]
   * fix c/p error in 3174a4f90c07d94c2075875af76c0414f5879b1f

  [fritsch]
   * WinSystemX11: D3DPRESENTFLAG_WIDESCREEN is not used anywhere

  [fritsch]
   * XRandR: Identify interlaced modes

  [anaconda]
   * [jsonrpc] Add "plot" property to VL.GetMovieSet/GetMovieSetDetails.

  [anaconda]
   * [videodb][infomanager] Add support for overview (plot) in movie sets.

  [fritsch]
   * Fix position outside of video for text based subs

  [Pär Björklund]
   * Add missing include of <utility>

  [Memphiz]
   * [touch] - fixed inertial scrolling - regression introduced in 987cacfd318cf12e27bbdf791952a3b090274a9a

  [Pär Björklund]
   * Remove .c_str() when calling exec and query as they take a const std::string&

  [Kai Sommerfeld]
   * [PVR][EPG] PVR API 4.0.0 Followup: Fixed signed/unsigned mismatch leftovers

  [Thomas Amland]
   * [addons] add missing implementations of IsInUse

  [Thomas Amland]
   * [addons] add missing implementations of SetDefault

  [Thomas Amland]
   * [addons] allow skins etc. to be activated via info dialog

  [ronie]
   * [Re-Touched] latest updates for Jarvis

  [Chris "Koying" Browet]
   * FIX: proper casting of file time TZ adjustment

  [metaron]
   * [PVR] implement Timer Type EPG Series Restrict Flag

  [metaron]
   * [PVR] API add Timer Type EPG Series Restrict Flag

  [metaron]
   * [PVR] [EPG] Database version 11 (add iFlags)

  [metaron]
   * [PVR] API Add EPG Flags

  [metaron]
   * [PVR] bump API version to 4.1.0

  [Pär Björklund]
   * Clean up dialognumeric a bit and get rid of the void*

  [fritsch]
   * AdjustRefreshrate: Don't switch to bogus AVR introduced modes

  [Mike Frysinger]
   * TexturePacker: use $PKG_CONFIG

  [Garrett Brown]
   * Fix c/p error in CVariant

  [Matthias Kortstiege]
   * [xcode] sync project file

  [Pär Björklund]
   * Reworked AutPtrHandle to make it a generic scopeguard

  [Anton Fedchin]
   * [cores] RenderManager::GetStats - now returns queue and discard separately. DVDPlayerVideo - ignore discard stats for dropping frame on rewind.

  [Anton Fedchin]
   * [cores] WinRenderer: fixed usage of processor size even if no hw decoder is used

  [JoethePartylion]
   * Fix empty VideoPlayer.Plot when playing recorded TV

  [fritsch]
   * DVDCodecUtils: Change to SWS_BILINEAR from SWS_FAST_BILINEAR (fix quality and segfault)

  [ronie]
   * [Confluence] add close button to numeric dialog - fixes #16244

  [Memphiz]
   * [cosmetics] - fixed typos

  [Memphiz]
   * [ios] - fix mapping of 3 finger taps

  [montellese]
   * movie sets: add new setting to control whether to show single movie sets as sets or not

  [montellese]
   * GroupUtils: add additional overloads for more control over the result

  [montellese]
   * GroupUtils: remove unused GroupAndSort()

  [fritsch]
   * AdjustRefreshrate: Switch to higher resolution depending on source dims

  [Achim Turan]
   * [library.kodi.audioengine] Adapt project files

  [Achim Turan]
   * [library.kodi.audioengine] ActiveAE extension to allow binary addon calls

  [Achim Turan]
   * [library.kodi.audioengine] Binary addon callback implementations

  [Achim Turan]
   * [library.kodi.audioengine] Basic binary addon AudioEngine implementation

  [DaveTBlake]
   * Fix repeated setting of playcount and compilation values (added in #8012)

  [Kolja Lampe]
   * [video] Don't save scraper settings if we exit out and not select the "ok" button

  [anaconda]
   * [video] Fix content type for special://videoplaylists

  [Chris "Koying" Browet]
   * FIX: [droid;storage] check readability last

  [Pär Björklund]
   * Revert this message sorting as it broke some stuff and was a dumb thing to do

  [montellese]
   * jsonrpc: fix Addons.SetAddonEnabled() for invalid addonid values

  [Kai Sommerfeld]
   * [Confluence] Removed media/flagging/audio/0.png (no longer used).

  [Kai Sommerfeld]
   * [guiinfo] (VIDEOPLAYER

  [Pär Björklund]
   * Don't parse the action in EventServer, Builtins want it unmodified

  [ace20022]
   * [gif] Handle the disposal method DISPOSE_BACKGROUND like the majority of browsers and image viewers. The former implementation was written in compliance with the specification.

  [ace20022]
   * [gif][cosmetics] Fix typos.

  [ace20022]
   * [gif] Fix possible access violation while reading from the color palette.

  [ace20022]
   * [gif] Skip frames with no color map (neither global nor local).

  [Thomas Amland]
   * [addons] change the update functionality to show a list of available versions to allow updating, downgrading and changing which repository to install from

  [Thomas Amland]
   * [addons] allow blacklisting without version (ie all version)

  [Thomas Amland]
   * [addons] fix realoading of downgraded addons

  [Thomas Amland]
   * [addons] add repository support for multiple versions of addons

  [Thomas Amland]
   * [addons] remove GetRepoForAddon and explicitly get the repo with the highest version

  [Thomas Amland]
   * [addons] refactror. move repository selection as high up in the api as possible

  [Thomas Amland]
   * [addons] add database support for multiple versions of addons

  [Memphiz]
   * [ios] - allow full codesign in after build phase for all identities if set

  [Memphiz]
   * [iOS] - disable Bitcode - it needs a deployment target of at least ios6

  [Memphiz]
   * [osx/cmake-native] - give a hint about our used native SDK - cmake might pick a wrong/non existing sdk (f.e. when running on 10.10 and having xcode7 with SDK 10.11 - it picks 10.10 which is non existent) for some reason (and bails out because it doesn't find curl for example) - simply use the latest sdk given by xcrun for native tools

  [amet]
   * [depends] - add zlib to libssh depends

  [amet]
   * [osx/ios/depends] - allow OSX SDK 10.11 and iOS 9 SDK

  [S. Davilla]
   * [ios/osx] - move those explicit dylib references from the xcode project to the xcconfig files (this leaves out the extension and fixes linking so that it now also finds tbd files)

  [S. Davilla]
   * [depends/libssh] - fixed typo (-fnostack-protector vs. -fno-stack-protector) - newest clang errors out on invalid params. Also nuke those libssh_threads dylibs too, not needed due to static linking

  [S. Davilla]
   * [osx/depends/samba] - changed, proper dylib version is name.number.dylib, not name.dylib.number. Just mv the number and do install_name_tool fixups

  [S. Davilla]
   * [osx/cmake-native] - patch cmake to also find tbd libraries on osx (this is the new dylib format in SDKs - some sort of text stubs)

  [Memphiz]
   * [osx] - add xcode7 support to osx readme

  [Memphiz]
   * [ios] - add xcode7 support to ios readme

  [Martijn Kaijser]
   * bump GUI ABI version to Kodi version 15 as minimum

  [Alwin Esch]
   * [pvr] remove not needed StringUtils::ToLower on RDS text line

  [Kai Sommerfeld]
   * [PVR] Get rid of magic numbers; use constant PVR_TIMER_NO_EPG_UID instead. Solve related signed/unsigned problems.

  [Kai Sommerfeld]
   * [PVR] Addon API: Changed type of PVR_TIMER.iEpgUid to unsigned int. Introduce constant PVR_TIMER_NO_EPG_UID.

  [Kai Sommerfeld]
   * [PVR] Get rid of magic numbers; use constant PVR_TIMER_NO_CLIENT_INDEX instead. Solve related signed/unsigned problems.

  [Kai Sommerfeld]
   * [PVR] Addon API: Introduce constant PVR_TIMER_NO_CLIENT_INDEX.

  [Kai Sommerfeld]
   * [PVR] Replace senseless functionality to keep timers scheduled by a repeating timer when deleting the repeating timer by the option to delete the repeating timer that scheduled a timer about to delete, if exists.

  [Kai Sommerfeld]
   * [PVR] Addon API: Remove parameter bDeleteScheduled from function DeleteTimer.

  [Kai Sommerfeld]
   * [PVR] Bump PVR addon API to 4.0.0

  [Matthias Kortstiege]
   * [strings] remove obsolete strings after #8011

  [montellese]
   * upnp: add support for user ratings

  [montellese]
   * platinum: add patch for f606fe4ca1f15a55411e45f528bcdb8f184d5a0c

  [montellese]
   * platinum: add xbmc:userrating for user ratings

  [montellese]
   * upnp: add support for countries

  [montellese]
   * platinum: add patch for d75e736

  [montellese]
   * platinum: add xbmc:country for countries

  [Stefan Saraev]
   * sqlite3: dont apply map_populate patch on android

  [Memphiz]
   * [ios] - add missing gesture swipe handlers for 2 and 3 finger swipes (fixes non mappable multi finger swipe gestures)

  [ace20022]
   * [fix][subs] Fix MicroDVD Subtitles after da80dbea8505ce655c728c012c05874db40bea09. The first 1024 bytes of the file were lost.

  [Alwin Esch]
   * [adsp] fix wrong TMSG_SETAUDIODSPSTATE id

  [Alwin Esch]
   * [adsp] add use of ACTIVE_AE_DSP_SYNC_ACTIVATE on ...PostMsg(TMSG_SETAUDIODSPSTATE...

  [montellese]
   * videodb: allow calling SetDetailsForSeason() for "All seasons"

  [Arne Morten Kvarving]
   * settings: default to visualization.spectrum, not visualization.glspectrum

  [Thomas Amland]
   * CGUIDialogSelect: cleanup Add/SetItems. pass const reference

  [Thomas Amland]
   * remove zip operation log spam

  [Pär Björklund]
   * Some cleanup, makes it easier to change format string

  [Alwin Esch]
   * Update .gitignore to ignore new Makefile's

  [ace20022]
   * [fix][udf] Free allocated memory in the destructor.

  [fritsch]
   * ffmpeg: Bump to 2.8.0-Jarvis-alpha3-HEVC

  [Alwin Esch]
   * [adsp] fix wrong used settings parameter

  [Alwin Esch]
   * [adsp] remove wrong description line

  [Alwin Esch]
   * [pvr] improve for loops in CPVRRadioRDSInfoTag

  [Alwin Esch]
   * [pvr] remove '- ' on radiotext info lists (News...), does not match text style

  [Alwin Esch]
   * [confluence] add missing 'Radio text info list' control id

  [Alwin Esch]
   * [pvr] improve RDS player and remove compiler warning

  [Alwin Esch]
   * [pvr] fix wrong value in RDS_ALBUM_TRACKNUMBER return

  [Alwin Esch]
   * [pvr] Sort included files alphabetical

  [Alwin Esch]
   * [adsp] improve for loops in CActiveAEDSPProcess, CActiveAEDSPAddonand and CActiveAEDSPDatabase

  [Alwin Esch]
   * [adsp] fix wrong error dialog text and usage of them

  [Alwin Esch]
   * [adsp] improve for loops in CActiveAEDSP

  [Alwin Esch]
   * [adsp] fix disabled add-on folder name check

  [Alwin Esch]
   * [adsp] remove wrong TMSG_SETAUDIODSPSTATE call

  [Rainer Hochecker]
   * builtins: adapt xcode project

  [Pär Björklund]
   * Fixed VS project files and a new nitpicks

  [Arne Morten Kvarving]
   * builtins: clean up includes and namespaces

  [Arne Morten Kvarving]
   * changed: get rid of old builtin command map

  [Arne Morten Kvarving]
   * move android related builtins to separate file

  [Arne Morten Kvarving]
   * move application related builtins to separate file

  [Arne Morten Kvarving]
   * move optical related builtins to separate file

  [Arne Morten Kvarving]
   * move player related builtins to separate file

  [Arne Morten Kvarving]
   * move picture related builtins to separate file

  [Arne Morten Kvarving]
   * move pvr related builtins to separate file

  [Arne Morten Kvarving]
   * move gui container related builtins to separate file

  [Arne Morten Kvarving]
   * move weather related builtins to separate file

  [Arne Morten Kvarving]
   * move CEC builtins to separate file

  [Arne Morten Kvarving]
   * move gui control builtins to separate file

  [Arne Morten Kvarving]
   * move gui builtins to separate file

  [Arne Morten Kvarving]
   * move profile related builtins to separate file

  [Arne Morten Kvarving]
   * move system builtins to separate file

  [Arne Morten Kvarving]
   * move skin builtins to separate file

  [Arne Morten Kvarving]
   * move addon builtins to separate file

  [Arne Morten Kvarving]
   * move library builtins to separate file

  [Arne Morten Kvarving]
   * add command provider hooks in CBuiltins

  [Arne Morten Kvarving]
   * changed: make CBuiltins a singleton

  [Arne Morten Kvarving]
   * relocate builtins to a subfolder

  [anaconda]
   * [application] Hide credentials for folder locations in debug logs.

  [montellese]
   * CGUIWindowMusicNav: get rid of the empty database control

  [Pär Björklund]
   * Fix formatting I messed up

  [Stanislav Vlasic]
   * AML: EGLNativeTypeAmlAndroid: Implement 480cvbs/i/p and 576cvbs/i/p modes

  [fritsch]
   * AESinkPULSE: Emulate periodSize as ALSA to stop fragmentation

  [Thomas Amland]
   * addon installer: remove referer code

  [ace20022]
   * [lang/settings] Separate StreamLanguagesFiller into AudioStreamLanguagesFiller, SubtitleStreamLanguagesFiller and SubtitleDownloadlanguagesFiller because of special entries.

  [montellese]
   * CFileItem: copy album artwork in SetFromAlbum()

  [montellese]
   * CMusicInfoTag: copy some missing information in SetArtist/SetAlbum/SetSong() (fixes #16232)

  [ace20022]
   * [lang] Remove Close Caption (cc) from the ISO_639_1 and ISO_3166_1 lists.

  [montellese]
   * CMusicInfoTag: use setters instead of direct member access

  [ronie]
   * [confluence] unify music library and files view

  [Arne Morten Kvarving]
   * fixed: don't execute extra fluff if listing failed

  [Arne Morten Kvarving]
   * add file node to default music library layout

  [Arne Morten Kvarving]
   * bye bye GUIWindowMusicSongs

  [Arne Morten Kvarving]
   * changed: integrate custom ::Update code from songs in to Nav

  [Arne Morten Kvarving]
   * changed: fold rename/delete for files into nav window

  [Arne Morten Kvarving]
   * changed: move handling of CDDB context button to base window

  [Arne Morten Kvarving]
   * changed: move handling of rip cd track context button to base window

  [Arne Morten Kvarving]
   * changed: add music scanning context button handling to base/nav window

  [Arne Morten Kvarving]
   * changed: add handling of sources context menu to nav/base window

  [Arne Morten Kvarving]
   * changed: move OnPrepareFileItems to music base class

  [Arne Morten Kvarving]
   * changed: move getdirectory code from music songs to music base

  [Arne Morten Kvarving]
   * changed: move handling of ACTION_SCAN_ITEM to music base class

  [Arne Morten Kvarving]
   * changed: move handling of CONTROL_BTNREC to music base class

  [Arne Morten Kvarving]
   * changed: move handling of CONTROL_BTNSCAN to base window

  [Arne Morten Kvarving]
   * changed: move CONTROL_BTNPLAYLISTS into music base window

  [Arne Morten Kvarving]
   * changed: move handling of GUI_MSG_DIRECTORY_SCANNED to base class

  [Arne Morten Kvarving]
   * changed: fold music song window ::PlayItem into base (and nav) class

  [Arne Morten Kvarving]
   * changed: remove implementation of OnRemoveSource to music base class

  [Arne Morten Kvarving]
   * changed: move the implementation of IBackgroundInfoLoader to music base class

  [Arne Morten Kvarving]
   * changed: move scanning related functions to music base window

  [Arne Morten Kvarving]
   * changed: move audio cd rip button handling to base music window

  [Arne Morten Kvarving]
   * added: quickpath support for files to music nav window

  [Arne Morten Kvarving]
   * changed: move GUI_MSG_NOTIFY_ALL+GUI_MSG_REMOVED_MEDIA handling to base window

  [montellese]
   * CGUIViewStateMusicSmartPlaylist: fix default sorting of songs over UPnP (fixes #16192)

  [Pär Björklund]
   * Remove auto_aptr as std::unique_ptr handles this just fine by specifying [] in the template type

  [Matthias Kortstiege]
   * [osx/ios] xcode sync for PR7800

  [Pär Björklund]
   * Add the ability to open dialogyesno by sending a threadmessage.

  [Kai Sommerfeld]
   * [Confluence] Home screen: Make system.date label wider

  [S. Davilla]
   * cleanup, no one uses the functions, drop a nuke

  [S. Davilla]
   * fixed compiler warnings, do not over-ride SDL defines with our own junk

  [S. Davilla]
   * cleansing, SDL what ?

  [S. Davilla]
   * removed, LockFree. Also not used since water made to wine

  [S. Davilla]
   * [ios] - only change scheduler on ios, not osx

  [S. Davilla]
   * fixed, memory leak. and rm results, no one cares

  [S. Davilla]
   * fixed, packedBuffer is an array, use the proper delete

  [S. Davilla]
   * [soloader] - remove debugoutput in global dtor again - those can cause crashes on exit.

  [S. Davilla]
   * removed, mediainfo has been going forever, why is this here ?

  [S. Davilla]
   * removed, DARWIN_NATIVE_ARCH does not exist and has not since Texturepacker was moved to depends

  [S. Davilla]
   * fixed, we do not own png object so do not manually release it

  [S. Davilla]
   * fixed, hidden collision with CSettingString:copy

  [S. Davilla]
   * fixed, NULL is not equal to zero, thank you

  [S. Davilla]
   * removed, SDL native. This should have been removed long ago when TexturePacker was nutered of SDL

  [S. Davilla]
   * fixed, signed/unsigned compiler warning by casting

  [ace20022]
   * [GUITexture] Fix animation delay "calculation".

  [ace20022]
   * [GUITexture] Make texture animations more accurate.

  [ace20022]
   * [TextureManager] Use new gif implementation and remove now obsolete AnimatedGif class.

  [ace20022]
   * [gif] Add proper gif implementation using giflib 4/5.

  [Kolja Lampe]
   * Ignore .vs folder in visual studio project Ignore removed visualization addons

  [fritsch]
   * ffmpeg: Disable videotoolbox on OSX

  [t4-ravenbird]
   * fix use of progress-dialog lines

  [fritsch]
   * FFmpeg: Bump to 2.8.0-Jarvis-alpha3

  [fritsch]
   * VAAPI: Use HEVC acceleration (ffmpeg 2.8+)

  [fritsch]
   * VDPAU: Use HEVC_MAIN GPU decoding (ffmpeg 2.8+) v2: Always use 16 ReFrames

  [montellese]
   * CImageResource: adjust IsAllowed() to also accept directory paths to be able browse directories for multiimage controls

  [Kolja Lampe]
   * [music] Make sure the node type is correct

  [Razzeee]
   * [cleanup] Removed unused declaration that crept in somehow

  [ace20022]
   * [depends] Add giflib.

  [wsnipex]
   * [depends] fix dcadec makefile to allow manual install

  [fritsch]
   * dcadec: Remove wrong AC_CHECK_LIB

  [fritsch]
   * DCADEC: Display real stream information - don't hide what we know

  [montellese]
   * [win32] TexturePacker: bump version to 1.0.4

  [Alwin Esch]
   * [pvr] Radio RDS - Add related parts to skin

  [Alwin Esch]
   * [pvr] Radio RDS - Add in legacy interface

  [Alwin Esch]
   * [pvr] Radio RDS - Add handling code

  [Alwin Esch]
   * [pvr] Radio RDS - Add related settings

  [Alwin Esch]
   * [pvr] Radio RDS - Add related strings

  [Alwin Esch]
   * [pvr] Radio RDS - Add related skin strings

  [AlwinEsch]
   * [pvr] Radio RDS - Add related gui images

  [Thomas Amland]
   * [addons] kill force parameter. logically dead code

  [Thomas Amland]
   * [addons] remove 'update' parameter. always called with true if addon is installed

  [Thomas Amland]
   * remove unused method

  [Thomas Amland]
   * [addons] dont attempt to install dependency if it's just disabled

  [Kolja Lampe]
   * [cleanup][music] Removed unneeded lines from SaveViewStates

  [popcornmix]
   * [DVDDemuxFFmpeg] Ignore extradata for unknown stream types

  [universal]
   * [readme] part 3 - fix comments.

  [Razzeee]
   * [musiclibrary] Made top albums sortable by play count

  [universal]
   * [readmes] Final revision

  [S. Davilla]
   * fixed, convertBaseToScreen is depreciated

  [S. Davilla]
   * fixed, c++11 compiler warnings

  [S. Davilla]
   * fixed, XBMCDelegate warnings

  [S. Davilla]
   * fixed GCRY_THREAD_OPTION_PTHREAD_IMPL is depricated, check for it

  [S. Davilla]
   * fixed linker warnings about PIC/PIE

  [Matthias Kortstiege]
   * [settings] remove rotate pictures using EXIF information setting

  [Matthias Kortstiege]
   * [settings] remove show EXIF picture information setting

  [universal]
   * [readme] typos and cleanup including whitespaces.

  [Kolja Lampe]
   * Corrected label order for songs when ordering by dateadded See https://github.com/xbmc/xbmc/pull/7884#discussion-diff-38898752

  [montellese]
   * [win32] TexturePacker: fix/cleanup include directories definition

  [montellese]
   * TexturePacker: properly write the path into the header followed by zeroes instead of garbage

  [Kolja Lampe]
   * Disable CPU temp test on windows

  [montellese]
   * settings: fix method signatures of overridden virtual methods

  [montellese]
   * CWakeOnAccess: replace OnSettingsSaved() with OnSettingChanged()

  [montellese]
   * CWinSystemX11: don't derive from unused ISettingCallback

  [popcornmix]
   * [visualisation] Don't restrict the sample buffer to 256 samples

  [popcornmix]
   * [mmalcodec] Use settings constants

  [popcornmix]
   * [omxplayer] Flush EOS from queue to avoid it turning up after a seek

  [Thomas Amland]
   * remove file operation log spam

  [evilhamster]
   * [music] Added a desc field for (album)artists to Song and Album, the field is used to keep the information from the tags for display purposes.

  [ace20022]
   * [guilib] The output buffer of IImage::Decode should be a const pointer rather than a pointer to a const value.

  [MilhouseVH]
   * [mysql]Add support for hyphenated database names when copying databases

  [Alwin Esch]
   * [depends] remove libmp3lame

  [S. Davilla]
   * fixed, AEDelayStatus is a struct, not a class

  [Kai Sommerfeld]
   * [PVR] Use custom setting list formatter for displaying days of week values.

  [Kai Sommerfeld]
   * [settings] CGUIControlListSetting: Add possibility to supply a custom formatter for label2.

  [Martijn Kaijser]
   * fix language strings after 0997117a659a09e7b1c5bcb110f3526ea16698be

  [Roman]
   * Fix: Disable unneeded flip of characters for hebrew/arabic languages

  [montellese]
   * [win32] provide bootstrap-addons.bat to execute binary addons bootstrapping

  [montellese]
   * [binary addons] replace all addons with a binary addons definition repository

  [montellese]
   * [binary addons] automatically bootstrap all default repositories and addons if no addon definitions are available

  [montellese]
   * [binary addons] provide a bootstrap buildsystem to download addon definitions

  [montellese]
   * [binary addons] add ADDONS_DEFINITION_DIR to be able to specify the directory containing the definitions for the addons to be built

  [montellese]
   * jsonrpc: fix CID 1273979

  [montellese]
   * jsonrpc: fix CIDs 1228813, 1228816, 1228817, 1228818, 1228823 and 1228824

  [montellese]
   * jsonrpc: fix CIDs 1194413, 1194414, 1194415, 1194416, 1213841 and 1213842

  [montellese]
   * JSONServiceDescription: fix CID 719179 and 719180

  [Kai Sommerfeld]
   * [Confluence]]PVR] Re-add channel icons before timer title (was accidentally removed with #7630)

  [NedScott]
   * Fix "menu" button for Android and linux.

  [Thomas Amland]
   * remove unused context menu id

  [Thomas Amland]
   * [addons] move LastUpdated from installer to repository updater

  [Matthias Kortstiege]
   * [osx/ios] xcode sync for repository updater

  [Thomas Amland]
   * add context menu for updating a single addon repository

  [Thomas Amland]
   * [addons] improve error handling in repository navigation

  [Thomas Amland]
   * [addons] fix repository install hooks

  [Thomas Amland]
   * [addons] rework repository updating

  [Arne Morten Kvarving]
   * copy config.site with friends to in-addon-tree autoconf dirs

  [wsnipex]
   * [depends] binary-addons: add X11

  [wsnipex]
   * [depends] binary addons: add CMAKE_LD_FLAGS to cmake toolchain file

  [wsnipex]
   * [depends] binary addons: add GLEW to addon depends on linux

  [wsnipex]
   * [cmake] pass DEPENDS_PATH to addons

  [montellese]
   * [win32] update build scripts to handle visualization addons

  [wsnipex]
   * remove visualizations fishbmc, goom, milkdrop, projectm, spectrum, vortex and waveform from tree

  [wsnipex]
   * remove rsxs from tree

  [wsnipex]
   * [binary addons] add visualizations fishbmc, goom, milkdrop, milkdrop2, projectm, spectrum, vortex and waveform

  [wsnipex]
   * [binary addons] add screensavers.rsxs

  [Arne Morten Kvarving]
   * added: special setting __addonpath__ to libXBMC_addon::GetSettings()

  [Matthias Kortstiege]
   * [confluence] remove obsolete windows from visible condition

  [MilhouseVH]
   * [videodatabase] Fix database version after #7561

  [Razzeee]
   * Fix fileutils test that failed on windows

  [Matthias Kortstiege]
   * [videodatabase] fix typo

  [ace20022]
   * Bump minimum libbluray version to 0.7.0 in configure.ac. Update README.linux.

  [montellese]
   * jsonrpc: fix Audio.Details.Base definition after 59cead53175c51e25d5d73b25e95cbf8d2d309e2

  [montellese]
   * CXbtFile: add include for hidden dependency (thanks notspiff)

  [h.udo]
   * [gui] drop video/music overlay dialogs leftover part II

  [ronie]
   * [Confluence] cosmetics after PR7857

  [Thomas Amland]
   * [addons] move installing for updates to addon installer

  [Razzee]
   * Added SORT_METHOD_VIDEO_USER_RATING to legacy code

  [Razzee]
   * tests: Added unit tests for user ratings (videodb)

  [Razzee]
   * Added user rating to json rpc for movie, tvshow, episode and musicvideo (get/set)

  [Razzee]
   * Added user rating to setInfo on ListItem

  [Razzee]
   * Added user rating to videoplayer and listitem for skinners Added label formatter for user rating Added IncreaseRating / DecreaseRating for video user ratings Added sorting option for user rating and show it in tvshows, episode and movie views

  [montellese]
   * jsonrpc: fix handling of default sort method "none"

  [Razzee]
   * Added user rating to musicvideo, movie, episode and tvshow databases Made user rating it scrapable

  [Matthias Kortstiege]
   * [videoinfodialog] cleanup obsolete and dupe code

  [Matthias Kortstiege]
   * [keymap] let ctrl+shift+r toggle dirty region visualization

  [Matthias Kortstiege]
   * [builtins] adds ToggleDirtyRegionVisualization builtin

  [h.udo]
   * [gui] drop video/music overlay dialogs leftover

  [xhaggi]
   * [input] fix long press fallback handling after #7846

  [Pär Björklund]
   * Added prebuilt libdcadec from same source as linux version

  [popcornmix]
   * [ffmpeg] Add support for libdcadec

  [Matthias Kortstiege]
   * [video] retrieve season poster via the thumbloader

  [ronie]
   * typo

  [BigNoid]
   * [guilib] Add randomize tag for fadelabels

  [Matthias Kortstiege]
   * [infomanager] add Container.Row/Column info label for panels

  [Matthias Kortstiege]
   * [peripherals] nuke PeripheralManager

  [Matthias Kortstiege]
   * [peripherals] use the actual device name for settings dialog header

  [Matthias Kortstiege]
   * [peripherals] pass peripheral device properties to settings dialog

  [Matthias Kortstiege]
   * [peripherals] use select dialog for listing devices

  [phil65]
   * [guilib] nuke VisualisationPresetList.xml

  [DaveTBlake]
   * Fix so that "Various artists" is displayed in the artists list just as it is when displaying artists for a specific genre.

  [Martijn Kaijser]
   * set version to 16.0a3

  [popcornmix]
   * [peripherals] Move initialisation after language init to fix notifications

  [montellese]
   * CVideoLibraryProgressJob: don't force the progress dialog/bar open in DoWork()

  [montellese]
   * CVideoLibraryRefreshingJob: always close the progress dialog after scraping

  [Matthias Kortstiege]
   * [infomanager] add Container.Content info label

  [ace20022]
   * [bluray][depends] Adapt libbluray makefile to libbluray 0.8.1 and add a patch for android (setmntent not defined).

  [ace20022]
   * [bluray] Add Abort implementation.

  [ace20022]
   * [bluray] Initialize m_angle.

  [ace20022]
   * [bluray] Fix bluray player language settings.

  [ace20022]
   * [bluray] Set persistent and cache directory.

  [ace20022]
   * [bluray] Set BLURAY_PLAYER_SETTING_PARENTAL and BLURAY_PLAYER_SETTING_PLAYER_PROFILE to recommended values.

  [ace20022]
   * [bluray] Use the region locale (country code) form the settings instead of hardcoded "us".

  [ace20022]
   * [bluray][settings] Add a Blu-ray region setting and use it.

  [ace20022]
   * [bluray] Move player setup to an own method and refactor it.

  [ace20022]
   * [bluray] Add PLAYMARK event.

  [ace20022]
   * [curl][udf] The separator between the image path and the file path (inside the image) must be '/'.

  [ace20022]
   * [win32][bluray] Update libbluray to version 0.8.1.

  [Pär Björklund]
   * Fix: Change parameter to CPVRChannelPtr

  [montellese]
   * CVideoLibraryRefreshingJob: ditch m_showDialogs in favor of CProgressJob::DoModal/IsModal()

  [metaron]
   * [PVR] search window add play recording to context menu

  [metaron]
   * [PVR] Fix crash in PVR search window context menu

  [Ben Avison]
   * Pre-populate the mmap'ed database file in SQLite.

  [Matthias Kortstiege]
   * [guilib] fix button label2 not updated after emptying

  [metaron]
   * [PVR][Confluence] Add EPG to search results window

  [arnova]
   * fixed: Enable retry without range set for e.g. broken HDHomerun servers (fixes #14204)

  [Ben Avison]
   * Enable SQLite to use mmap for file access.

  [janbar]
   * [PVR] Don't show 'will record' in EPG for inactive schedule

  [Matthias Kortstiege]
   * [videodb] add genre to episode_view

  [Matthias Kortstiege]
   * [video] add listitem audio/subtitle properties from streamdetails

  [Matthias Kortstiege]
   * [goom] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [dllloader] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [cdrip] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [epg] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [linux] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [dvdplayer] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [peripherals] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [dialogs] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [audioengine] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [input] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [interfaces] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [audiodsp] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [pictures] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [network] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [dbwrappers] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [listproviders] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [videoshaders] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [guilib] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [addons] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [utils] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [music] use std:: instead of using namespace std

  [Matthias Kortstiege]
   * [filesystems] use std:: instead of using namespace std

  [montellese]
   * CApplication: improve skin reloading in case theme/color/font is not default

  [Stefan Saraev]
   * [keymap] improve 'menu' keymaps

  [Stefan Saraev]
   * [input] added KEY_MENU to linux input

  [Matthias Kortstiege]
   * [video] fix missing container.art for movie sets

  [Matthias Kortstiege]
   * [video] fix title prompting in case the search returned no results

  [Anton Fedchin]
   * [GraphicContext] Use stereo strength setting instead of fixed value.

  [Anton Fedchin]
   * [language.en_gb] Added strings for stereo strength setting.

  [Anton Fedchin]
   * [windows] GUIWindowTestPattern: Don't adjust white and black levels for DirectX, they will be adjusted in shader.

  [Anton Fedchin]
   * [guilib] GUIFontTTF: Don't adjust color range for DirectX, it will be adjusted in shader.

  [Anton Fedchin]
   * [guilib] GUITextureD3D: Don't adjust color range, it will be adjusted in shader.

  [Anton Fedchin]
   * [guilib] GUIShaderDX: Added color adjustment to shaders for correct displaying limited color range.

  [Anton Fedchin]
   * [settings] Added new setting 'GUI Stereo Effect Strength'.

  [Anton Fedchin]
   * [guilib] GUIWindow: added new <depth> tag which define on how window will be "in front" or "in back" in stereo mode.

  [Anton Fedchin]
   * [guilib] ControlFactory: added new <depth> tag which define on how control will be "in front" or "in back" in stereo mode.

  [Anton Fedchin]
   * [guilib] CGUIControl: added parameter for stereo correction factor.

  [Anton Fedchin]
   * [GraphicsContext] Added methods SetStereoFactor/RestoreStereoFactor for stereo corrections.

  [Anton Fedchin]
   * [RenderSystem] SetCameraPosition: Added stereo correction factor parameter (default 0).

  [ace20022]
   * [ae] Fix copy-paste-error.

  [Stefan Saraev]
   * [cleanup] dont search for ogg/vorbis/vorbisenc shared libs

  [Chris Browet]
   * FIX: [amlegl] additional display modes

  [Chris "koying" Browet]
   * FIX: [amlegl] do not require RW on /sys/.../mode

  [Pär Björklund]
   * Fixed broken switch statement and moved it to it's own method to cut down on similar future issues. Added logging for unhandled values.

  [ace20022]
   * [Util] Make use of generalized ScanForExternalSubtitles(...) methods.

  [hudokkow]
   * [groovy] Move groovy to tools/codegenerator/

  [anaconda]
   * [videodb] Never clean empty TV shows if the path still exists.

  [Matus Kral]
   * [CEC] change bool setting "pause playback on changing source" into tristate option with possible settings: 1. do nothing (as was before) 2. pause playback (as was before) 3. stop video, keep playing audio

  [ace20022]
   * [Util] Generalize external subtitle retrieval method(s). This adds the following protected methods.

  [Martijn Kaijser]
   * [pydocs] cosmetics

  [hudokkow]
   * [groovy] Update to 2.4.4

  [Matthias Kortstiege]
   * [music] fix missing lyrics from tag when playing from musicdb url (fixes #16216)

  [Mike Frysinger]
   * kodi.sh: use portable printf

  [Tobias Markus]
   * Fix coverity #1312063 and #1312064: Pass big parameter by reference instead of value

  [montellese]
   * [win32] fix minimum required CMake version for generator expressions

  [arnova]
   * changed: When matching articles, ignore their case

  [montellese]
   * CDirectoryProvider: support "sortby" and "sortorder" attributes

  [montellese]
   * [binary addons] fix android by using TARGET_LINKER_FILE_NAME instead of TARGET_FILE_NAME

  [Pär Björklund]
   * CancelAlarmclock didn't understand silent as a parameter and with the addition of event logging it started displaying a toast

  [montellese]
   * SmartPlaylist: use the new SortUtils helper methods

  [montellese]
   * JSON-RPC: use the new SortUtils helper methods

  [montellese]
   * SortUtils: add methods to translate sort methods/orders from/to string

  [Matthias Kortstiege]
   * [infomanager] add System.HasHiddenInput info bool

  [wsnipex]
   * [binary addons] Allow regex patterns in ADDONS_TO_BUILD

  [Matthias Kortstiege]
   * [dialog] use DialogOK as basis for the gamepad dialog

  [Matthias Kortstiege]
   * [video] nuke GUIDialogFileStacking

  [Matthias Kortstiege]
   * [video] use select dialog for play stacked part selection

  [Pierre Bureau]
   * [CONTAINERART] Fix Container.Art property for artist directories

  [ace20022]
   * Avoid access violations when a lib couldn't be loaded.

  [Rainer Hochecker]
   * dvdplayer: set default screen region for dvb subs

  [metaron]
   * [PVR] Timer Setting Dialog: only supported anytime

  [metaron]
   * [PVR] Timer settings dialog: Start/End display fix

  [Achim Turan]
   * [ActiveAE] Added new interface method GetCurrentSinkFormat(...)

  [Achim Turan]
   * [AEUtils] Added copy operator to AEAudioFormat

  [Matthias Kortstiege]
   * [settings] ensure year string is at the end in clean datetime regexp

  [Chris "Koying" Browet]
   * Revert "[aml] - fix draining message queue"

  [Matthias Kortstiege]
   * [confluence] disable vis preset button in case there are no presets available

  [Matthias Kortstiege]
   * [infomanager] add Visualisation.HasPresets info bool

  [Thomas Amland]
   * [gui] fix CGUIDialogSelect::GetSelectedItem not returning the selected item

  [Anton Fedchin]
   * [dx11] CProcessorHD: Get rig of unneeded std::map.

  [Anton Fedchin]
   * [dxva] CProcessorHD::Convert - Optimize method with sse2 instructions.

  [Anton Fedchin]
   * [dx11] Moved CDVDCodecUtils::CopyDXVA2Picture to WinRenderer and optimize copying a DXVA texture to YUV buffer with sse4.

  [ronie]
   * [Re-Touched] update

  [ronie]
   * [Confluence] remove dead code

  [Matthias Kortstiege]
   * [grouplist] factor out control on screen detection code

  [Thomas Amland]
   * [lang] sort special values for preferred subtitle/audio language on top

  [Matthias Kortstiege]
   * [guilib] add Container(id).Position for grouplist controls

  [Matthias Kortstiege]
   * [guilib] move infolabel functions to GUIControlGrouList

  [metaron]
   * [PVR] Implement: Recording scraper support / UI

  [metaron]
   * [PVR] Doc Only: Doxy syntax correction

  [metaron]
   * [PVR] Doc Only: iLifetime list purpose

  [Ryan Gribble]
   * [PVR] Implement: Add menu visibility controls

  [metaron]
   * [PVR] API: Add menu visibility controls for timers

  [Ryan Gribble]
   * [PVR] Implement: MaxRecordings list

  [metaron]
   * [PVR] API: Add maxRecordings

  [metaron]
   * [PVR] API: Add Recording scraper support

  [metaron]
   * [PVR] Implement: Add boolean control of Any Time

  [metaron]
   * [PVR] API: Add boolean control of Any Time

  [metaron]
   * [PVR] API 3.0.0 Version Bump

  [evilhamster]
   * Updated addsong to check for iTrack aswell when checking for duplicates.

  [montellese]
   * CLangInfo: properly set the time format when setting/changing regions

  [Matthias Kortstiege]
   * [musiclibrary] add SortByArtistThenYear

  [Thomas Amland]
   * [lang] fix inconsistent naming of norwegian languages

  [uNiversaI]
   * [readme] fix crossguid install PREFIX

  [uNiversaI]
   * [crossguid] all: also check for installed location

  [Kolja Lampe]
   * Hide image when showing tracks

  [xhaggi]
   * [gui] drop video/music overlay dialogs

  [Tobias Markus]
   * Various cppcheck performance fixes

  [ronie]
   * [Confluence] cleanup

  [ronie]
   * [Re-Touched] update

  [Thomas Amland]
   * [addons] fix foreign filter after 'no' was changed to 'nb_NO'

  [Thomas Amland]
   * [lang] fix fallback after 'no' was changed to 'nb_NO'

  [Matthias Kortstiege]
   * [recentlyadded] fix empty LatestAlbum.Artist (closes #16200)

  [Matthias Kortstiege]
   * [recentlyadded] fix empty LatestAlbum.Artist (closes #16200)

  [Matthias Kortstiege]
   * [guilib] fix double memory free in panel container

  [ronie]
   * [Confluence] cosmetics

  [Rainer Hochecker]
   * [cmake] set CORE_SYSTEM_NAME on osx correctly

  [xhaggi]
   * [input] fix stack overflow in HasLongpressMapping

  [ronie]
   * [Confluence] fix watched flag in media info 3 view

  [xhaggi]
   * [cleanup] unify method name used for singleton pattern

  [Thomas Amland]
   * [addonbrowser] dont set content to "addons" for category listings and other menus

  [Thomas Amland]
   * [codegenerator] return None for null pointer, not empty vector

  [Thomas Amland]
   * [python] add multiselect dialog

  [Thomas Amland]
   * [gui] change CGUIDialogSelect::GetSelectedItems to return indices

  [Matthias Kortstiege]
   * [guilib] fix fadelabel always marked dirty

  [ronie]
   * [Confluence] numpad redesign

  [Anton Fedchin]
   * [guilib] GUIFontTTFDX: Fixed rendering of rotated text.

  [metaron]
   * [PVR] Timer settings dialog: Pre/post bugfix

  [ronie]
   * [Confluence] fix highlight on numpad buttons

  [ronie]
   * [Confluence] replace <angle> tag with animation

  [uNiversaI]
   * [readme] add uuid-dev / crossguid to dependencies

  [popcornmix]
   * [mmalrenderer] Use half rate deinterlace when playing video in background

  [popcornmix]
   * [mmalcodec] Tidy up debug logging for decode

  [popcornmix]
   * [omxplayer] Tidy up setting of timestamp flags

  [popcornmix]
   * [omxhelper] Ignore embedded coverart image when looking for supported video streams

  [popcornmix]
   * [omxplayer] Set audio properties for passthrough

  [popcornmix]
   * [omxplayer] Support per refresh rate display latency settings

  [popcornmix]
   * [omxplayer] Allow automatic switching back to omxplayer after it has been disabled

  [Kolja Lampe]
   * Added dateAdded to album and artist json-rpc

  [Kolja Lampe]
   * Call SetArtist with the artist object instead of the artist name

  [Kolja Lampe]
   * Added max dateAdded to artist and album

  [Anton Fedchin]
   * [guilib] TextureDX: fix texture updates. Now there is a possibility to update texture if it was created with default usage.

  [MilhouseVH]
   * [mysql] Fix incomprehensible error message

  [Pär Björklund]
   * Updated taglib that fixes a crash when playing flac files

  [popcornmix]
   * [mmaldecodec] Increase queue limit to 1 second to avoid stalls

  [popcornmix]
   * [mmalcodec] Use both dts and pts for determining amount of queued data

  [popcornmix]
   * [mmalcodec] Don't set initial unknown timestamps to zero

  [popcornmix]
   * [mmalcodec] Enable interpolate timestamps

  [popcornmix]
   * [mmalcodec] Populate the framerate of video decoder

  [popcornmix]
   * [rbp] Ignore pts value when m_hints.ptsinvalid set

  [Martijn Kaijser]
   * [gui] change some appearence settings from spinner to list

  [montellese]
   * CApplication: reloading the skin when changing themes must be done asynchronously (broken by 9e9396b073ba973b2847896a11244a9f37ecbaff)

  [montellese]
   * addons: simplify and document logic for broken add-on handling

  [montellese]
   * events: only log incompatible/broken add-ons that are installed

  [montellese]
   * CAddonInstaller: fix CheckDependencies() after 71b96140956936dfd366554e8806bed1b15d81f1

  [montellese]
   * fix CUtil::GetSkinThemes() to also handle xbt:// VFS paths

  [Martijn Kaijser]
   * [add-ons] sync with repo

  [Martijn Kaijser]
   * [cosmetic] fix incorrect string id start point

  [Thomas Amland]
   * [addonbrowser] refactor

  [Thomas Amland]
   * [addonbrowser] add 'look and feel' category

  [Matthias Kortstiege]
   * [videodatabase] fix 'replace file names with library titles' for folders containing a single series

  [montellese]
   * [win32] update pre-built TexturePacker.exe dependency

  [montellese]
   * [win32] fix missing include path to winres.h

  [montellese]
   * texturepacker: fix texturepacker not writing any frames

  [montellese]
   * texturepacker: derive CXBTFWriter from CXBTFBase instead of abusing CXBTFReader

  [montellese]
   * guilib: split CXBTFBase out of CXBTFReader

  [phil65]
   * [Confluence] - fix WindowOpen animation for Eventlog

  [montellese]
   * jsonrpc: add VideoLibrary.RefreshMovie/TVShow/Episode/MusicVideo

  [ronie]
   * [Confluence] epggrid - remove onback, menu key can now be used to focus the sidemenu

  [ronie]
   * [Confluence] add menucontrol to eventlog window

  [montellese]
   * CFileItem: fix GetBaseMoviePath() for folder-level sources

  [montellese]
   * cosmetic: use else if instead of if in CVideoInfoScanner

  [montellese]
   * video library: use CVideoLibraryQueue::RefreshItemModal

  [montellese]
   * CVideoLibraryQueue: add RefreshItem and RefreshItemModal

  [montellese]
   * refactor video item refreshing into CVideoLibraryRefreshingJob

  [MilhouseVH]
   * [mysql] Fix formatting arg that leads to segfault #2

  [MilhouseVH]
   * [mysql] Fix formatting arg that leads to segfault

  [montellese]
   * filesystem: make events:// available even if there's no network interface available

  [montellese]
   * filesystem: make resource:// available even if there's no network interface available

  [montellese]
   * filesystem: make bluray:// available even if there's no network interface available

  [montellese]
   * filesystem: make pipe:// available even if there's no network interface available

  [Frank Razenberg]
   * [keymap] undo workaround for volume adjustment issue

  [Frank Razenberg]
   * [action] Disregard sign of volume adjustment actions to match seeking behavior

  [uNiversaI]
   * [confluence] update bookmark OSD icon

  [xhaggi]
   * [cleanup] removes unused actions

  [Pär Björklund]
   * [xbmc][win32] Fixes side flyout appearing when using touch

  [xhaggi]
   * [settings] rename eventlog setting ids based on the convention

  [xhaggi]
   * [setting] hunt missing setting id constants

  [xhaggi]
   * [keymap] adjust keymaps to support the menu action

  [xhaggi]
   * [confluence] adds new menucontrol tag in related xml's

  [h.udo]
   * [json] Bump API

  [Arne Morten Kvarving]
   * [json] added: announce after audio library export

  [Arne Morten Kvarving]
   * [json] added: announce after video library export

  [Matthias Kortstiege]
   * [textbox] remove duplicate code

  [Matthias Kortstiege]
   * [infomanager] add Container(id).HasNext / HasPrevious for textbox controls

  [montellese]
   * events: fix showing event log from settings

  [montellese]
   * settings: use constants for event log settings

  [montellese]
   * CBaseTexture: support loading a (static) texture from an XBT file (and from resource addons)

  [montellese]
   * CImageResource: override CResource::GetFullPath() to forward paths to Textures.xbt if present

  [montellese]
   * CResource: add overridable GetFullPath()

  [montellese]
   * filesystem: add CXbtManager, CXbtDirectory and CXBtFile to implement xbt://

  [montellese]
   * filesystem: add Directorize helper function and use it in CZipDirectory::GetDirectory()

  [montellese]
   * add CXBTFFile::GetPackedSize()/GetUnpackedSize()

  [montellese]
   * refactor CXBTFFrame, CXBTFFile and CXBTFReader and get rid of CXBTF

  [Matthias Kortstiege]
   * [infomanager] add Container(id).CurrentItem / NumItems for grouplists

  [h.udo]
   * [Util.cpp] sap stream was dropped by mistake during HDhomerun cleanup

  [Stefan Saraev]
   * [binary addons] make sure CORE_SYSTEM_NAME is set

  [h.udo]
   * [pvr.dvbviewer] Point to master again now https://github.com/xbmc/xbmc/pull/7570 is in

  [hudokkow]
   * [Binary Add-ons] Point audio encoders/decoders to master instead of SHA

  [Anton Fedchin]
   * [GUIFontTTFDX] Optimized: don't change rendering state if there is nothing to render.

  [wsnipex]
   * [binary addons] fix addon.xml generation if addon.xml.in contains semicolons

  [Memphiz]
   * [Database/Import] - present the user with removable and network shares aswell when importing a database - same as the export database dialog provides

  [montellese]
   * [confluence] add EventLog.xml

  [Matthias Kortstiege]
   * [osx/ios] xcode sync

  [montellese]
   * [win32] update VS project files

  [montellese]
   * events: add and integrate CGUIWindowEventLog

  [montellese]
   * label formatter: add %d for date and time

  [montellese]
   * info manager: add ListItem.DateTime info label

  [montellese]
   * events: add events for files/directories that couldn't be scraped

  [montellese]
   * events: add events for addon installation/update/uninstallation/enabling/disabling/breaking

  [montellese]
   * addons: add FullType() to IAddon and a specialization to CPluginSource

  [montellese]
   * CAddonInstaller: add the possibility to retrieve the information about which addon dependency failed

  [montellese]
   * cosmetics in CGUIWindowAddonBrowser

  [montellese]
   * addon browser: only try to remove addons from the listing if GetDirectory() succeeded

  [montellese]
   * events: add some general events

  [montellese]
   * events: add specific IEvent implementations

  [montellese]
   * filesystem: add support for events://

  [montellese]
   * add event log infrastructure

  [montellese]
   * fix StringUtils::CreateUUID() by using crossguid

  [montellese]
   * [win32] integrate crossguid as a static library

  [montellese]
   * [depends] integrate crossguid as a static library

  [Anton Fedchin]
   * [GUIFontTTF] Fixed rounding X coordinate of a char if it has negative value.

  [Pär Björklund]
   * Fix endless loop during shutdown.

  [Matthias Kortstiege]
   * [infomanager] add System.HasModalDialog info bool

  [Memphiz]
   * Revert "[osx/XBMCHelper] - compile XBMCHelper as 64bit"

  [montellese]
   * [depends] integrate building libuuid for Linux/RBPi

  [xhaggi]
   * [gui] new action ACTION_MENU to focus menucontrol

  [Kai Sommerfeld]
   * [EPG] Fix: Respect view mode changes of EPG window when controlling number of epg data updates.

  [montellese]
   * cmake: automatically set the proper platform specific library in the addon.xml

  [montellese]
   * addons: support library_freebsd, library_rbpi, library_ios and library_windows in addon.xml

  [montellese]
   * [binary addons] bump platform and kodi-platform

  [h.udo]
   * [pvr.dvbviewer] Change back to SHA or it will continue to fail

  [ronie]
   * fix Window.IsMedia infobool

  [Kai Sommerfeld]
   * [PVR] Fix timer type compat code. Solves a crash with MediaPortal addon.

  [Kai Sommerfeld]
   * [PVR] Fix usage of PVR_TIMER_STATE_NEW.

  [Kai Sommerfeld]
   * [PVR] API docs: Changed description of PVR_TIMER_STATE_NEW to be more accurate.

  [Ryan Gribble]
   * CPVRChannel::SetEpgId() should flag the record as changed (and only be set if it isnt already)

  [arnova]
   * fixed: Watched overlay would not display if item was also (still) resumable (fixes #15766)

  [Thomas Amland]
   * change ui sound system to addons only

  [mapfau]
   * [epg] avoid PVR thread to persist epg tables directly (sync issue with epg thread)

  [Martijn Kaijser]
   * [pydocs] sortMethod list is already at the bottom of the page

  [fritsch]
   * [python] Add setContentLookup method

  [Chris "Koying" Browet]
   * squashme: after review longpress

  [Chris "koying" Browet]
   * ADD: [keyboard] allow to map long key presses

  [Thomas Amland]
   * [gui] fix confirm state not reset in CGUIDialogSelect

  [Martijn Kaijser]
   * [pydocs] cosmetics

  [Martijn Kaijser]
   * [pydocs] update sortMethods documentation

  [Memphiz]
   * [SectionLoader] - remove logging in D'Tor

  [xhaggi]
   * [confluence] merge guide/recording info dialogs into one DialogPVRInfo

  [xhaggi]
   * [pvr] use same skin XML for guide/recording info dialog

  [hudokkow]
   * [gitignore] Add libdvdcss artifact

  [Anton Fedchin]
   * [dx11] Don't cull a texture which is shown with reverse side.

  [taxigps]
   * fixed: can't set locale in right language and region

  [xhaggi]
   * [epg] trigger epgs create after we started the epg container

  [Kai Sommerfeld]
   * [PVR] 'Confim channel switch' only for up/down, not ch+/-

  [Memphiz]
   * [ios] - fix linkage for VTB framework for ios < 6 - fixes vtb on ios 5.x runtime

  [ace20022]
   * [coverity] Result is not floating-point. This commit deals with CID numbers: 1238561 1238569 1238573 1238592 1238593

  [taxigps]
   * [keyboard] support codingtable input and add Chinese BaiduPY/BasePY layouts

  [metaron]
   * [PVR] Conflence: Add EpisodeName to MyPVRChannels

  [xhaggi]
   * [gui] use a global enum to specify the default render orders

  [Martijn Kaijser]
   * [win32] remove old DirectX var from installer

  [ronie]
   * [pydocs] don't tell people to use os.getcwd()

  [xhaggi]
   * [settings] use setting id constants

  [Anton Fedchin]
   * [application] Moved call to PVRManager::SetWakeupCommand in PowerManager::OnSleep for execute it when a actual suspend/hibernate occurs.

  [ace20022]
   * [coverity] Add additional check to prevent an only theoretical out-of-bounds read from a buffer (CID #1248215) in StringUtils::​SizeToString(long).

  [xhaggi]
   * [settings] specifies constants for every setting id

  [enen92]
   * [pydocs] proper type and examples on Listitem.setInfo (cast and castandrole)

  [Kai Sommerfeld]
   * [PVR] Confirm channel switch when flipping through channel information in fullscreen.

  [Martijn Kaijser]
   * [pydocs] must use lowercase dictionary keys

  [Rainer Hochecker]
   * renderer: apply logic for overlapping only to guitext subs - fix wrong positions for DVB subs

  [Rainer Hochecker]
   * dvdplayer: ffmpeg subtitle codec does not know video size, drop guessing -> renderer knows

  [enen92]
   * [pydocs] Listitem addStreamInfo example (must use lowercase dictionary keys)

  [Anton Fedchin]
   * [PowerManager] Show dialog busy only when processing OnSleep.

  [Anton Fedchin]
   * [win32] Move call to SetSuspendState/InitiateShutdown out from main thread.

  [Kolja Lampe]
   * Fixed wrong variable names due to copy and paste

  [Martijn Kaijser]
   * [pydocs] fix wrong example

  [Matthias Kortstiege]
   * [infomanager] add Container.HasParent info bool

  [xhaggi]
   * [pvr] protect pvr windows against illegal gui messages if manager is not started

  [xhaggi]
   * [confluence] fix missing id for progressbar in progress dialog

  [Matthias Kortstiege]
   * [guilib] fix possible crash due to accessing non-existing layout

  [Matthias Kortstiege]
   * [guilib] make mouse wheel only move slider controls in case the actual slider is focused

  [Matthias Kortstiege]
   * [guilib] make mouse wheel only scroll spin controls in case the actual spinners are focused

  [xhaggi]
   * [gui] fix crash at destruction of CGUIWindowSplash

  [arnova]
   * changed: Rename cache: to forward: as that's what it really is

  [Memphiz]
   * [ios] - fix broken native keyboard on ios 5.1.1 devices (incompatiblity with ios8 sdk and old deployment target)

  [Martijn Kaijser]
   * sync scrapers with repo

  [ace20022]
   * [dvdplayer][subs] Add "forced only" to the preferred language list. Only forced subtitles matching the audio language are considered relevant.

  [ace20022]
   * [dvdplayer][subs] Add "none" to the preferred language list. It will disable any kind of available subtitles.

  [h.udo]
   * [pvr] Point add-ons to master instead of SHA

  [xhaggi]
   * [pvr][fix] limit numeric dialog to fullscreen/visualisation window (fixes #16167)

  [xhaggi]
   * [pvr] also register channel osd as observer for epg container

  [xhaggi]
   * [pvr] show progress dialog in pvr windows and wait until manager has be started

  [xhaggi]
   * [pvr] get rid of startup window handling in PVR manager

  [fritsch]
   * FFmpeg: Bump to 2.7.2-Jarvis-alpha1

  [Ryan Gribble]
   * While working on MaxRecordings, found bug where default RecordingGroup selection wasnt being populated on new timer

  [Matthias Kortstiege]
   * [guilib] update label color for sliderex controls

  [Thomas Amland]
   * [python] remove unnecessary copying

  [Thomas Amland]
   * [python] deprecate thumb/icon methods and args in favour of setArt

  [Thomas Amland]
   * [python] add icon support for setArt

  [Thomas Amland]
   * [python] add docs for ListItem constructor

  [phil65]
   * [CONFLUENCE] - fix wrong navigation in SmartPlaylistEditor.xml

  [Matthias Kortstiege]
   * [splash] centerCrop android splash

  [xhaggi]
   * [splash] updated splash - thanks da-anda

  [Matthias Kortstiege]
   * [guilib] only set label/label2 in case it changed

  [Matthias Kortstiege]
   * [guilib] use label2 to display the radiobutton value instead of a texture

  [xhaggi]
   * [pvr] limit invalidation of list items to once per 2 seconds for PVR windows

  [montellese]
   * cmake: rename "darwin" to "osx" in CORE_SYSTEM_NAME

  [montellese]
   * move logic to load platform specific addon library name into CAddonMgr::GetPlatformLibraryName()

  [montellese]
   * CAddonMgr: make GetExtValue() const

  [montellese]
   * cosmetic: fix indentation

  [Matthias Kortstiege]
   * [gitignore] don't clean Makefile in xbmc/main/posix/

  [wsnipex]
   * [cmake] resolve addon git branches/tags to hash

  [Thomas Amland]
   * [python] add 'mediatype' info label and remove implicit sets

  [montellese]
   * [binary addons] make addon source tarball caching option by introducing the ADDON_TARBALL_CACHING option

  [Martijn Kaijser]
   * bump to 16.0a2

  [montellese]
   * CProgressJob: cosmetics

  [montellese]
   * CProgressJob: don't set m_progressDialog to nullptr in MarkFinished() (partially reverts 658b0a21ed4a7443d6670fc6180d8dc2e9b2ca47

  [montellese]
   * CProgressJob: use MarkFinished() instead of manually calling CProgressDialog::Close()

  [xhaggi]
   * [gui][fix] progress dialog's canceled is never reset

  [Rainer Hochecker]
   * dvdplayer: drop work-around for very fast ff, obsolete after flushing render buffers correctly after seek

  [xhaggi]
   * [epg] start epg container asynchronously

  [Matthias Kortstiege]
   * [guilib] label2 colors need to be updated as well

  [Craig Andrews]
   * [rsxs] Use stdbool.h from GCC 5.2.0

  [ace20022]
   * [dsp] Fix CID#1312065 Uninitialized scalar variable.

  [Matthias Kortstiege]
   * [guilib] fix textbox textcolor not properly set

  [LS80]
   * [keymap] change 'mytv' remote mapping to open the TV Shows node

  [xhaggi]
   * [pvr] fix missing epg observable message handling in pvr windows

  [arnova]
   * changed: Prefer openssl over gnutls for libcurl for Linux and Ubuntu as it is more reliable

  [montellese]
   * [binary addons] bump audioencoder.flac/lame/wav to fix packaging

  [montellese]
   * [win32] support "package" option in make-addons.bat

  [montellese]
   * [binary addons] introduce PACKAGE_DIR variable to be able to specify where packaged addon archives should be copied to

  [Matthias Kortstiege]
   * [guilib] revert fix label overlap in radiobutton control

  [Matthias Kortstiege]
   * [guilib] fix hitrect for auto-width buttons

  [xhaggi]
   * [gui] fix resizing GUI during initialization

  [xhaggi]
   * [splash] get rid of obsolete message rendering

  [xhaggi]
   * [splash] make CSplash singleton

  [xhaggi]
   * [splash] get rid of obsolete thread stuff from CSplash

  [xhaggi]
   * [splash] get rid of hard-coded resolution

  [Matthias Kortstiege]
   * [application] remove unsused splash thread message

  [Matthias Kortstiege]
   * [splash] introduce splash also as regular window

  [Kai Sommerfeld]
   * [EPG] Jump to 'now' on init of EPG timeline view

  [Rainer Hochecker]
   * dvdplayer - consider clock not last frame on screen when going rewind

  [montellese]
   * [binary addons] add package-addons target to package all built addons

  [montellese]
   * cmake: fix addon packaging and installation

  [Memphiz]
   * [jenkins] - ensure that only the path workspace/addons is excluded from the clean - before it excluded workspace/xbmc/addons aswell which left the stale addons.a file around

  [Memphiz]
   * [buildsys/Make] - remove main.a from the list of DIRECTORY_ARCHIVES for preventing duplicate linkage when compiling unit tests

  [phil65]
   * [Confluence] - make use of new parametrized includes for wather part

  [uNiversaI]
   * fix trac 16159 Yes (single) / Separate is doing reverse

  [Anton Fedchin]
   * [dxva] Fixed: don't use DXVADDI_Intel_ModeH264_E decoder if source requires more than 11 references.

  [Anton Fedchin]
   * [dxva] Fixed: missed Intel Clear Video workaround after dx11 upgrade.

  [Memphiz]
   * [osx/ios/atv2] - synced xcode project

  [Thomas Amland]
   * [contextmenu] sort items in internal menus by name

  [Thomas Amland]
   * [contextmenu] use vector instead of map since we're mostly using linear search

  [Thomas Amland]
   * [contextmenu] rename m_iCurrentContextId to m_nextButtonId

  [Thomas Amland]
   * [contextmenu] rename Execute to OnClick

  [Thomas Amland]
   * [addons] rename ContextItemAddon to ContextMenuAddon

  [Thomas Amland]
   * [contextmenu] add support for sub-menus and multiple items

  [xhaggi]
   * [pvr] fix missing return in CGUIWindowPVRBase::OnBack (fixes #16150)

  [Matthias Kortstiege]
   * [dialog] fix indentation

  [montellese]
   * tests: fix TestDatabaseUtils.GetField_MediaTypeSong

  [montellese]
   * DatabaseUtils: songview.dateAdded can also be used in SELECT

  [Rainer Hochecker]
   * dvdplayer: fix waiting time for buffer when ff

  [Rainer Hochecker]
   * renderer: reset timestamp of current frame on flush

  [Rainer Hochecker]
   * dvdplayer: improve rw

  [Memphiz]
   * [osx] - reimplement Cocoa_GetVolumeNameFromMountPoint with a more current version - should fix strange crashes on some system with mounted HDDs

  [Rainer Hochecker]
   * dvdplayer - drop deferred release of hw decoder, not need after running hw decoders single threaded

  [Pär Björklund]
   * Fixes a crash when trying do delete a file in filemanager

  [Matthias Kortstiege]
   * [guilib] auto-width button needs resizing on label change

  [Matthias Kortstiege]
   * [guilib] wrapmultline for toggle button controls

  [Kai Sommerfeld]
   * [Confluence][PVR] Added EPG info area to PVR timer window.

  [Kai Sommerfeld]
   * [guiinfo] Added LISTITEM_EPG_EVENT_TITLE, extended LISTITEM_HAS_EPG to recognize timer info tags containing an epg info tag.

  [Kai Sommerfeld]
   * [guiinfo] remove DOS line ends introduced by 74262ffdc1d55b9d9991e2a47762b4f075930952

  [LS80]
   * Changed the mapping for the mceusb LiveTV button from 'mytv' to 'livetv'.

  [LS80]
   * Changed the mapping for the KEY_TUNER button from 'mytv' to 'livetv'. KEY_TV still maps to 'mytv'.

  [Rainer Hochecker]
   * dvdplayer - dispose ffmpeg hw decoder prior to opening a new one

  [Rainer Hochecker]
   * [aml] - fix draining message queue

  [ronie]
   * [Re-Touched] some updates for jarvis

  [ronie]
   * [Confluence] no

  [Kai Sommerfeld]
   * [guiinfo] Fixed PVR_STRINGS_END value in GUIInfoLabels.h

  [Sam Stenvall]
   * [dvdplayer] remove unused methods from DVDVideoCodec

  [Sam Stenvall]
   * [dvdplayer] do not access m_pVideoCodec from dvdplayer thread

  [Rainer Hochecker]
   * dvdplayer: drop speed adjust when buffer is full - with timeshift and server side buffering this case is normal

  [montellese]
   * [binary addons] turn PACKAGE_ZIP into a proper cmake option

  [montellese]
   * cmake: unify output of build messages by using message(STATUS ...)

  [Matthias Kortstiege]
   * [gitignore] don't clean Makefile in xbmc/messaging/

  [Martijn Kaijser]
   * [adsp] disable binary add-on until they build on all platforms

  [Memphiz]
   * [PosixClog] - ensure that file decriptor for logfile is NULL'ed in the d'tor to minimize issues when static/global object destruction order results in CLog accesses past destruction of the CLog instance

  [Kai Sommerfeld]
   * [PVR] gui info: Fix 'PVR.IsTimeshift' (PVR_IS_TIMESHIFTING)

  [metaron]
   * [PVR] Timer settings dialog: Add weekday for dates

  [metaron]
   * [PVR] Timer settings dialog: rename SetDateFromInt

  [metaron]
   * [PVR] Timer settings dialog: support unlisted date

  [metaron]
   * [PVR] Timer settings dialog: Start/end in the past

  [Martijn Kaijser]
   * add 16.x Jarvis repo

  [ace20022]
   * [gui] Use correct overload in the ShowAndGetInput hierarchy.

  [ace20022]
   * [gui] Initialize bool parameter before use (CID# 1311638).

  [Kai Sommerfeld]
   * [PVR] Fix gui info time format for timeshift buffer start, buffer end, playing time.

  [Rainer Hochecker]
   * [pvr] fix holding lock while querying backend

  [uNiversaI]
   * [Strings] Audio DSP string fixes

  [ace20022]
   * [subs] Use ISO 639-1 and addon languages for the "Languages to download subtitles for" setting.

  [ace20022]
   * [lang] Add installed languages to the list of possible stream languages.

  [Memphiz]
   * [ios/codesign] - if ldid was found - apply it to the kodi binary for fake signing it - this fixes runtime error on ios5.1 devices

  [Memphiz]
   * [ios/depends] - add ldid fake sign package to native depends

  [montellese]
   * settings: refactor handling of integer/string spinners/lists and add support for minimum/step/maximum in CGUIControlListSetting

  [montellese]
   * settings: add support for minimum/step/maximum in CSettingControlList

  [a11599]
   * [dx11] Fix AMD deinterlacing

  [Memphiz]
   * [osx/XBMCHelper] - compile XBMCHelper as 64bit

  [Kai Sommerfeld]
   * [PVR] bump addon pvr.hts

  [montellese]
   * settings: use range based for loop in CGUIControlBaseSetting and derived classes

  [Rainer Hochecker]
   * [pvr] fix stuttering indruduced by 9c3adb5a9f390ad73c52469ed79de297dad68d80

  [xhaggi]
   * [video] use action listener pattern for CPlayerController

  [uNiversaI]
   * [typos] fix typos RegisterReceveiver -> RegisterReceiver

  [Anton Fedchin]
   * [dx11] CD3DEffect::SetTexture - restored a missed expression.

  [Anton Fedchin]
   * [dx11] RenderSystemDX: Notify all about our resurrection after device re-creation also. This fixes issue with fonts after transition from window to full screen on another adapter.

  [Anton Fedchin]
   * [dx11] RenderSystemDX: Switch swap chain to windowed mode before destroying device. This fixes a possible crash into ID3D11DeviceContext::Flush if swap chain still in full screen mode.

  [uNiversaI]
   * [cosmetic] cleanup ident / alignment, spaces & boilerplate

  [Anton Fedchin]
   * [dx11] CD3DTexture::SaveTexture - fixed an amount of memory to save compressed (DX1/3/5) texture.

  [xhaggi]
   * [video] make CPlayerController singleton

  [Memphiz]
   * [ios/packaging] - ensure that the deb package has ios5.1 as minimum ios version

  [montellese]
   * [win32] fix VS 2013 solution

  [Rainer Hochecker]
   * dvdplayer: fix clockspeed adjust for non-resampling modes

  [xhaggi]
   * [guilib] fix modality handling of dialog slider (fixes #16140)

  [Pär Björklund]
   * Fix GUIInfoManager that got messed up with dsp merge

  [arnova]
   * changed: For memory file cache there's no point creating a bigger cache than filesize

  [uNiversaI]
   * Fix audio offset Dialog has no title

  [Martijn Kaijser]
   * [pvr] bump addons after 800a634e6a20345dc0fb28212720a5e972709812

  [Martijn Kaijser]
   * [adsp] set fixed git SHA for ADSP add-ons

  [Martijn Kaijser]
   * [win32] Use actuall add-on names instead of chopped addon-id in Windows installer;

  [Martijn Kaijser]
   * remove duplicate ;;

  [Martijn Kaijser]
   * [win32] Add ADSP option to Windows installer

  [Martijn Kaijser]
   * use CVariant for strings in dialogs

  [montellese]
   * [win32] cmake: no need to check for install permissions (avoid creating unneeded directories)

  [Rainer Hochecker]
   * dvdplayer: flush renderbuffers when flushing video player

  [wsnipex]
   * [linux] fix crashlog generation

  [Rainer Hochecker]
   * [pvr] - expose timeshift info to GUI

  [Kai Sommerfeld]
   * [EPG] Changed some CGUIEPGGridContainer member data types to get rid of some silly down casts.

  [Achim Turan]
   * [adsp] Added AudioDSP-System bypass functionality

  [Kai Sommerfeld]
   * [EPG] Refactored CGUIEPGGridContainer grid data update code.

  [xhaggi]
   * [guilib] fix hint text not shown in keyboard dialog

  [montellese]
   * [resource.images.weathericons.default] fix addon.xml missing import of kodi.resource (thanks uNiversaI)

  [AchimTuran]
   * [adsp] Add CApplicationMessenger receiver functionality to CActiveAEDSP

  [AchimTuran]
   * [CApplicationMessenger] Move RegisterReceiver(...) from CApplication::Initialize(...) to CApplication::Create(...), which connects CApplicationMessenger receivers earlier

  [AchimTuran]
   * [add-ons] adapt libXBMC_addon helper class dlfcn-win32 include path

  [AlwinEsch]
   * [adsp] Add CMake addon build environment

  [AlwinEsch]
   * [adsp] Add dsp processing setting dialog selection to music and pvr channels context menu

  [AlwinEsch]
   * [adsp] Add send of ffmpeg info data to dsp addon

  [AlwinEsch]
   * [adsp] Add dsp processing setting dialog selection to player dialog

  [AlwinEsch]
   * [adsp] Add adsp mode processing chain settings dialog

  [AlwinEsch]
   * [adsp] Add audio dsp information to CGUIInfoManager

  [AlwinEsch]
   * [adsp] Add gui sound playback with selectable channel position on dsp addon callbacks

  [AlwinEsch]
   * [adsp] Add adsp addon callback helper library

  [AlwinEsch]
   * [adsp] Add basic audio dsp addon handling structure

  [AlwinEsch]
   * [adsp] Add dsp related strings

  [AlwinEsch]
   * [adsp] Add CAEChannelInfo CAEUtil::GetAEChannelLayout(uint64_t layout)

  [AlwinEsch]
   * [adsp] Add audio dsp addon header and function defination files

  [AlwinEsch]
   * [adsp] Add dsp related gui images

  [popcornmix]
   * [dllloader] Fix logging of dlls without absolute path

  [Martijn Kaijser]
   * set BICUBIC as default picture scaling algorithme

  [Rainer Hochecker]
   * dvdplayer: fix mimetype after 89538103d60f64106f8ad998427c7286a3766244

  [metaron]
   * [PVR] Ignore article & folders when sorting Timers

  [xhaggi]
   * [guilib] fix first letter remains visible in keyboard dialog

  [h.udo]
   * [pvr] Bump add-ons for alpha1

  [ronie]
   * [Confluence] disabled textures + version bump

  [ronie]
   * rename weather icon type

  [janbar]
   * [PVR Addons] Fix XbmcStreamProperties::GetStreamData

  [xhaggi]
   * [guilib] fix cursor not always shown in keyboard dialog (fixes #16134)

  [uNiversaI]
   * [confluence] uppercase icon name and allow separate icons

  [Pär Björklund]
   * Fixed progress bar not showing for library scanning and probably a few other dialog issues

  [bryanbrazil]
   * [python] add disabled textures for radio buttons and spin controls

  [bryanbrazil]
   * [guilib] add disabled textures for radio buttons and spin controls

  [uNiversaI]
   * [confluence] fix overlapping mutebug on musicvisualization and OSD

  [Pär Björklund]
   * Fixed jsonrpc playback that hadn't survived the rework, closes #16129

  [Pär Björklund]
   * Fix for nullptr deref check that was wrong

  [Pär Björklund]
   * Fix indentation that I broke

  [Kai Sommerfeld]
   * [EPG] Reduce lagging of EPG window during EPG data grid updates.

  [Kai Sommerfeld]
   * [EPG] Fix EPG grid container control concurrency issue (making it threadsafe for that particular case).

  [Kai Sommerfeld]
   * [EPG] Use key 'remote 0' to jump to 'now' in EPG window.

  [Kai Sommerfeld]
   * [EPG] Fix EPG window view port jumping to 'now' on every EPG data grid update.

  [Matthias Kortstiege]
   * [cosmetic] use %"PRIuS instead of %zu

  [Matthias Kortstiege]
   * [pvrguiinfo] silence compiler warning

  [Matthias Kortstiege]
   * [pvrtimer] m_iTypeId is unsigned int

  [Matthias Kortstiege]
   * [pvrtimer] remove unused variable

  [Matthias Kortstiege]
   * [epginfotag] initialize members in the order they were declared

  [Matthias Kortstiege]
   * [databases] silent UpdateFileDateAdded compile warnings

  [Memphiz]
   * Revert "dummy commit"

  [montellese]
   * don't mess with the long and short date formats defined in langinfo.xml

  [janbar]
   * [PVR] fix timer deletion

  [Martijn Kaijser]
   * exclude resource:// from texture caching as these are always local addons

  [Pär Björklund]
   * dummy commit

  [Pär Björklund]
   * Clean up ApplicationMessenger

  [ronie]
   * [Re-Touched] update

  [Pär Björklund]
   * Reworked initialization for win32

  [xhaggi]
   * [gui] fix modality type of skin custom dialogs

  [Anton Fedchin]
   * [dx11] Fixed creating device on GPU whose driver not supports DX11 video API.

  [montellese]
   * fix musicvideo artist artwork not being loaded from the musicdb (fixes #16120)

  [montellese]
   * [win32] add system/ssleay32.dll to .gitignore

  [montellese]
   * cosmetics: remove some trailing whitespaces

  [montellese]
   * CHttpRangeUtils: don't build multipart-boundary related methods if webserver is disabled

  [montellese]
   * [Makefile.in] integrate python/legacy archives into the general list

  [montellese]
   * [Makefile.in] only build xbmc/interfaces/legacy/wsgi/legacy-wsgi.a if webserver is enabled

  [montellese]
   * [configure.ac] only generate xbmc/network/httprequesthandler/python/Makefile if webserver is enabled

  [Kai Sommerfeld]
   * [EPG] Fix init and update of EPG window.

  [hudokkow]
   * [std cleanup] xbmc/playlists/

  [hudokkow]
   * [std cleanup] xbmc/profiles/

  [hudokkow]
   * [std cleanup] xbmc/settings/

  [hudokkow]
   * [std cleanup] xbmc/storage/

  [hudokkow]
   * [std cleanup] xbmc/video/

  [hudokkow]
   * [std cleanup] xbmc/view/

  [hudokkow]
   * [std cleanup] xbmc/win32/

  [hudokkow]
   * [std cleanup] xbmc/windowing/

  [hudokkow]
   * [std cleanup] xbmc/windows/

  [hudokkow]
   * [std cleanup] xbmc/

  [uNiversaI]
   * [baserenderer] make ViewModeStretch16x9Nonlin fall in range

  [Ryan Gribble]
   * [pvr] Show ParentItem ".." label when displaying children of repeating timers (whilst honoring the GUI Appearance setting for this behaviour)

  [xhaggi]
   * [guilib] fix dirty regions because it evaluates always to true

  [ronie]
   * add Skin.ToggleDebug function

  [ronie]
   * [Confluence] remove zorder

  [enen92]
   * [buitins] Rename StartPVRManager and StopPVRManager to PVR.StartManager and PVR.StopManager. Marking older functions as deprecated

  [enen92]
   * [builtin] Add PVR.SearchMissingChannelIcons

  [xhaggi]
   * [interfaces] fix render order of addon dialogs

  [sialivi]
   * [DirectoryNode] add 'All albums' option

  [Pär Björklund]
   * Got rid of boost::totally_ordered from AddonVersion

  [montellese]
   * webserver: support specifying the scaling algorithm in image:// transformation URLs

  [montellese]
   * CTextureCacheJob: support "scaling_algorithm" option in image:// URLs

  [montellese]
   * CPicture: fall back to image scaling algorithm from advancedsettings.xml if none is passed to CacheTexture()

  [montellese]
   * CAdvancedSettings: add <imagescalingalgorithm>

  [montellese]
   * CPicture: add possibility to specify the scaling algorithm

  [montellese]
   * pictures: add CPictureScalingAlgorithm helper class

  [xhaggi]
   * [guilib] renames modality enum value SYSTEM_MODAL to PARENTLESS_MODAL

  [xhaggi]
   * [gui] make music/video overlay dialogs modeless

  [xhaggi]
   * [gui] refactors CGUIDialogProgress::StartModal

  [xhaggi]
   * [gui] refactors modality handling for dialogs

  [Matthias Kortstiege]
   * [videolibrary] fix musicvideo artist browsing after e55adbd (closes #16118)

  [Matthias Kortstiege]
   * [videodb] fix browsing tvshows genre/studios with masterlock enabled

  [phil65]
   * [guilib] - fix missing fadelabel text (introduced with #7323)

  [uNiversaI]
   * [confluence] add DefaultAddonImages.png

  [Arne Morten Kvarving]
   * move weather icons to a resource addon

  [Arne Morten Kvarving]
   * changed: read weather icons from a resource addon

  [Arne Morten Kvarving]
   * added: support for image resource addons

  [Rainer Hochecker]
   * dvdplayer: add a method to avoid requeting HTTP Header

  [BigNoid]
   * [guilib] Add Container.TotalWatched and Container.TotalUnwatched

  [arnova]
   * Revert "changed: Implement native Stat/Exists functions for Webdav"

  [Deniz Türkoglu]
   * Use C++ cast to const char* in HTTPFile

  [Deniz Türkoglu]
   * Fix sign issue in DVDPlayer

  [Deniz Türkoglu]
   * Convert ternary operator to if/else

  [Deniz Türkoglu]
   * Remove unnecessary/add required casting

  [Deniz Türkoglu]
   * Fix string format parameters

  [Deniz Türkoglu]
   * Remove deprecated register storage class

  [Deniz Türkoglu]
   * Fix sign compare issues

  [Deniz Türkoglu]
   * Remove unused variables and/or lessen scope

  [Deniz Türkoglu]
   * Add new addons and depends to .gitignore

  [Roman Kraevskiy]
   * printf call replaced by CLog::Log

  [Roman Kraevskiy]
   * Mouse wheel support for X11-less linux distros (openelec)

  [Pär Björklund]
   * Removed default params as it made it very fragile which method actually got called

  [Kai Sommerfeld]
   * Revert "[PVR] Series Recordings: Reduce PVR_ADDON_TIMERTYPE_VALUES_ARRAY_SIZE value, avoiding too large data structures."

  [montellese]
   * jsonrpc: fix API definition for setting's "level"

  [Anton Fedchin]
   * [dx11] VideoRenderer: fix compiler warnings.

  [Anton Fedchin]
   * [dx11] CGUIShaderDX: a tiny optimization - Get rid of index buffer. Now we use triangle strip topology with special ordered vertices.

  [Anton Fedchin]
   * [dx11] CD3DHelper: No need to clear all 128 shader resources, clear really used only. Currently Kodi doesn't use more that 3 shader resources, but theoretically shadertoy screensaver/visualization can use up to 4 resources.

  [Anton Fedchin]
   * [dx11] CD3DEffect: cosmetics.

  [Anton Fedchin]
   * [dx11] WinVideoFilter: a little shaders optimizations.

  [Matthias Kortstiege]
   * [guilib] wrapmultiline for button control

  [Matthias Kortstiege]
   * [guilib] auto-width for togglebutton controls

  [Matthias Kortstiege]
   * [guilib] auto-width for button controls

  [Chris "Koying" Browet]
   * FIXUP: [droid;obb] be sure the obb dir exists

  [Chris "Koying" Browet]
   * FIX: [droid] broken video calibration

  [Chris Browet]
   * FIX: [droid] manually download obb if store failed

  [janbar]
   * [PVR] fix possible stack overflow

  [Pär Björklund]
   * Missing skinsetting tag is not an error and shouldn't be treated as one, thought logging might still be useful but shouldn't be a warning as it's not really an issue

  [ace20022]
   * [libexif] Add an own field for XP comments.

  [ace20022]
   * [fix][libexif] Force text fields to be null-terminated.

  [ace20022]
   * [libexif] Increase the possible length of a comment according to the specification.

  [ace20022]
   * [fix][libexif] Fix possible buffer overrun.

  [ace20022]
   * [fix][libexif] Fix mixing of file comments and exif comments.

  [ace20022]
   * [fix][libexif] Prevent possible buffer overrun for XP comments.

  [Pär Björklund]
   * Rework the move constructor a bit to make it safe and proper. Not runtime tested yet because of other issue

  [Olaf Hering]
   * Adjust return in GetModificationDate

  [Kai Sommerfeld]
   * [PVR] Timer settings dialog: Forcing 'first day' to at least today is pointless

  [Kai Sommerfeld]
   * [PVR] CPVRTimerInfoTag::CreateFromEpg: Fixed initialization of new timer's summary (m_strSummary does not contain the plot of the event to record, but a text representation of the timer's schedule)

  [Kai Sommerfeld]
   * [PVR] CPVRTimerInfoTag::UpdateSummary: Add support for 'first day', fix support for 'any time'.

  [Kai Sommerfeld]
   * [PVR] Timer settings: Cleanup: Removed unused variable.

  [hudokkow]
   * [langinfo] Remove unused code

  [Olaf Hering]
   * Remove cast in CProfile::Load

  [Olaf Hering]
   * [guilib]: add braces in GetLabel

  [Olaf Hering]
   * Always return a CDateTime in GetModificationDate

  [Olaf Hering]
   * configure.ac: update verification of shairplay

  [Pär Björklund]
   * Changed method signatures to use CVariant instead of const CVariant&

  [Pär Björklund]
   * CVariant fixes

  [Stefan Saraev]
   * [cleanup] DVDInputStreamTV is now unused

  [Stefan Saraev]
   * [cleanup][pvr] fs providers are no more

  [Stefan Saraev]
   * [cleanup] remove slingbox

  [Pär Björklund]
   * Added detection for Windows 10 in systeminfo

  [Matthias Kortstiege]
   * [guilib] fadelabel not reading scroll tag

  [hudokkow]
   * Drop internal HDHomeRun support

  [phil65]
   * [guilib] - nuke Container.Sort InfoLabel

  [phil65]
   * [guilib] add Container.SortOrder InfoLabel

  [Matthias Kortstiege]
   * [guilib] fix label overlap in radiobutton control (#15854)

  [Matthias Kortstiege]
   * [guilib] use textcolor from labelInfo for textboxes

  [Matus Kral]
   * [CURL] xbmc/URL.cpp adapted to parse URI containing IPv6 address.

  [Olaf Hering]
   * [cximage]: use integers for arithmetic in CxImage::CheckFormat

  [Olaf Hering]
   * [cximage]: remove undefined operation on variable in dcr_sony_decrypt

  [Olaf Hering]
   * [cximage]: remove warning about statement with no effect

  [Olaf Hering]
   * [cximage]: remove undefined operation on variable

  [Razzee]
   * Added dateAdded to song table for musiclibrary and ask the user to refresh musiclibrary Added the "date added" sorting to some musiclibrary views Show the date that we sort by in these views AdvancedSettings for musiclibrary can now handle dateadded like videolibrary already does Handle the extraction of the file added date in one place (for music database and video database)

  [Matthias Kortstiege]
   * fix a few coverity warnings

  [phil65]
   * [cosmetics] - fix method typos ("Availalbe" --> "Available")

  [Chris Browet]
   * cosmetic: misplaced parenthesis

  [Kai Sommerfeld]
   * [PVR] Series Recordings: Reduce PVR_ADDON_TIMERTYPE_VALUES_ARRAY_SIZE value, avoiding too large data structures.

  [Kai Sommerfeld]
   * [PVR] Series Recordings: Coverity. Only use dynamic_cast if you really don't know the actual type.

  [Kai Sommerfeld]
   * [PVR] Series Recordings: Some minor changes requested by opdenkamp

  [Kai Sommerfeld]
   * [guiinfo] Fix listitem.hastimerschedule

  [Kai Sommerfeld]
   * [PVR] Series Recordings: Fix Coverity warnings

  [Pär Björklund]
   * Recent merge broke project files, missing closing xml tag

  [Sam Stenvall]
   * [pvr] bump pvr.vbox to v2.0.1

  [Matthias Kortstiege]
   * [smartplaylist] fix broken genre after PR7347 (closes #16104)

  [phil65]
   * [Confluence] Fix for widget labels (labels out of sync)

  [Memphiz]
   * [ios/docs] - mention support for xcode6.4 and ios sdk 8.4 (verified working)

  [Memphiz]
   * [ffmpeg/osx] - add --disable-securetransport to configure to prevent linkage against libsecurity_ssl (gnutls provides the functionality - but ffmpeg autodetect fails and tries to do it the appl/libsecurity_ssl way)

  [Memphiz]
   * [AirTunes] - implement the progress callback and alter time and totaltime of the player accordingly

  [Memphiz]
   * [PaPlayer] - allow to set time and totaltime from the outside - used for injecting the time/totaltime metadata during airtunes streaming

  [Memphiz]
   * [AudioDecoder] - allow injection of TotalTime into the decoder - needed for decoders which don't have duration information (like with airtunes where the duration is set from the outside - not through the stream data)

  [Memphiz]
   * [IPlayer] - add methods for injecting totaltime and time - this is needed for airtunes where we basically play an endless stream and need to inject current platime and duration of the tracks which are selected in the client

  [Memphiz]
   * [AirTunes] - add support for png coverart - not only jpg

  [Memphiz]
   * [airtunes] - add support for remote controlling the client via DACP

  [Memphiz]
   * [network/dacp] - add subset of DACP (Digital Audio Control Protocol) implementation for usage with airtunes clients

  [Memphiz]
